Welcome to SQL Manager for IB/FB!

EMS SQL Manager 2008 for InterBase/Firebird is a powerful tool for InterBase/Firebird administration and development. It provides an easy-to-use graphical interface for maintaining databases and database objects, managing table data, building SQL queries, administering users and their privileges, extracting, printing, and searching metadata, etc. SQL Manager 2008 for InterBase/Firebird has a lot of unique features, such as: SP Debugger, Visual Query Builder, Export Data to 15 available formats and Import Data from most popular formats, BLOB Viewer/Editor, SQL Script processor and many more… SQL Manager 2008 for InterBase/Firebird has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Visit our web-site for details: http://www.sqlmanager.net/

EMS SQL Manager 2008 for InterBase/Firebird

  • Compatibility of Firebird server versions up to 2.1 and of InterBase server versions up to 2007
  • Unicode support
  • Powerful and easy-to-use graphical user interface
  • Rapid database management and navigation
  • Easy management of all InterBase and Firebird objects with Unicode support editors
  • Effective security management
  • Excellent visual and text tools for query building
  • Report designer with clear in use report construction wizard
  • Impressive data export and import wizards working in background mode
  • Powerful visual database designer
  • Easy-to-use wizards performing InterBase and Firebird services in background mode
  • Other useful tools to make your work with InterBase and Firebird as easy as it can be

Product information:

Homepage: | http://www.sqlmanager.net/en/products/ibfb/manager
Support Ticket System: | http://www.sqlmanager.net/support
Register on-line at: | http://www.sqlmanager.net/en/products/ibfb/manager/buy


What's new

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

What's new?

SQL Manager for InterBase/Firebird

5. 0. 0. 1 - January 25, 2008

What's new in SQL Manager 2008 for InterBase/Firebird?

  1. Full InterBase 2007 and Firebird 2.1 support, including DB triggers, journaling and incremental backup.
  2. Support of UTF8 data in SQL Editor, Query Builder, Grid View, Data Export/Data Import wizards.
  3. Now you can continue working with SQL Manager while a query is being executed in SQL Editor or Query Builder or while table or view data are being loaded to the editor. A query taking too long to execute can be aborted.
  4. All Wizards, including Data Export/Data Import, DB Extract and Services wizard can now be run in the background mode, so that you could continue working with the program.
  5. New improved SQL Editor of the Visual Studio 2005 kind with Code Folding function and UNICODE support.
  6. Improved Data Import Wizard now allows importing data up to 10 times faster. New import formats have been added: HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  7. Improved Data Export Wizard now works faster. New export formats have been added: XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007)
  8. Improved Extract DB Wizard works faster; now it also considers all object dependencies and allows defining the server version to generate the script for.
  9. Common SQL commands can now be generated from DB Explorer (Script to SQL Editor, Script to Clipboard). Now you can easily generate such SQL commands as CREATE, ALTER, DROP, SELECT etc. for each database object.
  10. Now you can save your queries in the Favourite Queries folders in DB Explorer; these queries ñan be stored either locally in the registry (nobody but you will have access to them) or in a special database table (then all or some of your db users will have access to it).
  11. Improved Visual database designer, new objects like comments and virtual relationship added. Now it is possible to include Procedures, Functions and Views in the diagram. One can choose whether only object names or also fields and parameters should be displayed.
  12. Dependency tree tool can now be run in the background mode, so that you could continue working with the program.
  13. Viewing database statistics ability extended. Now you can analyze temporary system tables (must be supported by server).
  14. Grid View improved. Now the data of a sublevel of the Master or Detail table linked with the current table by a foreign key can be displayed automatically.
  15. The ability to switch between the visual and non-visual modes in trigger, view and procedure editor is implemented.
  16. External plugin interface is restored.
  17. Firebird database alias file support implemented.
  18. Improved Procedure debugger with the Call Stack feature implemented. Now you can navigate your embedded calls of stored procedures easily.
  19. Improved Table Editor. Now like in other object editors the scripts that are connected with the changes made at the Editor window are accumulated and can then be executed at a time during compilation. A user can also select the scripts to be executed.
  20. The options added that allow the relevant services stop, start and open a database automatically.
  21. The Find option function is added to SQL Manager settings form as well as to the database and host registration info forms.
  22. The Recompute All service has been added which allows rebuild all database indices (or just selected ones) or recalculate their statistics.
  23. The search for an object in DB Explorer is enhanced. Now you can perform incremental search by names as well as define the search area.
  24. For users’ convenience the Windows List function is implemented as a separate DB Explorer tab with the search ability.
  25. In DB Explorer hosts are now named in accordance with the selected connection type (SSH tunneling or direct connection).
  26. SQL Script. Ability to execute selected statements and statements under cursor added.
  27. Improved report building system.
  28. Lots of other improvements and bug-fixes.


System requirements

System requirements for SQL Manager 2008 for InterBase/Firebird

  • 300-megahertz (MHz) Intel® Pentium II-compatible or faster processor; 600-megahertz (MHz) or faster processor recommended
  • Microsoft® Windows NT4 with SP4 or later, Microsoft® Windows 2000, Microsoft® Windows 2000 Server, Microsoft® Windows XP, Microsoft® Windows 2003 Server, Microsoft® Windows Vista
  • 64MB RAM or more; 128MB or more recommended
  • 50MB of available HD space for program installation
  • Super VGA (800x600) or higher-resolution video adapter and monitor; Super VGA (1024x768) or higher-resolution video adapter and monitor recommended
  • Microsoft® Mouse or compatible pointing device
  • InterBase/Firebird client
  • Possibility to connect to any local or remote InterBase/Firebird


Feature Matrix

The FREE Lite version of SQL Manager 2008 for InterBase/Firebird does not include all features of the Full version and has some limitations concerning the number of the databases that can be registered and a number of data manipulation and server maintenance tools. The detailed feature matrix is given below.

Note that when using the FREE Lite version of SQL Manager 2008 for InterBase/Firebird you can activate a 30-day period of fully-functional usage. After the period expires, you will be able to continue using the Lite version.

For more information on activating the Full version features see Full Mode activation.

 | Full version | Lite version
Latest InterBase and Firebird versions support
Compatible with any Firebird server version up to 2.1 | + | +
Compatible with any InterBase server version up to 2007 | + | +
Trigger messages support | + | +
Support of BLOB Filters | + | +
Powerful and easy-to-use graphical user interface
MDI and floating-window styles implementation | + | +
Handy database explorer to manage all InterBase/Firebird objects | + | +
Customizable toolbars for all program windows | + | +
Fully customizable program interface | + | +
Powerful visual options module | + | +
Saving all program settings | + | +
Localizable program interface | + | +
Rapid database management and navigation
Multiple host/database connections | + | +
Connecting via local port forwarding through the SSH tunnel | + | –
Registering/unregistering databases for working with the required databases only | + | +
Project mode to work with the needed database objects only | + | +
Multiple user-defined tabs for any tree node to access it in one-click | + | +
Grouping/Ungrouping registered databases by host name | + | +
Easy management of all InterBase/Firebird objects
Creating/dropping databases | + | +
Managing tables and all their subobjects: fields, indices, checks and foreign keys | + | +
Managing views, triggers and stored procedures | + | +
Managing UDFs, exceptions, generators and BLOB filters | + | +
Duplicating all database objects | + | +
Renaming all database objects | + | +
Viewing dependencies between database objects | + | –
Powerful stored procedure debugger | + | –
Advanced data manipulation tools
Powerful BLOB viewer/editor with several types of viewing BLOB data | + | –
Plenty of useful tools such as data grouping, fast searching and filtering | + | +
Master-detail view to work with two linked tables at the same time | + | –
Table and card views to see data the way you like | + | –
Ability to copy and paste selected records | + | –
Advanced printing system | + | +
Exporting data to SQL script as INSERT statement | + | –
Effective security management
Powerful user manager for administering users and privileges | + | +
Grant manager displaying all database object grants in the form of a grid | + | +
Excellent visual and text tools for query building
Visual query builder allowing you to build complicated queries without any knowledge of SQL syntax | + | –
Multiple SQL editors with code completion and syntax highlight | + | +
Large script executing (SQL script editor) | + | +
Viewing query execution plans | + | –
Ability to view query plan as diagram | + | –
SQL Formatter (Available from SQL Editor context menu) | + | –
Report designer with clear in use report construction wizard
New Create Report Wizard allows you to create simple reports in a few clicks | + | –
Managing reports the same way as if they were database objects: accessing reports directly through DB Explorer tree | + | –
Impressive data export and import capabilities
Exporting data to most popular formats: MS Excel, MS Word, HTML, PDF, TXT, CSV, DBF, XML, etc. | + | –
Exporting data to MS Access | + | –
Importing data from MS Excel, DBF, TXT and CSV | + | –
Importing data from MS Access | + | –
Open Ofiice documents support | + | –
Powerful visual database designer
Creating diagram of existing database using Reverse engineering tool | + | –
Dividing diagram into different subject areas located on separate pages | + | –
Navigating through diagram using preview navigation tool | + | –
Creating/editing/dropping tables and table fields, visually setting links between them | + | –
Saving as image or printing database diagram | + | –
Two diagram notations (IDEF1x and IE) | + | –
A lot of visual customization options | + | –
Easy-to-use wizards performing InterBase and Firebird services
Backing up database | + | –
Restoring database | + | –
Database validation | + | –
Database statistics | + | –
Start/Stop database | + | –
Rebuild indices | + | –
Other useful tools to make your work with InterBase/Firebird as easy as it can be
Extracting metadata into text files or SQL script editor | + | –
Powerful print metadata module for creating customizable metadata reports | + | –
HTML report generator to create a detailed HTML report about your database quickly | + | –
Report designer for building powerful reports visually | + | –
SQL Monitor | + | +
And other useful features
Keyboard templates | + | +
To-do list | + | +
External tool manager | + | +


Installation

If you are installing SQL Manager 2008 for InterBase/Firebird for the first time on your PC:

  • download the SQL Manager 2008 for InterBase/Firebird distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run IbManagerFull.exe from the local directory and follow the instructions of the installation wizard;
  • after the installation process is completed, find the SQL Manager shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of SQL Manager 2008 for InterBase/Firebird to the latest version:

  • download the executable file of SQL Manager 2008 for InterBase/Firebird from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close SQL Manager application if it is running;
  • replace the previous version of SQL Manager by copying the unzipped executable file to the C:\...\%program_directory%\ location;
  • run SQL Manager 2008 for InterBase/Firebird using its shortcut in the corresponding group of Windows Start menu.

Also you can use the full distribution package to upgrade your current version of SQL Manager 2008 for InterBase/Firebird. In this case, you should repeat the steps you have made for the first-time installation. Note that the full distribution package is larger than a single executable file.

See also:

License agreement


Registration

To make it easier for you to purchase our products, we have contracted with share-it! registration service. The share-it! order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe. The following information about share-it! is provided for your convenience.

Share-it! is a global e-commerce provider for software and shareware sales via the Internet. Share-it! accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you have ordered EMS software online and would like to review your order information, or if you have questions about ordering, payments, or shipping procedures, please visit our Customer Care Center, provided by share-it!

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product distribution | Price | Share It!
SQL Manager 2008 for InterBase/Firebird (Business license) + 1-Year Maintenance* | $275 | Register Now!
SQL Manager 2008 for InterBase/Firebird (Business license) + 2-Year Maintenance* | $344
SQL Manager 2008 for InterBase/Firebird (Business license) + 3-Year Maintenance* | $385
SQL Manager 2008 for InterBase/Firebird (Non-commercial license) + 1-Year Maintenance* | $135
SQL Manager 2008 for InterBase/Firebird (Non-commercial license) + 2-Year Maintenance* | $169
SQL Manager 2008 for InterBase/Firebird (Non-commercial license) + 3-Year Maintenance* | $189
SQL Manager 2008 for InterBase/Firebird (Trial version) | Free! | Download Now!
SQL Manager 2008 for InterBase/Firebird Lite | Free! | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register SQL Manager


How to register SQL Manager

If you have not registered your copy of SQL Manager 2008 for InterBase/Firebird yet, you can do it by pressing the Register Now button and entering your registration information in the Register SQL Manager 2008 for InterBase/Firebird dialog.

To register your newly purchased copy of EMS SQL Manager 2008 for InterBase/Firebird, perform the following steps:

  • receive the notification letter from Share-it! with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About SQL Manager 2008 for InterBase/Firebird dialog (use the Help | About menu item to open this dialog).

Welcome to SQL Manager - Register product

See also:

Registration

License Agreement


License Agreement

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

End User License Agreement

Copyright (C) 1999-2008 EMS Database Management Solutions, Inc.

All rights reserved.

IMPORTANT: PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.

END USER LICENSE AGREEMENT

EMS Database Management Solutions, Inc. ("EMS") agrees to provide the user ("USER") with a copy of this software product ("SOFTWARE"), and grants the USER a limited license to use the SOFTWARE. This LICENSE AGREEMENT ("LICENSE") defines what the USER may do with the SOFTWARE, and contains limitations on warranties, liabilities and remedies. This LICENSE may be revoked by EMS at any time without notice if the USER fails to comply with the terms of this LICENSE. The copyright and all other rights in the SOFTWARE shall remain with EMS.

LICENSE OF UNREGISTERED SOFTWARE

An unregistered copy of the SOFTWARE ("UNREGISTERED SOFTWARE") may be used by the USER for evaluation purposes for a period of thirty (30) days following the initial installation of the UNREGISTERED SOFTWARE. At the end of the trial period ("TRIAL PERIOD"), the USER must either register the SOFTWARE or remove it from his system. The UNREGISTERED SOFTWARE may be freely copied and distributed to other users for their evaluation.

LICENSE OF REGISTERED SOFTWARE

A registered copy of the SOFTWARE ("REGISTERED SOFTWARE") allows the USER to use the SOFTWARE only on a single computer or network and only by a single user at a time. If the USER wishes to use the SOFTWARE for more than one user, the USER will need a separate license for each individual user. The USER is allowed to make one copy of the REGISTERED SOFTWARE for back-up purposes.

DISTRIBUTION OF UNREGISTERED SOFTWARE

The uninstalled, UNREGISTERED SOFTWARE may be freely copied and distributed to other users provided the USER complies with the following requirements. If the USER offers this uninstalled, UNREGISTERED SOFTWARE for download ("SHAREWARE SITE USER"), then the SHAREWARE SITE USER agrees to:

(1) Immediately replace this version of the uninstalled, UNREGISTERED SOFTWARE with a new version of this SOFTWARE if a new version is released by EMS, or

(2) Delete this version of the UNREGISTERED SOFTWARE immediately upon written email notice by EMS.

TERM OF LICENSE

This LICENSE shall continue for as long as the USER uses the REGISTERED SOFTWARE and/or distributes the UNREGISTERED SOFTWARE according to the terms of this agreement.

However, this LICENSE will terminate if the USER fails to comply with any of its terms or conditions. The USER agrees, upon termination, to destroy all copies of the REGISTERED and/or UNREGISTERED SOFTWARE. The limitations of warranties and liability set forth in this LICENSE shall continue in force even after termination.

ACCEPTANCE OF THIS LICENSE AGREEMENT

By downloading and/or installing this SOFTWARE, the USER agrees to the terms of this LICENSE.

DISCLAIMER OF WARRANTY AND LIABILITY

THE SOFTWARE AND THE ACCOMPANYING FILES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, EMS DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF PERFORMANCE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL EMS BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE.

ANY LIABILITY OF EMS WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF ORIGINAL PURCHASE PRICE.

OTHER RESTRICTIONS

The USER may not rent, lease, sublicense, translate, disassemble, reverse engineer, or de-compile the SOFTWARE, or modify or merge the SOFTWARE with any part of the software in another program. This LICENSE may not be assigned or otherwise transferred without the prior written consent of EMS.

INVALID PROVISIONS

If any provision of this LICENSE shall be declared invalid or unenforceable, the remaining provisions of this LICENSE shall remain in full force and effect to the fullest extent permitted by law. In such event, each provision of this LICENSE which is invalid or unenforceable shall be replaced with a provision as similar in terms to such invalid or unenforceable provision as may be possible which is legal and enforceable.

ENTIRE AGREEMENT

This LICENSE is the entire agreement between EMS and the USER, and supersedes any other agreement, oral or written, and may not be changed except by a written signed agreement.


Version history

Version | Date Released
Version 4.4.0.1 | November 22, 2006
Version 4.3.0.1 | May 31, 2006
Version 4.2.0.1 | April 4, 2006
Version 4.1.0.1 | February 20, 2006
Version 4.0.0.1 | January 27, 2006
Version 3.9.5.1 | September 8, 2005
Version 3.9.0.2 | February 17, 2005
Version 3.9.0.1 | February 3, 2005
Version 3.8.5.1 | December 7, 2004
Version 3.8.0.1 | August 23, 2004
Version 3.7.0.1 | January 19, 2004
Version 3.6.5.1 | September 5, 2003
Version 3.6.0.1 | July 9, 2003
Version 3.5.0.1 | May 27, 2003
Version 3.4.0.1 | April 21, 2003
Version 3.3.0.1 | March 12, 2003
Version 3.2.5.1 | February 11, 2003
Version 3.2 | January 21, 2003
Version 3.1 | January 06, 2003
Version 3.0 | December 16, 2002

Full version history is available at http://sqlmanager.net/en/products/ibfb/manager/news.

Version 4.4 - November 22, 2006

1. Register Database Wizard
  • The option that allows to skip refreshing objects on connection to database is added. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.
  • Import of database registration information from the previous version settings of SQL Manager for IB/FB is improved. Local databases are now registered according to the servers which use similar client libraries for connection.
  • Embedded database registration has become simpler.
  • 'Copy Alias From' option is added in the new database registration dialog.
  • It was impossible to register a database when there were no hosts registered. Fixed now.

2. InterBase 2007 partial support implemented. Now the UTF-8, UNICODE_BE, UNICODE_LE charsets are supported.

3. SSH Tunneling
  • The ability to use one SSH tunnel to establish connection for several hosts/databases at the same time is added.
  • Now it's possible to use tunneling for the services.

4. Field Editor
  • New Field editor form.
  • Now it's possible to fill the NOT NULL fields which have no DEFAULT value set with the data taken from the fields of the table being edited.

5. Grid
  • The ability to display and edit ARRAY fields is added.
  • When editing data or deleting records in a table which contains no unique or primary key, errors often occurred (the changes were not applied). Fixed now.
  • It was impossible to edit a BLOB type field in Detail Level. Fixed now.

6. SQL Reference is available again now. It can be called from object editors.

7. Extract Database Wizard
  • The ARRAY type data can be saved to an external file now.
  • An option is added which allows to extract metadata of the objects on which the current object depends.
  • The object dependency handling is improved.

8. Restore Database Interface improved. Now it's possible to register the server on which the backup copy will be restored.

9. Export as SQL Script. The ARRAY type data can be saved to an external file now.

10. Duplicate Object Wizard. Now when duplicating table data the BLOB and ARRAY type fields can be duplicated.

11. SQL Script
  • A script can now be executed from cursor; execution of the selected fragment is also possible.
  • String comments (beginning with '--') are recognized correctly now.
  • The ARRAY type data can now be imported from an external file when executing SET BLOBFILE statement.

12. Stored Procedures Debugger
  • When performing input for the DECIMAL and NUMERIC type parameters the decimal delimiter used to change with the localization applied. Fixed now.
  • The value of the empty string was treated as NULL. Fixed now.
  • The FIRST statement is recognized correctly now.

13. UDF Editor/BLOB Filter Editor. Now there's no need to take an object's dependencies into account when changing its parameters.

14. Procedure Editor. The support of BLOB type parameters for Firebird is implemented.

15. Code Completion. The Code Completion feature is implemented for table aliases.

16. Dependencies/Dependency Tree. When analyzing dependencies the objects referred to in CHECK constraint bodies and COMPUTED BY table fields are now taken into account.

17. Other small improvements and bugfixes.

Version 4.3 - May 31, 2006

1. Export as SQL Script.
  • Now you can specify DBMS server for which the script should be generated.
  • Now it's possible to export BLOB field content into an external file with the ability to compress data. When executing the result script the data from the external file will be placed into the corresponding fields.

2. Extract Database Wizard.
  • To avoid errors during script execution the 'computed by' fields are moved to the end of table fields list; then their position is restored.
  • Now it's possible to export BLOB field content into an external file with the ability to compress data. When executing the result script the data from the external file will be placed into the corresponding fields.

3. DB Explorer. The Add to Projects command is added. Now objects can be added by specifying them in the corresponding dialog, as well as by dragging into Projects folder.

4. Dependency Tree. The ability to view dependencies for the domains that refer to other objects via Check constraints is added, as well as dependencies for the tables that refer to other objects via Check constraints and those for the tables that use UDFs in their 'computed by' fields.

5. Grid.
  • The 'Expand All' and 'Collapse All' context menu items added.
  • The 'Save column sorting' option is added for the 'Save and restore layout' mode

6. CPU usage significantly decreased.

7. SQL Editor.
  • For the queries which allow data insert the ability to import data into the table implemented.
  • The Ctrl+Shift+Enter shortcut for pointing out the corresponding item in DB Explorer tree worked incorrectly. Fixed now.
  • Now it's possible to rename and move query tabs
  • Query execution time is now displayed in hh:mm:ss format
  • 'Select All' command didn't work correctly on text that had very long lines (more than 4096 symbols). Fixed now.

8. Controls at the toolbars now remain after installing a newer version of the product. To bring them to their default state you can use corresponding command from Windows menu or corresponding button in Environment Options dialog.

9. Data Import wizard. When setting column correspondence for import from Excel, selecting a new column caused cursor to move to the first column in grid. Fixed now.

10. Database Registration Info. When applying changes, the originality of database aliases used not to be checked. Fixed now.

11. Visual Database Designer. Switching to another visual scheme didn't take any effect on context menu style. Fixed now.

12. Localization
  • Russian localization added.
  • Corrections and improvements in German and English localizations.

13. Shutdown Database and Bring Database Online services are combined together and placed into Start/Stop Database wizard which allows using templates.

14. Domain Editor. The Collation was not displayed when opening Domain Editor. Fixed now.

15. SQL Script.
  • Executing DROP DATABASE statement with database name, login and password without having connected to it first.
  • Now after dropping a database the Unregister Database dialog appears.
  • Handling the AutoDDL mode without SET AUTODDL statement executition.
  • When DROP DATABASE and CONNECT statementes are executed without login and password the Login dialog appears.

16. Many other small improvements and bugfixes.

Version 4.2 - April 4, 2006

1. German localization added.

2. Editor Options. Key Mapping is implemented to set the shortcuts for various commands/operations according to your needs.

3. Visual Query Builder. Query execution plan is now displayed as a graphical diagram.

4. Dependency Tree. The diagram can now be printed.

5. Ability to call Register Database Wizard from SQL Script for the databases created is implemented.

6. SQL editors

  • Next Bookmark, Previous Bookmark context menu items added.
  • In some rare cases, an attempt to use Code Complete tool with 'Trim trailing spaces' option on, cleared all the line with 'Trim trailing spaces' option on. Fixed now.
  • Dragging the field names from SQL Assistant works perfectly now.

7. SQL Editor. Abillity to execute statement under cursor added.

8. Visual Database Designer. The Drop Table context menu item worked incorrectly if the field, not the table itself, was selected. Fixed now.

9. Import Data Wizard.
  • Now with the 'Commit changes manually' option switched on at the end of import you will be prompted for an action with transaction.
  • Ability to resize wizard's window added.
  • On setting format for fields to import, the 'Generator Value' and 'Constant Value' options used to be ignored. Fixed now.
  • Having specified user-defined fields to import, the rest of them were filled with empty strings; so that default values defined for the fields were not applied. Fixed now.

10. HTML Report. Ability to change header/footer of the report added.

11. SQL Script. Abort executing script confirmation added.

12. DB Explorer. The context menu didn't hide when switching to another application. Fixed now.

13. Table Editor. The lines exceeding 32 symbols were truncated when exporting lists of subobjects. Fixed now.

14. Procedure Editor and Trigger Editor. Parameters or variables deleted in editor window used to reappear in trigger/procedure body after compilation. Fixed now.

15. On attempt to execute a query or procedure with Date, Timestamp, Time typed parameters, the Conversion Error message appeared. Fixed now.

16. There were no checks for the type of file when creating a report by import from file, which initiated errors. Fixed now.

17. When creating a report its components working with data used only default client library, so that in some rare cases it was impossible to open reports working with the database on a local host. Fixed now.

18. Most memory leaks fixed.

19. SQL Script. The ability to re-execute the script which finished with errors added.

20. When editing the data containing fields with NULL values, changed data used to restore their previous values after commit. Fixed now.

21. Other small improvements and bug fixes.

Version 4.1 - February 20, 2006

1. DB Explorer. Faster connection and refresh speed.

2. The ability to register multiple local servers is added.

3. Table Editor. Errors used to occur when displaying data from the tables containing many records. Fixed now.

4. Dependency Tree. Search method for finding dependant objects is improved.

5. SQL Editor. Code Insight. Fields of tables and views as well as keywords are now displayed in the drop down list.

6. Create database. Wrong script for creating database used to be generated. Fixed now.

7. Domain Editor. The ability to set Charset and Collation restored.

8. Field Editor. The ability to set Charset and Collation restored.

9. Input Parameters. When opening 'Parameters' dialog on executing the queries in SQL Editor and Visual Query Builder an error occured. Fixed now.

10. Grid. Form View. Memo fields editor is extended (can be customized in Grid > Advanced tab of Environment Options dialog).

11. SQL Script. Multiple windows can be opened now.

12. Visual Database Designer. There were no changes seen in opened graphical diagram when the table name or any table field was edited. Fixed now.

13. The 'Keyword "DB_KEY" already in list' error message used to appear when connecting to FB 2.0 server. Fixed.

14. View Editor. The ability to process the views containing FIRST as keyword in the queries added now.

15. View Editor. The ability to process the views containing CAST as keyword in the queries added now.

16. Database Validation. Validation Wizard used to ignore the changes made on the first step, which caused an attempt to connect to current database and subsequent error. Fixed now.

17. Procedure Editor. The ability to use simultaneous names for variables in different procedures restored.

18. DB Explorer. After dropping a table its triggers were still displayed in the DB Explorer tree. Fixed.

19. Field Editor. Autoincrement. On renaming the generator its name used to stay unchanged in trigger's and procedure's body. Fixed now.

20. Other small improvements and bugfixes.

Version 4.0 - January 27, 2006

1. Latest InterBase and Firebird versions support
  • Compatible with any Firebird server version up to 2.0
  • Compatible with any InterBase server version up to 7.5
  • Trigger messages support
  • Support of BLOB Filters

2. Significantly improved user interface
  • Office 11 and Windows XP visual schemes support
  • New well-described Wizard System
  • New useful Navigation Bars in most of the windows
  • New Windows Toolbar to switch between windows easily, like in Windows Task Bar

3. Improved Database Explorer
  • Creating tabs for any tree node to access it in one-click!
  • Work with multiple selected objects at a time
  • Much more convenient toolbar and context menu

4. Completely remade Visual Database Designer
  • Obvious new look
  • Two diagram notations (IDEF1x and IE)
  • Improved diagram navigation
  • Several pages in one diagram to divide diagram into different subject areas
  • A lot of visual customization options

5. New powerful data management tools
  • Plenty of useful tools such as data grouping, summarizing, fast searching and filtering
  • Master-Detail View to work with two linked tables at the same time
  • Table and Card Views to see data the way you like
  • Ability to copy and paste selected records
  • Advanced printing system
  • Fully customizable interface

6. New and improved database object editors
  • New procedure and trigger editors with enhanced precompiler
  • New view editor with automatic generation of view header and ability to create view using visual query builder
  • Quick saving and loading in all database object editors
  • Autosaving database object with opportunity to restore on further connection

7. New opportunities to work with SQL queries
  • Possibility of creating queries with unions and subqueries visually
  • Ability to view query plans in the form of a diagram

8. New connection options
  • SSH connections support to encrypt client/server communications for increased security (Most suitable in case of Internet connection)

9. Improved report management
  • New Create Report Wizard allows you to create simple report in a few clicks

Managing reports in the same way as if they were a database object: accessing reports directly through DB Explorer tree

Version 3.9.5.1 - September 8, 2005

1. BLOB Editor. Added horisontal and vertical scrollers in the text view.

2. Added more national character sets in the database creation window and the database properties form.

3. Improved localization files.

4. Added ability to fill newly created NOT NULL field with values of another field.

5. Added ability to display priviledges granted to the object at the DDL tab.

6. Now database error messages appear to be more informative. Now database error numbers is displayed in addition to the message texts.

7. Stored Procedures Debugger. Fixed error when working with data of TIME datatype.

8. Visual Database Designer. It was impossible to save large database diagram as image (jpg, bmp, gif ...). Fixed now.

9. Search in Metadata. While searching in large or remote databases the manager hung up. Fixed now.

10. When loosing connection to the database it remained opened in the program. Fixed now.

11. Fixed error with displaying views, created with CHECK OPTION.

12. Fixed error when changing database in the Script Editor.

13. Fixed error when creating index with the name in lowercase for dialect 1 database.

Version 3.9.0.2 - February 17, 2005

1. If a database had charset UNICODE_FSS or NONE, then the strings in local character sets didn't display correctly in editor Data tabs. Now in Database Registration Info you can manually disable encoding of Unicode strings to UTF8 to display data correctly.

2. Fixed the bug with incorrect processing of IF ... ELSE statements in Stored Procedure Debugger.

3. Stored Procedure Debugger. Pre-compilation parser now supports ROW_COUNT, INSERTING, DELETING, UPDATING expressions.

4. The bugs with separate client libraries for each database are fixed now.

Version 3.9.0.1 - February 3, 2005

1. InterBase 7.5 full support.

2. FireBird 1.5 full support.

3. SQL Editor. Renewed smart Code Insight and Highlight in the editors - now the list of all keywords is set depending on the current database server version.

4. Database Registration Info. An ability to choose a separate client library for each registered database was added.

5. "Can't found Database login dialog.." bug is fixed now.

6. DDL tab: Fixed the problem with opening the tab.

7. It was impossible to create a domain of BIGINT type. Now the bug is fixed.

8. It was impossible to create an AutoIncrement field of BIGINT type. The problem is solved.

9. Fixed the bug with 10000 length limit for CHAR and VARCHAR fields.

10. The bug with changing the field type from CHAR or VARCHAR to any numerical type is fixed now.

11. COLLATION for the text fields couldn't be created. Now it is fixed.

12. The ability to set CHARSET property for the BLOB types which don't support it is disabled now.

13. SQL Editor. The Result page didn't open after running a query which contained a comment in the first line, beginning with "--". The problem is solved.

14. Extract Metadata. The COLLATION property for the domains is shown correctly now.

15. Script Comparer. The column index value is counted correctly now in the scripts like "ALTER COLUMN POSITION ...".

16. The current database was disconnected by timeout without possibility to re-connect when Database Properties window was opened. The bug is fixed.

17. Completely remade Restore Database service.

18. Stored Procedure Debugger. Solved the problem with not returning the output procedure parameter when running "EXECUTE PROCEDURE ... RETURNING_VALUES ..."

19. Stored Procedure Debugger. Pressing the Reset button doesn't cause erasing breakpoints now.

20. Stored Procedure Debugger. Incorrect results were shown in case of existence "FOR SELECT ..." clause. Fixed now.

21. Stored Procedure Editor. The output procedure parameter wasn't returned if the procedure was run without SUSPEND. Now it is solved.

22. View editor. It was impossible to edit simple views. Fixed now.

23. Window size and position were set incorrectly by default in SDI mode on multimonitor systems. Now the bug is fixed.

24. Export Data. An exception arose when trying to export data to CSV. Fixed now.

25. Other small improvements.

Version 3.8.5.1 - December 7, 2004

1. Script Editor. We have added the possibility of executing the construction 'CREATE OR ALTER'.

2. Eliminated the error with changing the field type from INTEGER to BIGINT when working with FireBird server.

3. Extract Metadata. Disabled generation of SQL statements for indices that correspond to the constraints.

4. Extract Metadata. The error with limiting precision to 5 in NUMERIC field types is eliminated.

5. Extract Metadata. We have added the showing CHARACTER SET property for input and output parameters of the stored procedures.

6. Extract Metadata. Eliminated showing COLLATE and NOT NULL properties for domain-based fields.

7. Search in Metadata. Fixed the bug with hanging-up the program on trying to start search with an empty string.

8. The 'Access Violation' arose when closing database if the connection to the server was lost. The problem is fixed.

9. Main Menu | DataBase | Disconnect from DataBase: now works fine.

Version 3.8.0.1 - August 23, 2004

1. Duplicate Table: With this version you can copy the table data just as the table structure.

2. Print Data View: Now you can customize column widths using the new dialog that is accessible through the Tune Column Widths button on the toolbar of the Print View tab.

3. Reports: With this version you can save your reports to XLS, RTF, HTML, JPEG, BMP, and TIFF files. We have added the new save filters for this purpose.

4. Print Data View: Now the program saves page settings.

5. Print Data View: Now the program displays the table name on each page of the report.

6. Print Data View: Fixed a bug that caused incorrect showing of the table report after changing page parameters. Now the program correctly shows printable reports for tables.

7. DB Explorer/Duplicate Object: fixed a bug that appeared when trying to duplicate an object if the program established connection with two databases at once.

8. Export to Excel: We have added an ability to set values of the defined cells, merge cells, and define the page background

9. Export Data: Fixed a bug with appearing of the dialog window when clicking the file name in the edit field.

10. A bug with displaying and editing bigint fields is fixed.

Version 3.7.0.1 - January 19, 2004

1. We have significantly improved the Export Dialog. Now you can add notes, hyperlinks, and charts based on exported data to Excel documents. You can also define graphical styles for column captions, data, footer, and header on export to RTF documents. A possibility to define strip styles is also included.

2. We have implemented the Dependency Tree tool. Now you can view all the object dependencies in one diagram. To call this tool use the Tools | Dependency Tree menu item, or the proper button in the toolbar of any object editor.

3. Now the Register Database dialog supports .fdb files.

4. We have implemented the BIGINT fields support for Firebird 1.5.

5. Edit Field: Now you can add the primary key using the Edit Field dialog if the table has no primary key.

6. Extract Metadata: We have added a possibility of extracting views in a user defined order.

7. Editor Options: We have added a new option allowing you to define if keyboard templates apply in comment blocks or not.

8. We have added the "Number of dropping down items from object list in an editor window" option on the Windows tab of the Environment Options dialog. This option defines how many objects is displayed in the drop-down list of objects on the toolbar of any object editor.

9. HTML Report: BIGINT fields and Universal triggers are shown correctly now.

10. A bug with using universal triggers in Firebird 1.5 is fixed.

11. Import from MS Access: One table appeared several times in the table list. Now it is fixed.

12. Several minor improvements and bug fixes.

Version 3.6.5.1 - September 5, 2003

1. We've implemented the support of FireBird 1.5 universal triggers. Starting from this version, IB Manager allows you to define several actions for a trigger, such as BEFORE INSERT OR UPDATE, for example. The Trigger Editor has been slightly redesigned for this purpose.

2. We've significantly improved the Import Data Wizard to make most of new abilities of EMS QuickImport 2 component suite (http://www.ems-hitech.com/quickimport/) be available in IB Manager, such as import from XML, import from multiple Excel sheets, importing formulas from Excel, case insensitive replacements, and more. (*)

3. We've add a possibility to hide/show the DB Explorer tabs, such as Project, Windows and Recent. If you don't need some of them to be shown on the screen, you can uncheck the appropriate options on the DB Explorer tab of the Environment Options dialog.

4. We've added the "Show only connected databases for services" option to the Environment Options dialog. If this option is checked, only the connected databases will be available in the service dialogs, such as Database Validation and Database Statistics. This option is available on the Tools tab of the Environment Options dialog.

5. Fixed bug with skipping the first statement of a script during its execution from the Script Editor in some cases.

6. If the list of the stored procedure parameters has been edited just before the procedure execution, the procedure parameter order was generated incorrectly. Now it is fixed.

7. Fixed bug with incorrect type of the last variable displaying in the Stored Procedure Debugger in some cases. (*)

8. Fixed bug with generating the DDL for an object containing '#' or '%' character in its name.

9. Fixed bug with displaying calculated fields in the Edit Field dialog.

10. Fixed bug with the search/replace function executed for the selected text only.

11. Some small improvements and minor corrections.

Version 3.6.0.1 - July 9, 2003

1. We have significantly improved Stored Procedure Debugger. Now it is possible to trace into a procedure, executed from the current one, using the Trace Into button and then return to a previous procedure quickly using the Run Until Return button. These functions are also available through the F7 and Shift+F8 key shortcuts respectively. (*)

2. We have added a Japanese localization to the IB Manager distributive package. Now ten languages are available: English, German, Italian, Spanish, Dutch, Russian, Polish, Brazilian, Hungarian and Japanese.

3. We have extended a possibility to save diagrams as graphical images. Now you can save your diagrams to four graphical file formats: bitmap, JPEG image, GIF image and Windows metafile. This feature is available through the Save as Image button of the Visual Database Designer toolbar. (*)

4. Object description definitions are now extracted as UPDATE ... SET RDB$DESCRIPTION = ... statements for FireBird 1.x databases, since FireBird server supports inserting multi-line strings to BLOB fields.

5. The Grant Manager provides two new menu items now: Grant All on All and Revoke All on All. Use them for granting or revoking all privileges on all objects to the current object at once.

6. Query parameters are parsed correctly by the Visual Query Builder now. (*)

7. Fixed bug with setting object names in lower or mixed case in object editors if FireBird database is used.

8. Fixed bug with incorrect field order in the INSERT statement generated by the Export As Insert dialog. (*)

9. NUMERIC and DECIMAL fields doesn't change their types to INTEGER or DOUBLE PRECISION after trying to change the dimension anymore.

10. Now the Compare Scripts feature generates the result script correctly for tables with different fields order.

11. The HTML Report generates trigger descriptions correctly now. (*)

12. The 'Transaction is active' doesn't appear anymore after calling the windows list while the Data tab of the Table Editor is active.

13. Identifiers appearing in the IN (..) clause are parsed correctly by the Visual Query Builder now. (*)

14. Fixed bug in the Stored Procedure Debugger with retrieving the count of variables if type conversions are used in the procedure. (*)

15. Minor bugfixes and a lot of small improvements.

Version 3.5.0.1 - May 27, 2003

1. Visual Database Designer: we have added a possibility to save the diagram as a bitmap. Now you can save you diagrams to graphical files using the Save As Image button of the Visual Database Designer toolbar. (*)

2. Data View: we have added a possibility to set filter to the Grid View. Now you can filter the current data view using drop-down arrows on the right of the column captions.

3. The Create Procedure function is now available for views as well as for tables.

4. Now you can hide the Object Explorer tree from object editors permanently by disabling the "Automatically show Object Explorer..." option on the Tools tab of the Environment Options dialog.

5. The Validate Database option is now enabled default in the Database Validation dialog to avoid the 'Unsuccessful execution...' error raised if no options were selected.

6. DB Explorer: a database closes automatically now if the connection to it has been lost for some reason. It prevents the application from hanging up due to impossibility to disconnect from a database.

7. Export Data and Export Data as INSERT items are also available for views in the DB Explorer now. (*)

8. Character set in the Print View corresponds to the database charset now. (*)

9. Fixed bug with representing the dependencies in view editor.

10. Fixed bug with adding a trigger using the object explorer of table editor. Now names of trigger types appear correctly in the explorer.

11. Grant/Revoke on All menu item works correctly in the Grant Manager now.

12. Fixed bug with generating a wrong CREATE TABLE statement in the Export Data as INSERT dialog in case of selecting the fields for export manually from the dual list. (*)

13. Fixed bug with DATE/TIMESTAMP values format in the Stored Procedure Debugger. (*)

14. Fixed bug with BLOB fields truncating during the import data process. (*)

15. Fixed bug with the 'CONTINUE record missing' error while importing data from some Excel files. (*)

16. Query result does not become read-only anymore if more than one space appears after the FROM keyword.

17. Fixed bug with the fetching status window in the SQL Editor if the Fetch All option is enabled.

18. Fixed bug with using aggregate functions within the SELECT statement in the Visual Query Builder. (*)

19. Some minor improvements and corrections.

Version 3.4.0.1 - April 21, 2003

1. We have significantly improved stored procedure/trigger parser as well as Stored Procedure Debugger (*). Now it supports all SQL language extensions for FireBird 1.5 (such as defining variable in its declaration, EXECUTE VARCHAR syntax, CASE syntax), IB 6.5 (such as ROWS syntax) and IB 7.0 (such as BOOLEAN type).

2. Extract Metadata Wizard: we have improved the algorithm of extracting stored procedures to avoid conflicts during their creation. Now you can extract stored procedures as a block of the CREATE PROCEDURE statements with empty bodies preceding another block containing their actual bodies defined in the ALTER PROCEDURE statements. This possibility can be disabled by the Environment Options -> Tools -> Extract Metadata -> Extract stored procedures with empty bodies first option, which is enabled by default.

3. We have added a possibility to load an Extract Metadata template automatically on calling the wizard. Now you can set the "Environment Options -> Tools -> Extract Metadata -> Automatically load template on run" option and select the template file to load on each wizard execution.

4. Import Data Wizard: now you can log all the SQL commands executed during the import process into a file. Use the Enable SQL Log option on the last step of the wizard for this purpose. (*)

5. Now you can use CONTAINING and STARTING WITH syntax within the WHERE clause in the Visual Query Builder. (*)

6. Fixed bug with "Transaction is not active" error occurrence on commit in the Import Data Wizard. (*)

7. The Visual Query Builder doesn't slow down the system anymore. (*)

8. Fixed bugs with creating folder and adding objects to the Project View tree of the DB Explorer.

9. Fixed bug with impossibility of saving changes in the SQL Script.

10. Now data table list is properly restored from a template in the Extract Metadata Wizard.

11. Data exported to MS Access table started to print even if the corresponding option was unchecked. Now it is fixed. (*)

12. Fixed bug with loading data into the BLOB Editor/Viewer using hexadecimal editor's local menu. (*)

13. The UPDATE or INSERT mode of the Import Data Wizard imports data properly now. (*)

14. Fixed bug with autogrants during creating a trigger.

15. Some small corrections and improvements.

Version 3.3.0.1 - March 12, 2003

1. InterBase 7.0 BOOLEAN type is supported by IB Manager now.

2. Import Data Wizard: a possibility of defining the import mode was added. Now you can define how the records from the source file must be imported to the destination. Six modes of data import are available, which allow you to add all records, add new records only, update or delete existing records in various ways. (*)

3. Export Data Dialog: a possibility of customizing multi-file export was added to HTML options. Now it is possible to set the maximal count of records in single file, availability of index file and navigation options. (*)

4. Visual Query Builder: a possibility of diagram saving/loading was added. Now you can save the current diagram layout to external file for later use. (*)

5. Page options were added to the PDF Options page of the Export Data Dialog. A possibility to set page size, orientation and margins is available for export to PDF format now. (*)

6. The Autoconnect On Startup option was added to the Database Registration Info dialog.

7. If the Show Hosts option is enabled, databases are grouped by hosts now in the database lists of all program tools, such as SQL Editor, Table Editor and others.

8. New InterBase 7.0 TMP$ objects are also marked as system now.

9. Fixed bug with impossibility of editing parameters and variables values of CHAR and VARCHAR types in the Stored Procedure Debug window.

10. Fixed bug with multiplying of VARCHAR domain size by 3 in the Domain Editor if the UNICODE_FSS character set was specified.

11. Fixed bug with the DDL improperly generated for multiple keys definitions.

12. Now it is possible to check/uncheck fields in the list when creating view or procedure for a table from table editor.

13. Fixed bug with conversion exception raised in the Stored Procedure Debug window for DATE parameters if system date format is different from InterBase one.

14. Fixed bug with impossibility of setting the Underline option for a font on the Color tab of the Editor Options dialog.

15. Fixed bug with improper displaying of the CHECK expression in Domain Editor.

16. Fixed bug with generating field descriptions in the HTML Report.

17. Fixed bug with displaying system objects in the SQL Assistant if they are in separated node.

18. Compare SQL Scripts: fixed bug in ALTER TRIGGER syntax. Also if two tables have different primary keys, the DROP statement will be generated for the current primary key of target table before the CREATE one,

19. Some minor corrections and improvements.

Version 3.2.5.1 - February 11, 2003

1. Visual Database Designer: customizing of the color palette and object appearance was added. Now it is possible to change the appearance of the designer totally by specifying colors and options on the Visual Database Designer tab of the Environment Options dialog. *

2. Two new grid options were added in addition to the Fit columns widths to grid width option: the Save grid view and Autofit columns options. The Save grid view option should be chosen if you wish grid columns to be saved and restored during the next session. The Autofit columns option will fit column widths to their most wide values.

3. The Set Defaults To All Child Windows item was added to the Windows menu. This item sets all the child windows to their default sizes and positions. This function is also available by Ctrl+Alt+D shortcut.

4. Data View: now it is possible to search for the desired value in the current column by typing it in the grid, if the Enable auto search in grid option is checked.

5. The Always Open the Fields Tab option works properly now.

6. Fixed bug with using AltGr key for typing characters in editors.

7. Fixed bug with incorrect generation of the ON DELETE/ON UPDATE statements if active program language is different from default.

8. Fixed bug with closing all the child windows even if the Cancel button was pushed in exit confirmation dialog.

9. Fixed bug with disabling the Show servers in DB Explorer option in the Environment Options dialog.

10. Fixed bug with hiding/showing the DB Explorer window by pressing the F11 key.

11. Some small improvements and minor corrections.

Version 3.2 - January 21, 2003

1. Autogrants functions were implemented. Now you can automatically grant privileges to stored procedures, triggers and views. This feature is available via the corresponding button of the procedure, trigger or view editor and also via the popup menu in the DB Explorer. It's also possible to set grants when objects are compiled. Set proper options on the Tools page of the Environment Options dialog for that purpose.

2. A possibility to increase/decrease spin values in the grid cells using Ctrl+Up and Ctrl+Down combinations instead of Up and Down. You can enable this feature by setting the Use Ctrl+Up to increase spin values option on the Grid page of the Environment Options dialog.

3. An ability to show only connected databases in the drop-down menus was added to all object editors and database tools. This option can be enabled by the corresponding check box on the Tools page of the Environment Options dialog.

4. The DB Explorer state (if it is visible or not) is stored in registry now.

5. The Smart Tabs option was added to the Editor Options dialog. Enable it if you want to have tab width values depending on upper lines, or disable it if you want use tab width values specified by the Tab Stops option.

6. Auto search feature is available in SQL Assistant, Visual Query Builder and Visual Database Designer now.

7. Visual Database Designer: Delete key now closes active table(s) in a diagram, Shift+Del is used to drop a table, Ctrl+Del deletes fields within an active table. *

8. A possibility to edit the page size manually added to the Create Database wizard.

9. Object descriptions are displayed properly in the DB Explorer if the Show Tables Descriptions is on.

10. Stored Procedure Editor displays an error dialog if an exception was raised while executing the procedure.

11. Fixed bug with 'Can't focus disabled or invisible window' error message after opening the Table Editor with the Dependencies, Triggers or Description page active.

12. Fixed bug with closing the View Editor after recompiling.

13. Fixed bug with "Object ... in use" error during view recompiling.

14. Fixed bug with "List index out of bounds" error while changing autoincrement initial value of a trigger.

15. Domain info is visible now in the Add/Edit Column dialog.

16. Fixed bug with extracting objects, which names begin from a digit symbol.

17. Fixed bug with program crashing during export BLOBs to DBF (see Export Data Dialog). *

18. The Compare Script feature is unavailable until both files are specified. It prevents from receiving the I/O error after pushing the Finish button when file name(s) are not specified.

19. The Show Tips feature shows the next tip on startup now.

20. Fixed bug with the incorrect behavior of the View Procedure Header button in the Stored Procedure Editor.

21. The External Tools submenu now available in the Tools menu (see External Tools).

22. The Set Default Link Color button works properly in the Visual Database Designer now. *

23. Fixed bug with improper behavior of child windows in MDI environment mode.

24. Some small improvements and corrections.

Version 3.1 - January 06, 2003

1. Dutch localization was added to IB Manager distribution package. Now six languages are supported: English, German, Italian, Spanish, Dutch and Russian. This list will expand from version to version. You can change the program language by the Options | Select program language... menu item. IB Manager also allows you to select your language preference at first startup.

See Select Program Language.

2. Visual Query Builder was updated to the latest version of EMS QueryBuilder suite (http://www.ems-hitech.com/querybuilder/). A lot of small improvements and corrections. *

3. Database Tools (e.g. SQL Editor, Visual Query Builder *, Visual Database Designer *) now switch to the active database automatically each time when the tool window becomes active.

3. Visual Database Designer: a possibility to hide/show grid in database objects was added. This option is available in the Visual Database Designer window through the Show Grid In Objects item of the Display Mode button drop-down menu. *

4. SQL Script: now the database drop-down list updates itself in compliance with the databases currently active and reverts to its initial state if the assigned database closes.

5. User Manager window behaviour was changed. It is not a modal window now and it looks like other child windows of the application.

6. Print Metadata window has also changed its style. *

7. Visual Database Designer & Visual Query Builder: these two windows were redesigned to avoid undesirable toolbar behaviour. *

8. Login prompt dialog appears now if password is not specified in the database registration info.

9. "FDB" file extension became a registered file type. Now you're able to register/open FireBird databases by starting a database file from Windows shell.

10. Some corrections were applied to the User Manager. Adding role and some other functionality is now available.

11. Fixed bug with "List index out of bounds" error in the Search In Metadata function. Several minor bugs were also fixed.

12. Compare Scripts Wizard: fixed bug with CHAR/VARCHAR fields which have default values containing more than one word.

13. DB Explorer: fixed bug with disappearing object names in the SQL Assistant after switching from the Databases tab to the Windows tab and back again.

14. Some minor bugfixes and small improvements.

Version 3.0 - December 16, 2002

  1. New features – new name!

QuickDesk changes its name to IB Manager!

  2. New, modern, and fully customizable user interface!

See Visual Options for details.

  3. MDI Interface implemented

Microsoft Office Style - all program windows are child windows of the main window now. You can customize the Environment Style using the the Environment Options window.

  4. HTML Report Generator

Create a detailed HTML report about your database quickly.

  5. New Visual Query Builder

Full support of FB 1.x and IB 6.5 select enhancements.

  6. Plan Analyzer

Helping you easily understand the query optimization plans in SQL Editor.

  7. Multilanguage support

Spanish, Italian, German and Russian localizations available, Dutch localization is coming soon

  8. Backup and Restore Templates

Make backup and restore even more quickly.

  9. New Compare SQL Scripts Module

Working much better than the previous one

  10. Data Export to PDF and MS Access

Two more popular formats added


Other EMS Products

Quick navigation

MySQL

Microsoft SQL

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

DBISAM

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

DB2

 | SQL Management Studio for DB2 EMS SQL Management Studio for DB2 is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 15 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
 | DB Comparer for DB2 Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Data Comparer for DB2 Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

DBISAM

SQL Manager for DBISAM

Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.

Scroll to top

Tools & components

advancedexport | Advanced Data Export Advanced Data Export Component Suite (for Borland Delphi and .NET) will allow you to save your data in the most popular office programs formats.
advancedimport | Advanced Data Import Advanced Data Import™ Component Suite for Delphi® and C++ Builder® will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator for Delphi gives you an opportunity to create PDF documents with your applications written on Delphi® or C++ Builder®.
querybuilder | Advanced Query Builder Advanced Query Builder is a powerful component suite for Borland® Delphi® and C++ Builder® intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report Advanced Excel Report for Delphi is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer Advanced Localizer™ is an indispensable component suite for Delphi® for adding multilingual support to your applications.
sourcerescuer | Source Rescuer EMS Source Rescuer™ is an easy-to-use wizard application for Borland Delphi® and C++Builder® which can help you to restore your lost source code.
 | Scroll to top


Getting started

SQL Manager 2008 for InterBase/Firebird provides you with an ability to contribute to efficient InterBase/Firebird administration and development using a variety of available tools easily and quickly.

The succeeding chapters of this document are intended to inform you about the tools implemented in SQL Manager 2008 for InterBase/Firebird. Please see the instructions below to learn how to perform various operations in the easiest way.

  • Selecting style and language
  • How the application looks when you start it for the first time
  • Using Desktop Panel
  • Database navigation
  • Working with database objects
  • Using context menus
  • Switching between child windows

Enjoy your work with SQL Manager 2008 for InterBase/Firebird!

See also:

Database Explorer

Database management

Database objects management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

Personalization

External tools


Selecting style and language

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Selecting environment style and program language

Before you start SQL Manager for the first time, you have to choose the environment style and the interface language. You can always change these settings using the Environment Options dialog (Options | Environment Options...) to configure the environment style and the Select Language dialog (Options | Select Program Language...) to change the program language.

Environment style

This switch allows you to define the main window behavior style - RadioButton MDI (like in MS Office applications) or RadioButton Floating windows (like Borland Delphi IDE).

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

Program Language

Select the interface language from the list of available languages.

Getting started - Selecting style and language

See also:

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Switching windows


First time started

This is how SQL Manager 2008 for InterBase/Firebird looks when you start it for the first time. Use the Desktop panel to fulfill any of common tasks: Create a new database, Manage existing database(s), and a several tasks which do not require database registration, i.e. Execute SQL script, accessing the help system or using access available Internet resources.

The main menu allows you to perform various Database operations, open To-Do List and activate/deactivate Database Explorer, SQL Assistant and various toolbars within the View menu, manage your databases using items of the Tools and Services menus, customize the application using the Options menu, manage SQL Manager Windows using Window List and other tools, view the Tip of the Day and access Registration information and product documentation using the corresponding items available within the Help menu.

To start working with your InterBase/Firebird, you should first register the host using Register Host wizard. After that you need to register one or several databases using Register Database Wizard.

By default the corresponding Register Host btnRegisterHost, Register Database btnRegisterDB buttons are available on the toolbar and within the Database menu.

When the database connection settings are specified, you can set connection to your database and proceed to Database navigation, Database Objects management, working with SQL queries and other tools of SQL Manager.

Getting started - First time started

See also:

Selecting style and language

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Switching windows


Using Desktop Panel

Desktop Panel is the area that is visible when no child windows are open in SQL Manager 2008 for InterBase/Firebird. The working area of Desktop Panel is divided into four sections: Getting Started, Database Tools, Help and Support, Internet Resources.

Using the Desktop Panel items you can:

  • create a new InterBase/Firebird database;
  • register existing database(s) to operate them afterwards in SQL Manager;
  • create a new table within the current database using the New Table window (this item is available if there is at least one active database connection);
  • create a new database object within the current database (this item is available if there is at least one active database connection);
  • execute a script using SQL Script Editor;
  • execute a SQL query (this item is available if there is at least one active database connection);
  • grant permissions on database objects to InterBase/Firebird users using Grant Manager (this item is available if there is at least one active database connection);
  • show this help file;
  • browse SQL Manager 2008 on-line documentation;
  • visit SQL Manager 2008 Home Page;
  • go to Technical Support Center;
  • look through the Frequently Asked Questions page.

Getting started - Using Desktop Panel

See also:

Selecting style and language

First time started

Database navigation

Working with database objects

Using context menus

Switching windows


Database navigation

After you have registered the required database(s), the corresponding alias(es) appear in the DB Explorer tree on the left. If the Show Hosts option is checked on the Environment Options | DB Explorer page, the host nodes are also displayed in the tree (alternatively, you can use the Show Hosts item of the Database context menu, or the drop-down menu of the View Mode btnViewMode toolbar button for the same purpose). If necessary, you can also specify that empty schemas should be hidden in the tree: use the corresponding option available on the DB Explorer page of the Environment Options dialog.

To connect to a database, simply double-click its alias (or select the database alias in DB Explorer and press Enter). If the connection is successful, the database node expands into a tree of objects. To select the types of objects to be expanded upon successful database connection, you can use the Expand on connection group of the Environment Options | DB Explorer page.

Now you can navigate within the database objects. Use SQL Assistant to get extended information about the currently selected object.

For your convenience objects having different status (e.g. enabled/disabled) are displayed with different icons in Database Explorer.

Getting started - Database navigation - Object status

See also:

Selecting style and language

First time started

Using Desktop Panel

Working with database objects

Using context menus

Switching windows


Working with database objects

The nodes of the DB Explorer tree allow you to access server objects and objects of the selected database respectively. If InterBase/Firebird you are connected to supports certain types of objects, their nodes will appear in the tree. Double-click an object to open it in the corresponding editor.

Right-click an object to display its context menu which allows you to perform various operations over the selected object or database.

Getting started - Working with database objects

If you want to use the DB Explorer tree for working with table subobjects (fields, indexes, Foreign keys, etc.), check the Show table subobjects option which is available within the General options group of the Environment Options | DB Explorer page (you can also use the Show Table Subobjects menu item in the drop-down menu of the View Mode btnViewMode toolbar button for the same purpose.)

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Using context menus

Switching windows


Using context menus

The context menus are aimed at facilitating your work with SQL Manager 2008 for InterBase/Firebird: you can perform a variety of operations using context menu items.

Select an object in DB Explorer and right-click its alias to open the context menu.

  • Host context menu
  • Database context menu
  • Object context menu

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Switching windows


Host context menu

The context menu of a Host in the DB Explorer tree allows you to:

  • access server objects and common services available in the Tasks submenu;
  • view/edit the selected host properties within the Host Registration Info dialog;
  • create a new database at the selected host;
  • register a new database using Register Database Wizard;
  • register a new host using Register Host Wizard;
  • unregister the selected Host;
  • configure representation of hosts and databases in Database Explorer;
  • create a new tab for the selected Host to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Host context menu

See also:

Database context menu

Object context menu


Database context menu

The context menu of a registered database in the DB Explorer tree allows you to:

  • connect to the selected database (if connection to the database is not active yet);
  • disconnect from the selected database (if connection to the database has been already activated);
  • access database tools available in the Tasks submenu;
  • view/edit the Database properties;
  • view/edit the host properties within the Host Registration Info dialog;
  • create a new database at the host where the selected database resides;
  • drop the selected database;
  • register a new database using Register Database Wizard;
  • unregister the selected database;
  • view/edit the selected database registration information within the Database Registration Info dialog;
  • register a new host using Register Host Wizard;
  • unregister the Host where the selected database resides;
  • generate the database script and open it in SQL Editor;
  • generate the database script and copy its text to Windows clipboard;
  • configure representation of hosts and databases in Database Explorer;
  • refresh the selected database;
  • test connection to the database (or reconnect if connection has been already established);
  • create a new tab for the selected database to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Database context menu

See also:

Node context menu

Object context menu


Object context menu

The context menu of an object (e.g. table) in the DB Explorer tree allows you to:

  • create a new database object of the same type;
  • edit the selected object in its editor;
  • rename the selected object;
  • drop the selected object from the database;
  • duplicate the selected object (create a new object with the same DDL structure and properties as the selected object has);
  • access common Tasks applied to this object;
  • perform data manipulation operations (for tables and views);
  • view properties (for tables);
  • define grants for the selected object;
  • generate the object script and open it in SQL Editor;
  • generate the database script and copy its text to Windows clipboard;
  • refresh all objects of the selected object type;
  • view/edit the database registration information within the Database Registration Info dialog (for database objects);
  • create a new tab for the selected object to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Object context menu

See also:

Node context menu

Database context menu


Switching windows

The Windows Toolbar of SQL Manager allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons. To perform some additional actions with the window, right-click its tab and select the corresponding menu item from the popup menu.

Getting started - Switching windows

If you have multiple windows opened, you can also switch between them using the Ctrl+Tab shortcut.

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus


Database Explorer

Database Explorer (or DB Explorer) is the basic window of SQL Manager 2008 for InterBase/Firebird for navigation within databases and working with database and server objects. The tree-like structure of DB Explorer allows you to manage the databases, database and server objects and perform other everyday operations quickly and easily.

The following list contains the most frequently used features provided by Database Explorer.

  • Managing database registration info
  • Connecting to databases
  • Performing basic operations upon database objects
  • Selecting multiple objects
  • Navigating database objects using multiple tabs
  • Easy access to recently opened objects
  • Creating projects to work with selected objects only
  • Searching within the tree
  • Viewing extended information about database objects
  • Configuring Database Explorer
  • Managing Favorite queries

To view/hide the Database Explorer window, use the View | DB Explorer main menu item or press the F11 key.

Use the Ctrl+Shift+C shortcut to collapse current DB Explorer tree branch and switch to the parent node.

See also:

Getting started

Database management

Database objects management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

Personalization

External tools


Managing database registration info

After you have created and/or registered your database in SQL Manager 2008 for InterBase/Firebird, you can perform a number of operations with the database using the context menu.

If you need to view/edit the registration information of a database, right-click the database alias in DB Explorer and select the Database Registration Info... context menu item to open the Database Registration Info dialog.

DB Explorer - Managing database registration info

See also:

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Connecting to databases

When the InterBase/Firebird host is registered, and the database registration is complete, you can establish connection to your database.

The simplest way to connect to a database is to double-click its alias in the Database Explorer tree. The same operation can be performed by selecting the Connect to Database item of the database alias context menu, or by using the Database | Connect to Database main menu item.

Alternatively, you can use the Shift+Ctrl+C shortcut to connect to your database.

DB Explorer - Connecting to databases

Note that you can change database aliases order by dragging within the DB Explorer tree.

See also:

Managing database registration info

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Operations with database objects

Database Explorer allows you to perform various operations with database objects and server objects.

To open an object in its editor, you can double-click the object in the DB Explorer tree.

You can also right-click an object within the DB Explorer tree and use its context menu of to perform a number of operations:

  • create a new object (the New <object>... item);
  • edit currently selected object (the Edit <object_name>... item);
  • rename currently selected object (the Rename <object_name>... item);
  • drop the selected object from the database (the Drop <object_name>... item);
  • duplicate the selected object (the Duplicate <object_name>... item);
  • define grants for the selected object (the Grants for <object_name>... item).

Note that the context menu contains object-specific items only when the object is currently selected in DB Explorer.

DB Explorer - Operations with database objects

Using drag-and-drop operations you can add objects to SQL Editor, Visual Query Builder or SQL Script Editor. For your convenience the Insert to editor dialog is implemented. The dialog allows you to specify the statement to be inserted into the editor. If necessary, you can edit the generated statement manually.

See also:

Managing database registration info

Connecting to databases

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Selecting multiple objects

You can select more than one object in Database Explorer by pressing the Ctrl or the Shift key and selecting multiple objects one by one.

The context menu of several selected objects allows you to:

  • create a new database object of the same type;
  • edit the selected objects (for database objects);
  • drop the selected objects;
  • perform other operations with the first of the selected objects (see Operations with database objects).

DB Explorer - Selecting multiple objects

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Using tabs for database navigation

To make your work with Database Explorer even more convenient, the capability of working with several tabs is implemented.

You can use tabs when you wish to work with a particular node of the DB Explorer tree only: with one specific schema, or with tables of some schema, or with a specific database project. Creating such tabs will minimize scrolling within large trees, you only need to switch between them with a single click on the corresponding tab.

Creating tabs

In order to create a new tab:

  • right-click the node for which you wish to create a tab and select the New Tab from Here... context menu item.

Renaming tabs

In order to rename a tab:

  • switch to the tab by clicking its caption (there can be only one active tab, and it is differentiated by a different color);
  • right-click within the DB Explorer area and select the Rename Current Tab... context menu item.

Removing tabs

In order to remove a tab:

  • switch to the tab by clicking its caption (there can be only one active tab, and it is differentiated by a different color);
  • right-click within the DB Explorer area and select the Delete Current Tab context menu item.

DB Explorer - Using tabs for database navigation

Note: Navigation through the tabs is also possible with the help of the following shortcuts:

  • Ctrl+Shift+N - move to the next tab;
  • Ctrl+Shift+P - move to the previous tab.

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Recently opened objects

Use the Recent Objects btnRecentObjects button available on the DB Explorer toolbar to access the list of recently opened database objects (during the current session).

This list is common for all registered databases. Next to the object name the database name and the host are displayed. Select an object from this list to open it using its editor.

DB Explorer - Recently opened objects

To change the number of objects that are considered 'recent', select the Options | Environment Options main menu item, proceed to the Tools | DB Explorer section within the Environment Options dialog, and set the Recent objects count option value (see Environment Options for details).

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Creating projects

Use the Projects node for each database to work with the selected objects of this database only. You can place any object from the database tree here.

You can also create a separate tab for your project. See Using tabs for database navigation section for details.

DB Explorer - Creating projects

Creating project folders

In order to create a new folder:

  • create a folder (if necessary, you can create subfolders inside the project folder) by right-clicking the Projects node and selecting the New Sub Folder... context menu item;
  • enter the folder name within the New Folder dialog.

Adding objects

In order to add a new object to the project folder:

  • extent the Projects node in DB Explorer;
  • drag an object (or multiple objects) from the database tree to the project folder

or

  • right-click the project folder and select the Add Object... context menu item, or use the Ins key;
  • use the Select Object dialog to specify objects to be added to the project folder.

DB Explorer - Creating projects - Select Object

Removing objects from the project

In order to remove an object from the project:

  • right-click the object and select the Remove <object_name> from Project context menu item, or use the Shift+Ctrl+Del shortcut;
  • confirm removing in the dialog window.

Note: This operation does not drop the object from the database, but only removes its alias from the project tree.

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Searching within the tree

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


Searching within the tree

SQL Manager 2008 for InterBase/Firebird provides an ability to search for items within the DB Explorer tree. Searching for items may be useful if you have a lot of database objects, and it may be sometimes hard to find the one you need.

There are two search facilities implemented in SQL Manager for your convenience. You can search for items within the DB Explorer tree in either of the following ways:

  • using the Find Item dialog

To call the Find Item dialog, right-click the Database alias or any of the database objects in the DB Explorer tree and select the Find Item... context menu item, or use the Ctrl+F key shortcut.

DB Explorer - Searching within the database

Note that you can specify whether the search will be performed within the entire tree or within the currently selected node only: use the CheckBox Search on categories option available within the Tools | DB Explorer section of the Environment Options dialog.

  • using the Search Panel

Type in the first letters in the edit-box, and the corresponding object will be highlighted in the tree, as displayed in the picture below.

DB Explorer - Search Panel

By default, the Search Panel is activated in the upper area of DB Explorer. To disable the panel, right-click within the panel and deselect the checkbox at the corresponding popup menu item.

Hint: The Search Panel is dockable, i.e. you can drag it to any location within the DB Explorer form.

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Viewing query history

Creating projects

SQL Assistant

Configuring Database Explorer

Managing Favorite queries


SQL Assistant

SQL Assistant which is located at the bottom of the Database Explorer window helps you to work with your database objects. Depending on the current selection in DB Explorer, the SQL Assistant area displays additional information about the selected object.

DB Explorer - SQL Assistant

If you select a database in DB Explorer, SQL Assistant displays the list of the database object groups and the number of objects in each group.

Selecting an object group in DB Explorer displays the list of the objects in SQL Assistant. Double-clicking the object name in SQL Assistant makes the object available for editing in the appropriate editor. The context menu of the object or group of objects (selected with the Ctrl or Shift keys pressed) allows you to edit or drop the selected objects.

If you select a table or a view in DB Explorer, SQL Assistant displays the list of the table subobjects (e.g. fields and their types) by default. What is displayed in SQL Assistant when a table or a view is selected in DB Explorer depends on the Table Details / View Details selection. Click the View Mode btnViewMode toolbar button and select the Table Details | Show... (or View Details | Show...) drop-down menu item, or use the context menu of SQL Assistant. Possible values are: Show Fields, Show Foreign Keys, Show Checks, Show Indices, Show Triggers, Show Table Info, Show DDL, Show Description (for tables); Show Fields, Show Indices, Show Triggers, Show DDL, Show Description (for views).

If you select a procedure or a user-defined function in DB Explorer, SQL Assistant lists its parameters by default. Use the Procedure and UDF Details | Show... context menu item within the SQL Assistant area to define the content of SQL Assistant when a procedure or a user-defined function is selected in DB Explorer. Possible values are: Show Parameters, Show DDL, Show Description.

Selecting other objects in DB Explorer displays the definition in SQL Assistant by default. Use the Other Objects' Details | Show... context menu item within the SQL Assistant area to define the content of SQL Assistant when an object is selected in DB Explorer. Possible values are: Show DDL, Show Description.

You can also use SQL Assistant to work with your queries quickly. You can drag-and-drop object aliases to the SQL Editor, Visual Query Builder or SQL Script Editor working area, in the same way as this operation is performed in Database Explorer.

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

Configuring Database Explorer

Managing Favorite queries


Configuring Database Explorer

Use the View Mode btnViewMode toolbar button to configure Database Explorer according to your needs.

The drop-down menu called upon clicking this button allows you to:

  • show/hide table subobjects as child nodes of tables;
  • show/hide view subobjects as child nodes of views;
  • show/hide host nodes for registered databases;
  • sort the list of databases by their aliases in the DB Explorer tree;
  • show/hide disconnected databases;
  • show/hide procedure subobjects
  • show/hide UDF subobjects
  • show/hide Error
  • configure table/view/procedure/UDF/other objects' details for the SQL Assistant area.

Use the DB Explorer section of the Environment Options dialog (Options | Environment Options...) to see more options to configure Database Explorer.

DB Explorer - Configuring Database Explorer

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Managing Favorite queries


Managing Favorite queries

Favorite Queries is a new feature of SQL Manager. Now you are provided with an opportunity to save the most frequently used SQL queries as Favorite Queries.

Use the Favorite Queries node of DB Explorer to access the list of your Favorite queries quickly. Queries stored in the database and those stored in Windows registry can be easily distinguished by their icons.

Using the context menu you can create a new Favorite query or edit an existing one using Favorites editor, open any of the existing queries in SQL Editor or remove a query if you don't need it any longer.

DB Explorer - Managing Favorite queries

You can also create a separate tab for your Favorite queries. See Using tabs for database navigation section for details.

See also:

Managing database registration info

Connecting to databases

Operations with database objects

Selecting multiple objects

Using tabs for database navigation

Recently opened objects

Creating projects

Searching within the tree

SQL Assistant

Configuring Database Explorer


Database management

SQL Manager 2008 for InterBase/Firebird provides a number of tools you may need to manage your InterBase/Firebird databases.

Find the list of common database management operations for working in SQL Manager below.

Registering Hosts

In order to register a Host in SQL Manager 2008 for InterBase/Firebird:

  • select the Database | Register Host... main menu item or use the corresponding Register Host btnRegisterHost toolbar button

or

  • right-click the Host and select the Register Host... context menu item in the DB Explorer tree;
  • set all the necessary options using Register Host wizard which guides you through the entire process of Host registration.

Unregistering Hosts

In order to unregister a Host in SQL Manager 2008 for InterBase/Firebird:

  • select the Host to unregister in the DB Explorer tree;
  • select the Database | Unregister Host main menu item or use the corresponding Unregister Host btnUnregisterHost toolbar button

or

  • right-click the Host and select the Unregister Host context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Viewing and editing Server Properties

In order to view/edit Server properties in SQL Manager 2008 for InterBase/Firebird:

  • select the host or a database that resides on this host in the DB Explorer tree;
  • right-click the host or the database alias and select the Server Properties context menu item.

Creating Databases

In order to create a Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database | Create Database main menu item or use the corresponding Create Database btnCreateDB toolbar button;
  • set all the necessary options using Create Database wizard which guides you through the entire process of creating a new database.

Dropping Databases

In order to drop a Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database to drop in the DB Explorer tree;
  • select the Database | Drop Database main menu item;
  • confirm dropping in the corresponding dialog window.

Registering Databases

In order to register a single Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database | Register Database... main menu item or use the corresponding Register Database btnRegisterDB toolbar button

or

  • right-click the Database and select the Register Database... context menu item in the DB Explorer tree;
  • set all the necessary options using Register Database wizard which guides you through the entire process of Database registration.

Unregistering Databases

In order to unregister a Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database to unregister in the DB Explorer tree;
  • select the Database | Unregister Database main menu item or use the corresponding Unregister Database btnUnregisterDB toolbar button

or

  • right-click the Database and select the Unregister Database context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Connecting to Databases

In order to connect to a Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database to connect to in the DB Explorer tree;
  • select the Database | Connect to Database main menu item or use the corresponding Connect to Database btnConnectToDB toolbar button

or

  • right-click the Database and select the Connect to Database context menu item in the DB Explorer tree.

Disconnecting from Databases

In order to disconnect from a Database in SQL Manager 2008 for InterBase/Firebird:

  • select the Database to disconnect from in the DB Explorer tree;
  • select the Database | Disconnect from Database main menu item or use the corresponding Disconnect from Database btnDisconnectFromDB toolbar button

or

  • right-click the Database and select the Disconnect from Database context menu item in the DB Explorer tree.

Viewing and editing Database Registration Info

In order to view/edit Database Registration Info in SQL Manager 2008 for InterBase/Firebird:

  • select the Database or any of its objects in the DB Explorer tree;
  • select the Database | Database Registration Info... main menu item

or

  • right-click the Database or any of its objects and select the Database Registration Info... context menu item in the DB Explorer tree.

Viewing and editing Database Properties

In order to view/edit Database properties in SQL Manager 2008 for InterBase/Firebird:

  • select the Database in the DB Explorer tree;
  • right-click the Database and select the Database Properties... context menu item or use the corresponding Properties btnDBProperties toolbar button

See also:

Getting started

Database Explorer

Database objects management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

Personalization

External tools


Register Host wizard

Register Host wizard allows you to register a host in SQL Manager 2008 for InterBase/Firebird.

To start the wizard, select the Database | Register Host... main menu item, or use the Register Host btnRegisterHost button on the main toolbar. You can also use the Shift+Ctrl+R shortcut for the same purpose.

  • Setting connection parameters
  • SSH connection settings
  • Setting specific options

Register Host Wizard - Setting connection parameters

See also:

Create Database wizard

Register Database wizard

Database Registration Info

Database Properties

Host Registration Info


Setting connection parameters

Use this step of the wizard to set the necessary connection parameters for the new Host using the corresponding boxes and options: Host name, Authentication, User name and Password.

Register Host Wizard - Setting connection parameters

Select network protocol, specify the host you are going to work with: type in the host name in the Host name field or select one in the drop-down list.and enter valid port/service.

Specify the preferable Network protocol (Local, TCP/IP, NetBEUI, Novel SPX), at the Host field please type an InterBase/Firebird host name in. Enter InterBase/Firebird port/service to connect through in the Port field. (gds_db for InterBase and port 3050 for Firebird by default).

Authentication type

Specify the type of InterBase/Firebird authentication to be used for the connection.

For successful connection to the server it is crucial to use the appropriate client library - the one that is compatible with the server you are using: gds32.dll for Interbase and fbclient.dll for Firebird. Please note that the client library file must be located on your local machine (e.g. in the directory where the utility is installed). Press Detect Automatically for automatic client selection.

CheckBox Use Secure Shell (SSH) tunneling

The use of this option allows you to connect to hosts over a Secure Shell Tunnel. The traffic is encrypted to protect individual and corporate data.

Click the Next button to proceed to the Setting specific options step or to the SSH connection settings step of the wizard, depending on whether the CheckBox Use Secure Shell (SSH) tunneling option has been selected or not.


SSH connection settings

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of InterBase/Firebird server)
  • SSH password is the Linux/Windows user password

CheckBox Use Private Key for authentication

If the SSH encryption is enabled on the SSH server, a user can generate a pair of cryptographic keys (the Private key and the Public key). The Public key is placed on the SSH server, and the Private key is the part you keep secret inside a secure box that can only be opened with the correct passphrase (or an empty string as the passphrase). When you wish to access the remote system, you open the secure box with your passphrase (if any), and use the private key to authenticate yourself with the Public key on the remote Linux computer.

SSH Key file

Specify the location (the secure box) of the Private key file on your local machine.

Supported Private Key file formats are:

OpenSSH

Putty

SSH.com

Note that you need to trust your local machine not to scrape your passphrase or a copy of your Private key file while it is out of its secure box.

SSH connection settings

Click the Next button to proceed to the Setting specific options step of the wizard.


Setting specific options

Specify the location of client library and server security database; set some specific options for registered host.

CheckBox Login prompt before connection

Enables SQL Manager 2008 for InterBase/Firebird to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect on startup

Check the option to set the automatic connection to the host on startup.

CheckBox Connect to the host automatically when connecting to any its database.

When checked, automatically connects to the host when trying to connect to any of its databases.

CheckBox Don't show client library warnings

Turn this option on to skip the message of client library version incompatibility.

CheckBox Create new tab for this host

Checking this option adds a new tab to the bar, making navigation easier.

The Detect Automatically button allows you to locate path to client library and security database automatically.

Authorized InterBase/Firebird users are stored in a security database. Each InterBase/Firebird has its own security database, which means that a user definition is bound to the server where it is stored. The security database also stores an encrypted password for each user.

Client library provides the conduit between the API or object library an application uses to communicate with the DB server and the networking protocols used to exchange data with the network.

Register Database wizard - Setting specific options - General

Click Finish button when done to start working with the selected host in SQL Manager 2008 for InterBase/Firebird.


Create Database wizard

Create Database wizard allows you to create a new database on your InterBase/Firebird host.

To start the wizard, select the Database | Create Database... main menu item, or use the Create Database btnCreateDB button on the main toolbar.

  • Setting database name
  • Setting connection properties
  • Defining database files
  • Viewing result SQL statement

Create Database Wizard - Setting database name

See also:

Register Host wizard

Register Database wizard

Database Registration Info

Database Properties

Host Registration Info


Setting database name

Use this step of the wizard to select the host for the database being created.

Create Database Wizard - Setting database name

Click the Next button to proceed to the Setting connection properties step of the wizard.


Setting connection properties

Use this step of the wizard to set the necessary connection parameters for the database being created.

Create Database Wizard - Setting connection properties

Database file

A new database file specification, including full name of database file. E.g. if you use protocol TCP/IP to access server "myserver" and you want to create database "mydatabase" in folder "bases" on disc C, you should fill this edit field like is shown: c:\bases\mydatabase.gdb

User Name

Checks the user name against valid user name and password combinations in the security database on the server where the database will reside.

Password

Checks the password against valid user name and password combinations in the security database on the server where the database will reside.

Page Size

Size, in bytes, for database pages. Can be 1024, 2048, 4096 (default), or 8192.

Charset

Sets default character set for a database charset; if omitted, character set defaults to NONE.

SQL Dialect

Declares the SQL Dialect for database access.

SQL Dialect | Used for
1 | InterBase 5.5 and earlier compatibility
3 | InterBase 6.0; allows you to use delimited identifiers, exact numerics, and DATE, TIME, and TIMESTAMP datatypes

Single Database File

If you want to store your new database in several files, uncheck this option. By default this option is checked that value means that the database is stored in one file only.

Click the Next button to proceed to the Defining database files step of the wizard.


Defining database files

Specify the parameters of the database single and secondary files.

Note: this step is skipped if you checked the chbox Single Database File option on previous step.

Primary database file

First set the length of the primary file (the file set on the previous step) in the Primary File Length field. This number shows when the new database file should be started.

To add a new database file set its name in the Secondary file name field, then set its length (to indicate where next file should be started) or starting at value (if you haven't set the previous file length) and click the Add button. The file is added to the file list. Now you can add more files in the same way or remove files from the list, clicking Delete.

Secondary files options


Viewing result SQL statement

View the result CREATE DATABASE statement issued for the new database creation. You can alter the script manually, if necessary. For more information see Changing Metadata window.

Create Database Wizard - Viewing result SQL statement

If the CheckBox Register the database after creating option was checked, the Database Registration Info dialog will appear.


Register Database wizard

Register Database Wizard allows you to register a single database.

To start the wizard, select the Database | Register Database... main menu item, or use the Register Database btnRegisterDB button on the main toolbar. You can also use the Shift+Alt+R shortcut for the same purpose.

  • Setting connection parameters
  • Registering DB on a new host
  • Setting specific options

Register Database wizard

See also:

Register Host wizard

Create Database wizard

Database Registration Info

Database Properties

Host Registration Info


Setting connection parameters

Set the connection properties in the appropriate boxes: user name, password and role.

User name

User name for connecting to the database server.

Password

Password for connecting to the server.

Role

Specify the role that you adopt on connection to the database. You must have previously been granted membership in the role to gain the privileges of that role.

Register Database wizard - Setting connection parameters

Click the Next button to proceed to the Setting specific options step or to the Registering DB on a new host step of the wizard, depending on whether the Database is located on a new host has been selected or not.


Registering DB on a new host

Note: this step is skipped if you chose Database is located on a new host in the beginning.

Set the connection properties in the corresponding boxes: protocol, host name, user name, password and misc.

For more details see Register Host wizard SSH connection settings and Setting specific options.

Registering DB on a new host


Setting specific options

This step of the wizard allows you to set the database registration options using the corresponding tabs: General database options, Log settings.

Database name

Select the database name to register from the drop-down list.

Database Alias

Any database alias that is convenient for you (e.g. Customers or My Test Database). This alias will be displayed in the DB Explorer window.

Charset

Specify an active character set to use for subsequent database attachments.

Get Default button chooses the default charset which was set on creation of database.

Test Connection button allows you to check whether you are connected to the database at the moment.

Register Host wizard - Setting specific options - Database

The General tab:

Font charset

Specify the character set to be used to display data in the grid.

CheckBox Refresh objects on connection

This option allows you to enable/disable refreshing objects on connection to the database. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

CheckBox Login prompt before connection

Enables SQL Manager 2008 for InterBase/Firebird to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect at startup

With this option set, connection to the registered database is established automatically at application startup.

CheckBox Edit aliases file (only Firebird)

Allows changing local Firebird server aliases file.

Register Database wizard - Setting specific options - Logs

The Logs tab allows you to set log options for the database:

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

Log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the metadata logs.

CheckBox Enable log of SQL Editor queries

Check this option if you wish to log your SQL Editor queries in a file.

Log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the logs of SQL queries.

Click the Finish button when done to start working with the newly registered database in SQL Manager 2008 for InterBase/Firebird.


Database Registration Info

Use the Database Registration Info dialog to view and edit the registration properties of the database.

To open the dialog, select the database or any of its objects in the DB Explorer tree, then select the Database | Database Registration Info... main menu item, or right-click the database alias in DB Explorer and use the Database Registration Info... context menu item. You can also use the Database Registration Info... btnDBRegistrationInfo button on the main toolbar.

Note: the Copy Alias from... menu allows you to select the alias of a previously registered database and use it for the newly created/configured database.

  • Editing connection properties
  • Setting database options
  • Setting display options
  • Setting grid and data options
  • Setting default directories
  • Setting log options
  • Find Option

Database Registration Info - Editing connection properties

See also:

Register Host wizard

Create Database wizard

Register Database wizard

Database Properties

Host Registration Info


Editing connection properties

The Connection section of the Database Registration Info dialog allows you to view and/or edit the connection properties in the corresponding boxes: User name, Password, Role, Database name, Database alias, Charset, Font charset.

Note that client charset should match the charset used in the database.

Press the Get Default button to obtain information on DB charset from the server.

Database Registration Info - Editing connection properties

For more details see Register Database wizard Setting specific options.

See also:

Setting common database options

Setting display options

Setting default directories

Setting log options


Setting common database options

The Options section of the Database Registration Info dialog allows you to set various options for the database.

Database Registration Info - Setting common database options

Customize common database options according to your needs. The detailed description is given below.

CheckBox Login prompt before connection

Enables SQL Manager 2008 for InterBase/Firebird to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect at startup

Check this option to specify that SQL Manager 2008 for InterBase/Firebird automatically establishes connection to the registered database at application startup.

chbox Disconnect automatically when disconnecting from host

When enabled, disconnecting from host will automatically disconnect you from the database.

chbox Always Capitalize database object names

If this option checked, SQL Manager 2008 for InterBase/Firebird automatically capitalizes all database object names. Recommended for working with InterBase 5.x.

chbox Quote identifiers if they are reserved words

If this option is checked, then the quotation marks are added automatically to all the identifiers, spelled as InterBase reserved words.

chbox Support InterBase 6.0 features

If this option is checked, the InterBase 6.0/FireBird opportunities are supported, e.g. database objects are modified with the help of new SQL commands, not by direct modifying of DB system tables. If you have InterBase 5.x or earlier version installed, uncheck this option.

chbox Refresh objects on connection

This option allows to skip refreshing objects on connection to database is added. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

See also:

Editing connection properties

Setting display options

Setting default directories

Setting log options


Setting system objects options

The System objects section of the Database Registration Info dialog allows you to specify which objects will be displayed in the Database Explorer tree.

Setting system objects options

chbox Show system tables

If this option is checked, systems tables will also be shown in DB Explorer tree.

chbox Show system created domains

Enabled, the domain list in DB Explorer will also include system domains, i.e. the domains, which names start with 'RDB$'.

chbox Show system created triggers

If this option is checked, the trigger list in DB Explorer will also contain system triggers created automatically by IB for the realization of 'CHECK VALUE...' restrictions.

chbox Show system created generators

If this option is checked, the system generators (which names start with 'RDB$') will be displayed within DB Explorer tree.

chbox Allow editing of triggers for system tables and views

When this option is enabled, you may edit triggers for system tables and views.

See also:

Editing connection properties

Setting common database options

Setting default directories

Setting log options


Setting grid and data options

The Grid and Data options section of the Database Registration Info dialog allows you to adjust the default grid mode settings.

Database Registration Info - Setting display options

chbox Enable boolean fields support

If this option is checked, boolean fields are supported.

chbox Set required fields in grid

If this option is checked, you have to set values for all the NOT NULL table fields.

chbox Set calculated fields as read-only

If this option is checked, you calculated field values can't be edited.

chbox Get default values for fields

If this option is checked, SQL Manager will automatically get the default field values from the database server.

chbox Get record count beforehand

If this option is checked, SQL Manager automatically calculates the number of records in table or query. The according information is displayed in the status bar.

chbox Trim Char Fields in Grids

If this option is checked, the final spaces in fields of the CHAR type are trimmed during the editing process.

chbox Auto Commit Transactions

If this option is checked, SQL Manager automatically commits transactions, otherwise you have to do it manually.

chbox Protected Edit (block record while editing)

If this option is checked, SQL Manager blocks the record you are editing so that other users can't edit this record. This helps to avoid conflicts of collective access to the database.

Setting grid and data options02

Data Options

chbox Use shared connection for each data view within a database

Check this option to disable creation of the separated connection for each data view. Using it is recommended if maximum allowed number of connections is too low.

chbox Use SQL sorting in data view

You can define sorting mode - it can be done by means of grid itself or by means of SQL.

chbox Use SQL filter in data view

Defines filtering mode - it can be done by means of grid itself or by means of SQL.

Load visible rows mode if records more than

Set this option to switch to Load visible rows mode when number of records in dataset exceeds specified number.

String fields width (chars)

Using this option you can limit string fields width that may improve performance on large datasets.

Default Grid Mode defines grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a very long time. But in this case you have some advantages: e.g. in the filter drop-down list the column headers are displayed with the values for quick filter; it is possible to open several sublevels at the same time when viewing data in master-detail view, etc.

Because opening and other operations with an object consisting of many records takes sufficient time the Load visible rows mode should be used instead. It can be set individually for each table and is saved between sessions (can be set via grid context menu).

  • Load all rows

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

  • Load visible rows

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. The automatic sorting, filtering, summary calculations are not supported in this mode.

See also:

Editing connection properties

Setting common database options

Setting default directories

Setting log options


Defining Events

This tab allows you to specify what alerters should be taken into account (which event messages them should be displayed within Event monitor).

Add the strings of event messages (ones set in event alerters) with the help of the Add and Remove buttons of the dialog. Check the Registered option to register the event in Event monitor.


Setting default directories

The Directories section of the Database Registration Info dialog allows you to set the directories to be used by default for database extract, data export, data import, saving HTML reports, creating reports operations.

Database Registration Info - Setting default directories

See also:

Editing connection properties

Setting common database options

Setting display options

Setting log options


Setting log options

The Logs section of the Database Registration Info dialog allows you to specify log file names for metadata changes logging and SQL query logging, if necessary.

Logging can be useful when you are going to move the changes made in the development database to the production database.

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

Metadata log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the metadata logs.

CheckBox Enable log of SQL Editor queries

Check this option if you wish to log your SQL Editor queries in a file.

SQL Editor log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the logs of SQL queries.

QuickSave options

Allows to sat up quick saving for database objects - automatic saving objects DDL and location of quicksaving cache.

For more details see Quick save/Quick load.

Database Registration Info - Setting log options

See also:

Editing connection properties

Setting common database options

Setting display options

Setting default directories


Host Registration Info

You can obtain the information on a registered host via the Host Registration Info dialog. Also you can set

a number of options for the host.

The dialog can be called by using the Host Registration Info item from the DB explorer popup menu, or using the Database | Host Registration Info... main menu item.

  • Connection properties
  • Host options
  • SSH tunneling
  • Find Option

hs21450_Host Registration Info


Connection properties

This tab aloows you to set the connection properties in the corresponding boxes.

  • Select network protocol and port/service.
  • Select or type in server name.
  • Enter authorization information: user name and password for target database.

Specify the preferable Network protocol (Local, TCP/IP, NetBEUI, Novel SPX), at the Host field please type an InterBase/Firebird host name in. Enter InterBase/Firebird port/service to connect through in the Port field. (gds_db for InterBase and port 3050 for Firebird by default).

For successful connection to the server it is crucial to use the appropriate client library - the one that is compatible with the server you are using: gds32.dll for Interbase and fbclient.dll for Firebird. Please note that the client library file must be located on your local machine (e.g. in the directory where the utility is installed). Press Detect Automatically for automatic client selection.

User name

User name for connecting to the database server.

Password

Password for connecting to the server.

Database name

Select the database name to register from the drop-down list.

Role

Specify the role that you adopt on connection to the database. You must have previously been granted membership in the role to gain the privileges of that role.

Authentication type

Specify the type of InterBase/Firebird authentication to be used for the connection.

Authorized InterBase/Firebird users are stored in a security database. Each InterBase/Firebird has its own security database, which means that a user definition is bound to the server where it is stored. The security database also stores an encrypted password for each user.

Client library provides the conduit between the API or object library an application uses to communicate with DB server and the networking protocols used to exchange data with the network.

The Detect Automatically button allows you to locate path to client library and security database automatically.

See also:

Database Registration Info

hs21450_Host Registration Info


Host options

Specify the location of client library and server security database; set some specific options for registered host.

Click Finish button when done to start working with the selected host in SQL Manager 2008 for InterBase/Firebird.

chbox Login prompt before connection

Enables SQL Manager 2008 for InterBase/Firebird to prompt for user name and password each time you connect to the database.

chbox Autoconnect on startup

Check the option to set the automatic connection to the host on startup.

chbox Connect to the host automatically when connecting to any its database.

When checked, automatically connects to the host when trying to connect to any of its databases.

chbox Don't show client library warnings

Turn this option on to skip the message of client library version incompatibility.

See also:

Database Registration Info

hs21460_Host Registration Info 02


SSH tunneling

Set the connection properties in the respective boxes: protocol, host name, user name, password and misc.

chbox Connect through the Secure SHell (SSH) tunnel

Turning this option on allows you to connect to hosts over a Secure Shell Tunnel. The traffic is encrypted to protect individual and corporate data. You must also specify SSH port, SSH user name and SSH password. Use the appropriate boxes on this tab. To obtain more information see SSH connection settings.

Due to the SSH Private Key authentication being implemented you may set the Use Private Key for authentication.

Note that SSH tunneling is only available when you use TCP/IP protocol.

See also:

Database Registration Info

hs21470_Host Registration Info 03


Database Properties

A number of database-level options that determine the characteristics of the database can be set for each database. These options are unique to each database and do not affect other databases.

The dialog can be called by using the Database Properties... item from the DB explorer popup menu, or using the Database | Database Properties... main menu item.

  • General
  • Active users
  • Description
  • Find Option

Database Properties - Information

See also:

Register Host wizard

Create Database wizard

Register Database wizard

Database Registration Info

Host Registration Info


General

The General section of the Database Properties dialog allows you to view/edit the database summary: TPage size, Allocated DB pages, SQL dialect used, Sweep interval, On-Disc-Structure version.

Database Properties - Information

Page Size

Database page size in bytes.

Allocated DB pages

Number of pages in database.

SQL Dialect

SQL dialect version used.

Sweep Interval

Number of transactions, after executing which automatic garbage collection is carried out.

ODS Version

Database on-disc structure version.

chbox Forced Writes

Enables mode of forced writing data on disk.

chbox Read Only

Makes the database available read-only.


Active users

The Active users section of the Database Properties dialog displays the list of active users which are currently active.


Description

The Database Description section of the Database Properties dialog allows you to set/view the optional database description available for editing.


Database objects management

SQL Manager 2008 for InterBase/Firebird provides powerful tools to manage database objects.

To obtain detailed information concerning InterBase/Firebird database objects, refer to the official documentation.

Note: before working with database objects in SQL Manager 2008 for InterBase/Firebird you should connect to the database first.

Creating Database Objects

To create a database object:

  • select the Database | New Object... main menu item;
  • select the type of object within the New Object Dialog;
  • follow the steps of the wizard which guides you through the entire process of creating the object, or set the object properties using its editor - depending on the selected object type.

Note that you can also create a database object by selecting the appropriate context menu item of the DB Explorer tree or using the Ctrl+N shortcut.

Dropping Database Objects

To drop a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Drop <object type> <object name> context menu item;
  • confirm dropping in the dialog window.

Editing Database Objects

To edit a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Edit <object type> <object name> context menu item, or double-click the object to open it in its editor.

When using an object editor, you can benefit from tabs. To switch between tabs, click on their respective tabs at the top of the main window. You can do it at anytime since views are absolutely independent.

See also:

Getting started

Database Explorer

Database management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

Personalization

External tools


New Object

The Create New Object dialog allows you to select the type of the object to be created and run the appropriate wizard or editor.

To open the dialog, select the Database | New Object... main menu item.

Using the Database drop-down list to select the alias of the database where the new object should be created. Pick an object type icon and click OK to invoke the corresponding wizard or dialog.

Database Objects management - Create New Object

See also:

Duplicate Object Wizard


Duplicate Object Wizard

Use the Duplicate Object Wizard to create a new database object of the same type and having the same properties as one of the existing ones.

To run the wizard, select the Database | Duplicate Object... main menu item, or right-click an object of the desired type in the DB Explorer tree and use the Duplicate <object type> <object name>... context menu item.

  • Selecting the source database
  • Selecting object to duplicate
  • Selecting destination database
  • Modifying the new object's definition
  • Using templates

See also:

New Object dialog


Selecting the source database

This step of the wizard allows you to select the source database containing the source object to be duplicated.

Duplicate Object Wizard - Selecting the source database

Click the Next button to proceed to the Selecting object to duplicate step of the wizard.


Selecting object to duplicate

Use the Objects drop-down menu to select the type of the object you intend to duplicate.

Select a database object to copy its properties to the new object.

Duplicate Object Wizard - Selecting object to duplicate

Click the Next button to proceed to the Selecting destination database step of the wizard.


Selecting destination database

Select the target database and schema to create the new object in, set the name of the new database object.

Table options

Check the CheckBox Copy data option to copy data from the source table to the new one.

CheckBox Deactivate triggers while data copying

Disables object triggers firing while copying data.

CheckBox Copy privileges

Defines whether the privileges on the object should be copied as well (displaying the option depends on the object type).

Duplicate Object Wizard - Selecting destination database


Specifying object details

Note: displaying the step depends on the type of object to be duplicated. It allows to specify whether the source object details should be duplicated in the target object.

Specifying object details


Modifying the new object's definition

This step of the wizard allows you to browse the result SQL statement.

If necessary, you can edit the definition of the new object.

Duplicate Object Wizard - Modifying the new object's definition

Click the Finish button to start the process.


Domains

A domain is a column definition template, global to the database, upon which actual column definitions in tables may be based.

If there are columns in the database table or in several database tables, having the same properties, it is useful to describe such column type and its behavior as a domain, and then correspond each of these columns to this domain.

Create domain

To create a new domain:

  • Select the Database | New Object menu item.
  • Select Domain in the New Object window.
  • Edit domain properties and fields on the appropriate tabs of the Domain Editor.

Hint: To create new domain you can also right-click the Domains node of the explorer tree and select the New domain... item from the popup menu.

To create a new domain with the same properties as one of the existing tables has:

  • Select the Database | Duplicate Object menu item.
  • Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new domain in and to edit the result SQL statement for creating the domain.

Edit domain

To edit the existing domain:

  • Select the domain for editing in the explorer tree (type the first letters of the domain name for quick search).
  • Right-click and select the Edit domain <Domain_Name> item in the popup menu or simply double-click the domain.
  • Edit domain subobjects and data on the appropriate tabs of the Domain Editor.

To change the name of the domain:

  • Select the domain for editing in the explorer tree.
  • Right-click and select the Rename domain <Domain_Name> item from the popup menu.
  • Edit domain name in the dialog window.

Drop domain

To drop a domain:

  • Select the domain for editing in the explorer tree.
  • Right-click and select the Drop domain <Domain_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


Domain Editor

Domain Editor allows you to edit properties of the domains. Domain Editor can be open automatically after the domain is created and is available on editing the domain (see Create domain and Edit domain for details).

To open a domain in the Domain Editor, just double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing domain definition
  • Editing domain check
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition

hs20290_Editing schema definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a domain for editing within the current window.

General bar:

  • Compile the current domain definition
  • Show SQL Manager help system
  • Print metadata of the current operator
  • View Dependency Tree for the domain
  • Perform quicksave/quickload
  • Refresh the content of the active tab
  • Bring the window to its default size.

hs20280_Using navigation bar


Editing domain definition

The basic domain parameters - name and type are set on the Domain tab.

See also:

Domain Editor

hs20290_Editing schema definition


Editing domain check

On this Check tab you can set CHECK constraints, i.e. conditions that must be true for inserts and updates to the field, based on the current domain, e.g. VALUE>=10. The CHECK constraint cannot reference any domain or column.

The check definition can be loaded from file or saved to it with the help of the appropriate items of the Check bar.

See also:

Domain Editor

Domain editor - Check


Tables

Relational databases store all their data in tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Create table

To create a new table:

  • Select the Database | New Object menu item.
  • Select Table in the New Object window.
  • Edit table properties and fields on the appropriate tabs of the New Table window.

Hint: To create new table you can also right-click the Tables node of the explorer tree and select the New Table... item from the popup menu.

To create a new table with the same properties as one of the existing tables has:

  • Select the Database | Duplicate Object menu item.
  • Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new table in and to edit the result SQL statement for creating the table.

Edit table

To edit the existing table (manage its fields, indices, data, etc):

  • Select the table for editing in the explorer tree (type the first letters of the table name for quick search).
  • Right-click and select the Edit Table <Table_Name> item in the popup menu or simply double-click the table.
  • Edit table subobjects and data on the appropriate tabs of the Table Editor.

To change the name of the table:

  • Select the table for editing in the explorer tree.
  • Right-click and select the Rename Table <Table_Name> item from the popup menu.
  • Edit table name in the dialog window.

Drop table

To drop a table:

  • Select the table for editing in the explorer tree.
  • Right-click and select the Drop Table <Table_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


New Table

New Table window allows you to create new table, set table properties, specify table fields and edit table description.

New Table window can be open automatically after the table is created. (see Create Table for details).

  • Using navigation bar
  • Setting table properties
  • Specifying table fields

See also:

Table Editor

Field Editor


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database for creating table.

General bar:

  • Compile the current table definition.
  • Bring the window to its actual size.

hs20850_Using navigation bar


Setting table properties

The Table tab is provided for setting table name and its description.

Table name

Name of the table; must be unique among table and procedure names in the database. It is available only when creating the table.

Description

This field contains any optional description on the table.

See also:

Table Editor

Field Editor


Specifying fields

The Fields tab is intended for specifying table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

Column

Name for the table column; must be unique among column names in the table.

See Field Editor for getting information on creating a table field.

See also:

Table Editor

Field Editor


Table Editor

Table Editor is the basic SQL Manager 2008 for InterBase/Firebird tool for working with tables. It allows you to create, edit and drop table's fields, indices, foreign keys, and other table subobjects, manage table data, and much more.

To open a table in the Table Editor, just double-click it in the Explorer Tree (see Edit Table for details).

  • Using navigation bar
  • Managing table fields
  • Changing fields order
  • Managing primary keys
  • Managing table foreign keys
  • Managing table checks
  • Managing table indices
  • Managing unique keys
  • Managing table triggers
  • Viewing table data
  • Browsing object dependencies
  • Setting object permissions
  • Editing object description
  • Viewing DDL definition

  • Editing object description
  • Viewing DDL definition

See also:

New Table

Field Editor

Index Editor

Editing table constraints

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a table for editing within the current window.

General bar:

  • Print table metadata
  • Refresh the content of the active Table Editor tab
  • Perform quicksave/quickload
  • Bring the window to its default size
  • Set grants on the table
  • Show SQL Manager help system
  • Alter Table Editor options.
  • Compile current object DDL

Tools bar:

  • View Dependency Tree for the table.
  • Create the view from the table
  • Create the procedure for the table

The next bar displays various actions according to the current page of Table Editor.

The Explorer bar displays table subobjects in a form of a tree. You can edit a table subobject by double-clicking it.

hs1650_Using navigation bar


Managing fields

The Fields tab is intended for managing table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

You can also copy the list of field names to clipboard by selecting the appropriate context menu item. The Export list.. item provides you exporting current list of the fields to any format by means of the Export Data Wizard dialog.

See also:

Table Editor

Field Editor


Changing fields order

You can change the fields order in the Reorder Fields dialog. The order can be changed both by using of the corresponding buttons, and by drag-and-drop operations in the field list. Click the OK button to apply changes.

See also:

Table Editor

Field Editor

hs1680_Changing fields order


Editing table constraints

Use Constraint Editor to create or edit a table constraint. To add a constraint to the table or to edit a table constraint open the table in the Table Editor, open the Constraints tab. The table constraints can be of the following types: Primary key, Foreign key, Check or Unique. Create them on the appropriate tabs of the editor.

  • Managing primary keys
  • Managing foreign keys
  • Managing table checks
  • Managing unique keys

hs1700_Managing foreign keys


Using navigation bar

The navigation bar on the left allows you to:

General bar:

  • Refresh the content of the active Primary Key tab
  • Manage Grants on the table
  • Perform quick saving / quick loading for current constraint DDL
  • Print metadata of the current table
  • Show SQL Manager help system
  • Alter Table Editor options
  • Bring the window to its default size.
  • Compile current object DDL

Tools bar:

  • View Dependency Tree for the table.
  • Create the view from the table
  • Create the procedure for the table

The Explorer bar displays table subobjects in a form of a tree. You can edit a table subobject by double-clicking it.

The next bar displays various actions according to the current page of Primary Key Editor.

hs21250_Using navigation bar


Managing primary keys

Table primary keys are managed on the Primary Keys tab of the Table Editor.

Add Primary Key

To add a primary key to the table:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Primary Keys tab.
  • Right-click and select the New Primary Key... item from the popup menu.
  • Edit primary key properties within the Primary Key Editor dialog.

Edit Primary Key

To edit primary key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Primary Keys tab.
  • Right-click the primary key and select the Edit Primary Key item from the popup menu or simply double-click the key to edit.
  • Edit primary key properties within the Primary Key Editor Dialog.

Drop Primary Key

To drop the primary key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Primary Keys tab.
  • Right-click the key to drop and select the Drop Primary Key item from the popup menu.
  • Confirm dropping in the dialog window.


Primary Key Editor

The Primary Key Editor allows you to edit the primary keys. It opens when you create a new primary key or edit the existing one (see Create Primary Key and Edit Primary Key for details).

  • Editing primary key definition
  • Viewing DDL definition

See also:

Table Editor

Index Editor

Trigger Editor

Primary Key Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing primary key definition

Key Name

Name of a constraint; the constraint name must be unique within the table.

Fields for key

To include fields to the key, move the fields from the Available Fields list to the Included Fields by double-clicking or dragging them. To remove the fields from the key, move them back in the same way. You can also use the buttons Move all to Selected Move to Selected Move to Available Move all to Available to move the selected fields (multiple fields are selected by Ctrl or Shift).

See also:

Primary Key Editor

Primary Key Editor


Managing foreign keys

Table foreign keys are managed on the Foreign Keys tab of the Table Editor.

Add Foreign Key

To add a foreign key to the table:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Foreign Keys tab.
  • Right-click and select the Add Foreign Key... item from the popup menu.
  • Edit foreign key properties within the Foreign Key Editor dialog.

Edit Foreign Key

To edit foreign key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Foreign Keys tab.
  • Right-click the foreign key and select the Edit Foreign Key item from the popup menu or simply double-click the key to edit.
  • Edit foreign key properties within the Foreign Key Editor Dialog.

Drop Foreign Key

To drop the foreign key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Foreign Keys tab.
  • Right-click the key to drop and select the Drop Foreign Key item from the popup menu.
  • Confirm dropping in the dialog window.


Foreign Key Editor

The Foreign Key Editor allows you to edit the index fields and other index properties. It opens when you create a new index or edit the existing one (see Create Foreign Key and Edit Foreign Key for details).

  • Editing foreign key definition
  • Viewing DDL definition

See also:

Table Editor

Index Editor

Trigger Editor

hs21240_Foreign Key Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing foreign key definition

Foreign Key Editor allows you to select fields for the foreign key, when you add or edit a foreign key to the table with the Table Editor.

Foreign Key Name

Name of a constraint; the constraint name must be unique within the table.

Foreign Table

Select the foreign table for the key from the drop-down list of the database tables.

Available Fields / Included Fields

The upper Available Fields list contains the current table fields, and the upper Included Fields list contain the fields, included in the key. Two lower lists contain the fields of the selected foreign table and the fields of this table, which are included in the key. Move the fields from between the lists in the same way as it is described for primary/unique keys (see above).

On Delete Rule / On Update Rule

Set rules to change a foreign key whenever the referenced primary key changes.

The following values are available:

  • NO ACTION (default): Does not change the foreign key; may cause the primary key update to fail due to referential integrity checks;
  • CASCADE: For ON DELETE, deletes the corresponding foreign key; for ON UPDATE, updates the corresponding foreign key to the new value of the primary key;
  • SET NULL: Sets all the columns of the corresponding foreign key to NULL;
  • SET DEFAULT: Sets every column of the corresponding foreign key is set to its default value in effect when the referential integrity constraint is defined; when the default for a foreign column changes after the referential integrity constraint is defined, the change does not have an effect on the default value used in the referential integrity constraint;

See also:

Foreign Key Editor

hs21240_Foreign Key Editor


Managing checks

Check specifies an expression producing a Boolean result which new or updated rows must satisfy for an insert or update operation to succeed. Expressions evaluating to TRUE or UNKNOWN succeed. Should any row of an insert or update operation produce a FALSE result an error exception is raised and the insert or update does not alter the database. A check constraint specified as a column constraint should reference that column's value only, while an expression appearing in a table constraint may reference multiple columns.

Table checks are managed on the Checks tab of the Table Editor.

Add Check

To add a check to the table:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Checks tab.
  • Right-click and select the Add Check... item from the popup menu.
  • Edit check properties within the Check Editor dialog.

Edit Check

To edit check:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Checks tab.
  • Right-click the check and select the Edit Check item from the popup menu or simply double-click the key to edit.
  • Edit check properties within the Check Editor Dialog.

Drop Check

To drop the check:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose the Checks tab.
  • Right-click the key to drop and select the Drop Check item from the popup menu.
  • Confirm dropping in the dialog window.


Check Editor

The Check Editor allows you to edit check properties. It opens when you create a new check or edit the existing one (see Create Check and Edit Check for details).

  • Editing check definition
  • Viewing DDL definition

See also:

Table Editor

Index Editor

Trigger Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing check definition

Check Constraint Name

Name of a constraint; the constraint name must be unique within the table.

Check Constraint Text

Set the conditions that each new value entered to the field must meet, e.g.

PERCENT_CHANGE BETWEEN -50 AND 50

When you are done, click OK. The Compile Window appears, where you can commit the successful transaction, rollback transaction and return to the editor, or make some changes in the statements, rollback and recompile new statements.

See also:

Check Editor


Managing unique keys

The Unique Key Editor allows you to edit unique key properties.

Add Unique Key

To add a unique key to the table:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose Uniques tab.
  • Right-click and select the Add Unique Key... item from the popup menu.
  • Edit unique key properties within the Unique Key Editor dialog.

Edit Unique Key

To edit unique key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose Uniques tab.
  • Right-click the unique key and select the Edit Unique Key item from the popup menu or simply double-click the key to edit.
  • Edit unique key properties within the Unique Key Editor Dialog.

Drop Unique Key

To drop the unique key:

  • Open the table in the Table Editor.
  • Open the Constaraints tab then choose Uniques tab.
  • Right-click the key to drop and select the Drop Unique Key item from the popup menu.
  • Confirm dropping in the dialog window.


Uniques Editor

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Unique Key Editor

The Index Editor allows you to edit the index fields and other index properties. It opens when you create a new index or edit the existing one (see Create Unique Key and Edit Unique Key for details).

  • Editing unique key definition
  • Editing object description
  • Viewing DDL definition

See also:

Table Editor

Index Editor

Trigger Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing unique key definition

Unique Key Editor allows you to select fields for the unique key, when you add or edit a unique key to the table with the Table Editor.

Enter a name for the new key and then select a table field to include in the key from the Table fields group.

To include fields to the key, move the fields from the Available Fields list to the Included Fields by double-clicking or dragging them, both in the Table fields group and in the Unique table fields group. To remove the fields from the key, move them back in the same way. You can also use the arrow buttons to move the selected fields (multiple fields are selected by Ctrl or Shift).

See also:

Uniques Editor


Managing indices

The Indices tab is provided for managing table indices. Double-click an index to open the Index Editor for editing the index. A right-click displays the popup menu, allowing you to create new, edit, drop the selected index or recompute it with the help of the corresponding context menu item.

Set Index Active

This option is available only on editing an index. It makes the index active or inactive respectively.

The Export list.. item provides you exporting current list of the indices to any format by means of the Export Data Wizard dialog.

Note that for every index you can also set an optional description in the corresponding editor below.

See Indices for details.


Managing triggers

The Triggers tab is provided for managing table triggers. Double-click a trigger to open the Trigger Editor for editing the trigger. A right-click displays the popup menu, allowing you to create new, edit, drop the selected trigger or set it inactive by selecting the corresponding context menu item.

You can edit trigger properties within the table editor, in this case the window like one shown below occurs, or select the trigger in the DB Explorer tree and edit within the Trigger editor.

See Triggers for details.


Fields

Table fields are managed on the Fields tab of the Table Editor.

Add Field

To add a field to the table:

  • Open the table in the Table Editor.
  • Open the Fields tab.
  • Right-click and select the New Field item from the popup menu
  • Edit field properties within the Fields Editor Dialog

Edit Field

To edit the table field:

  • Open the table in the Table Editor.
  • Open the Fields tab.
  • Right-click the field and select the Edit Field item from the popup menu or simply double-click the field to edit
  • Edit field properties within the Fields Editor Dialog

To change the order of the table fields:

Open the table in the Table Editor.

Open the Fields tab.

Right-click and select the Reorder Fields... item from the popup menu.

Edit field order within Re-order Columns window for changing the field order.

Drop Field

To drop the table field:

  • Open the table in the Table Editor.
  • Open the Fields tab.
  • Right-click on the field to drop and select the Drop Field item from the popup menu.
  • Confirm dropping in the dialog window


Field Editor

Field Editor Dialog allows you to edit the properties of the table fields.

  • Setting field name and type
  • Setting field defaults
  • Defining array
  • Defining autoincrement
  • Editing object description
  • Viewing DDL definition

See also:

Table Editor

Domain Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Setting field name and type

Use the Column name edit box to set the field name. Note that the name of the field must be unique among all the field names in the table.

Field based on

Select the source type for creating the field. It can be one of the existing domains, a standard data type, e.g. INTEGER, DATE or CHAR, or a 'COMPUTED BY' expression if you want to calculate the field value using other fields' values.

Field based on

Description

Domain

Makes the field based on the existing domain. Select the domain name from the Domain drop-down list on the Domain tab. You can also create a new domain, using the New domain button, or edit the selected domain with the Edit domain button (see Domain Editor to learn how to create/edit domains).

Standard data type

Makes the field based on the standard SQL datatype. Select the data type from the Type drop-down list on the Raw Data Type tab. For NUMERIC and DECIMAL data types set 1 - 15 digit precision and scale in the appropriate boxes; for CHAR and VARCHAR set length (in characters) and charset, for BLOB data type set segment size, subtype and charset.

'COMPUTED BY' expression

Specifies that the value of the field's data is calculated from expression at runtime and is therefore not allocated storage space in the database. Set the expression to calculate on the Calculated by tab, e.g.:

(OLD_SALARY + OLD_SALARY * PERCENT_CHANGE / 100)

Note the following:

  • the expression can be any arithmetic expression valid for the datatypes in the expression;
  • any columns referenced in the expression must exist before they can be used in expression;
  • the expression cannot reference Blob columns;
  • the expression must return a single value, and cannot return an array.

chbox Not Null

Check this option to prevent the entry of NULL or unknown values in column. Not null affects all INSERT and UPDATE operations on a column.

chbox Primary Key

Check this option to include the field into the primary key. Note that if you include a field to a primary key, you should also make it Not Null to avoid an error.

chbox Support IB6/FireBird syntax

Check this option to enable support of InterBase 6.0 / FireBird syntax. Default checked.

When you are done, click OK. The Compile Window appears, where you can commit the successful transaction, rollback transaction and return to the editor, or make some changes in the statements, rollback and recompile new statements.

See also:

Field Editor


Setting field defaults

The Default tab allows you to define the default value for the column. You can either select the default object from the database defaults or define the default value for the column.

Specify a default field value that is entered when no other entry is made.

Possible values are:

  • literal: Inserts a specified string, numeric value, or date value;
  • NULL: Enters a NULL value;
  • USER: Enters the user name of the current user.

hs1770_Setting field defaults

Enabling the chbox Not Null option of the Field Editor involves that Field Value by Default dialog appears. You will be able to set a direct value as default or use the one of the listed fields.

hs1770_Setting field defaults2

See also:

Field Editor


Defining array

On the Array tab you can set array parameters. The field can be an array of one of standard data types (except BLOB). To create an array, select the data type and then open the Array tab of the dialog.

To add a dimension to an array, click the Add Dimension button, then set its bounds at the boxes above the dimension list. To delete a dimension, select one and click the Delete Dimension button.

See also:

Field Editor


Defining autoincrement

The Autoincrement tab allows you to create a generator, a trigger or a procedure wrapper along with the field to simulate an autoincrement field.

See also:

Field Editor

To create a generator open the Generator subtab, check the Create Generator option, then set the generator name and the initial value.

To create a trigger open the Trigger subtab, check the Create Trigger subtab and edit the SQL statement for creating a trigger.

Create Trigger subtab

Procedure wrapper returns new generator value and can be used instead of GEN_ID for a specific generator.


Setting field checks

You can specify field checks on this tab.

An attempt to enter a new value in the column fails if the value does not meet the condition set on this tab, e.g.

MIN_SALARY < MAX_SALARY.

See also:

Field Editor

hs1780_Setting XML field properties


Indices

Table indices are managed on the Indices tab of the Table Editor.

Create Index

To add an index to the table:

  • Open the table in the Table Editor.
  • Open the Indices tab.
  • Right-click and select the New Index item from the popup menu.
  • Edit the index properties within the Index Editor.

Edit Index

To edit the table index:

  • Open the table in the Table Editor.
  • Open the Indices tab.
  • Right-click the index and select the Edit Index <Index_Name> or simply double-click the index to edit.
  • Edit the index properties within the Index Editor.

Drop Index

To drop the table index:

  • Open the table in the Table Editor.
  • Open the Indices tab.
  • Right-click on the index to drop and select the Drop Index item from the popup menu.
  • Confirm dropping in the dialog window.


Index Editor

The Index Editor allows you to edit the index fields and other index properties. It opens when you create a new index or edit the existing one (see Create Index and Edit Index for details).

  • Editing index definition
  • Editing index fields
  • Editing object description
  • Viewing DDL definition

See also:

Table Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing index properties

Use Index Editor to create or edit a table index. To add an index to the table or to edit a table index open the table in the Table Editor, open the Indices tab, right-click and select the New Index item or the Edit Index <INDEX_NAME> item from the popup menu accordingly.

Index Name

The unique name for the index.

Order

Select the ascending/descending sorting order for columns in index.

chbox Index Active

This option is available only on editing an index. It makes the index active or inactive respectively.

See also:

Index Editor


Editing index fields

Fields for index

To include fields in the index, move the fields from the Available Fields list to the Selected fields by double-clicking or dragging them. To remove the fields from the index, move them back in the same way. You can also use the arrow buttons to move the selected fields (multiple fields are selected by Ctrl or Shift).

chbox Unique

Check this option to prevent insertion or updating of duplicate values into indexed columns.

When you are done, click OK. The Compile Window appears, where you can commit the successful transaction, rollback transaction and return to the editor, or make some changes in the statements, rollback and recompile new statements.

See also:

Index Editor


Creating table view

The simpliest way to create the view from the table is to choose the Create view item from the Tools bar.

See also:

View Editor

Create view item from the Tools bar


Views

Views are useful for allowing users to access a set of relations (tables) as if it were a single table, and limiting their access to just that. Views can also be used to restrict access to rows (a subset of a particular table).

Create view

To create a new view:

  • Select the Database | New Object... menu item.
  • Select View in the New Object dialog.
  • Edit view definition within the View Editor.

Hint: To create new view you can also right-click the Views node of the explorer tree and select the New View... item from the popup menu. Or you can click the Create View button on the toolbar of Table Editor.

Another way to create a view is building a query in the Visual Query Builder tool (click the Create View button on the toolbar after finishing building).

To create a new view with the same properties as one of the existing views has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit view

To edit the existing view (manage its fields, indices, data, etc):

  • Select the view for editing in the explorer tree (type the first letters of the view name for quick search).
  • Right-click and select the Edit View <View_Name> item from the popup menu or simply double-click the view.
  • Edit view definition and data on the appropriate tabs of the View Editor.

To change the name of the view:

  • Select the view to rename in the explorer tree.
  • Right-click and select the Rename View <View_Name> item from the popup menu.
  • Edit view name in the dialog window.

Drop view

To drop a view:

  • Select the view to drop in the explorer tree.
  • Right-click and select the Drop View <View_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


View Editor

The View Editor allows you to create new view and edit the existing view definition (view name and the SELECT statement it implements). It opens when you create a new view or edit the existing one (see Create View and Edit View for details).

Another way to create the view from new-created table is to choose the Create view item from the Tools bar.

To open a view in the View Editor, double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing view definition
  • Viewing fields
  • Managing triggers
  • Viewing data
  • Viewing query plan
  • Viewing perfomance analysis
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition

See also:

Table Editor

Trigger Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar at the left allows you to:

Object bar:

Select a database and a view for editing within the current window.

General bar:

  • Compile the current view
  • Managing grants and autogrants
  • Show SQL Manager help system
  • Print metadata of the current view
  • Perform quicksave/quickload
  • Refresh the current tab content
  • View the dependecy tree for the current object
  • Bring the window to its default size.

View bar:

Open current view with Query Builder.

The next bar displays various actions according to the current page of View Editor.

hs1920_Using navigation bar


Editing view definition

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Editing SQL definition

The View Editor represents the view definition as SQL statement, so it is enough to simply edit the whole definition in the editor area to make changes, and click the Compile item on the navigation bar to apply it to the view on the server.

Another way to create a view is building a query in the Query Builder tool.

Note: when you change the query, the header of the view is also changed automatically.

All the changes you made are processed by the View Editor precompiler and the list of the fields is formed on the corresponding tab of the editor.

After processing the view definition by precompiler the results are displayed at the bottom of View Editor.

See also:

View Editor


Viewing fields

The Fields tab is provided for viewing fields represented in the view.

A right-click displays the popup menu, allowing you to rename view fields.

See also:

View Editor


Managing triggers

The Triggers tab is provided for managing table triggers. Double-click a trigger to open the Trigger Editor for editing the trigger. A right-click displays the popup menu, allowing you to create new, edit, or drop the selected trigger.

See Triggers for details.

See also:

View Editor

Views - Managing triggers


Viewing data

The Data tab displays the view data as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to export, import data. Exporting data as SQL Script is also available.

See also:

View Editor


Viewing query plan

On this tab you can see the plan of the query on which the current view is based on.

See also:

View Editor

Views - Viewing query plan


Viewing perfomance analysis

This tab displays the perfomance analysis for the query on which the current view is based.

See also:

View Editor

Views - Viewing perfomance analysis


Triggers

The triggers are managed on the Triggers tab of the Table Editor.

Create Trigger

To add a trigger to the table:

  • Open the table in the Table Editor.
  • Open the Triggers tab.
  • Right-click and select the New Trigger item from the popup menu.
  • Edit the trigger properties within the Trigger Editor.

Edit Trigger

To edit the trigger:

  • Open the table in the Table Editor.
  • Open the Triggers tab.
  • Right-click the trigger and select the Edit Trigger <Trigger_Name> or simply double-click the trigger to edit.
  • Edit the trigger properties within the Trigger Editor.

Drop Trigger

To drop the trigger:

  • Open the table in the Table Editor.
  • Open the Triggers tab.
  • Right-click on the trigger to drop and select the Drop Trigger item from the popup menu.
  • Confirm dropping in the dialog window.


Trigger Editor

The Trigger Editor allows you to define the trigger. It opens when you create a new trigger or edit the existing one (see Create Trigger and Edit Trigger for details).

  • Editing trigger definition
  • Editing trigger message
  • Browsing object dependencies
  • Viewing object operations
  • Editing object description
  • Viewing DDL definition

See also:

Table Editor

View Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a trigger for editing within the current window.

General bar:

  • Compile the current trigger definition
  • Set autogrant privilegies for the trigger
  • Debug current trigger
  • Perform quicksave for the current trigger
  • Perform quickload for the current trigger
  • Switch between Text and Visual modes of the editor
  • Bring the window to its default size

The next bar displays various actions according to the current page of Trigger Editor.

hs20410_Using navigation bar


Editing trigger definition

The main trigger parameters are set on the Trigger tab.

Name

Name of the trigger; it must be unique to the database.

Type

Conditions of the trigger firing, i.e. table operation for firing (Insert, Update or Delete) and the firing time (before or after the operation is performed).

For Table

Table or view name, the trigger is created for.

Position

Defines the order of firing triggers on the same event. It must be an integer between 0 and 32.767, inclusive. Lower-number triggers fire first, thus trigger with the default position (0) will be the first trigger to fire. Note that triggers for a table need not be consecutive; the same action triggers with the same position number will fire in random order.

is active

Toggles whether the current fires on event.

The trigger body consists of an optional list of local variables and their data types and a block of statements in InterBase procedure and trigger language, bracketed by BEGIN and END. These statements are performed when the trigger fires.

The Parameter Editor window allows you to define parameter type. Note that creating parameters based on a domain can is only available for Firebird 2.1 and later.

hs21220_Browsing procedure parameters2

See also:

Trigger Editor


Editing trigger messages

On the Messages tab you can add and edit the appropriate trigger messages.

All operations with trigger messages (appending, deleting, etc.) can be performed whether with the help of the Messages bar or by selecting the corresponding item of tab context menu.

See also:

Trigger Editor

Editing trigger message


Procedures

A stored procedure is a self-contained program written in InterBase procedure and trigger language, and stored as part of a database's metadata. Stored procedures can be invoked directly from applications, or can be substituted for a table or view in a SELECT statement. Stored procedures can receive input parameters from and return values to applications and can execute on the server.

Creating Procedure

To create a new procedure:

  • Select the Database | New Object... menu item.
  • Select Procedure in the New Object dialog.
  • Edit procedure within the Procedure Editor.

Hint: To create new procedure you can also right-click the Procedures node of the explorer tree and select New Procedure... item from the popup menu.

To create a new procedure with the same properties as one of the existing procedures has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Editing Procedure

To edit an existing procedure:

  • Select the procedure for editing in the explorer tree (type the first letters of the procedure name for quick search)
  • Right-click and select the Edit Procedure item from the popup menu or simply double-click the procedure.
  • Edit procedure definition in the editor area of the Procedure Editor.

To change the name of a Procedure:

  • Select the procedure to rename in the explorer tree.
  • Right-click and select the Rename Procedure item from the popup menu.
  • Edit procedure name in the dialog window.

Executing Procedure

To execute a procedure:

  • Select the procedure in the explorer tree (type the first letters of the procedure name for quick search).
  • Right-click and select Edit Procedure item from the popup menu or simply double-click the procedure.
  • Execute procedure by clicking on the Execute Procedure item in the Procedure Editor.

Dropping Procedure

To drop a Procedure:

  • Select the procedure to drop in the explorer tree.
  • Right-click and select the Drop Procedure item from the popup menu.
  • Confirm dropping in the dialog window.


Procedure Editor

The Procedure Editor allows you to create new procedure, execute the existing procedure or edit its definition. It opens when you create a new procedure or edit the existing one (see Create Procedure and Edit Procedure for details).

  • Using navigation bar
  • Editing procedure definition
  • Executing procedure
  • Viewing perfomance analysis
  • Browsing object dependencies
  • Viewing object operations
  • Setting object permissions
  • Editing object description
  • Viewing DDL definition

See also:

Stored Procedure Debugger

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar at the left allows you to:

Object bar:

Select a database and a procedure for editing within the current window.

General bar:

  • Compile the current procedure
  • Execute the current procedure
  • Debug the current procedure
  • Managing grants and autogrants
  • Print metadata of the current procedure
  • View Dependency Tree for the procedure
  • Perform quicksave/quickload
  • Refresh the content of the active tab
  • Switch between Text and Visual modes of the editor
  • Bring the window to its default size.

Input Parameters bar allows you managing stored procedure input parameters.

The next bar displays various actions according to the current page of Procedure Editor.

hs1940_Using navigation bar


Editing procedure definition

The Stored Procedure tab allows you to view and edit the definition for the stored procedure.

With the help of the corresponding item of the navigation bar you can switch between Text and Visual modes of the editor.

See also:

Procedure Editor


Browsing procedure parameters

Parameters

This page contains the input/output parameters and the variables used by the procedure. For each parameter its name, data type and parameter type (Input or Output) are displayed. In the bottom of the window you can view and edit the description of the selected parameter. Using the Export List item of the popup menu, you can also export the parameter list to a file.

To append/insert/remove a parameter please use the corresponding context menu items.

hs21220_Browsing procedure parameters

The Parameter Editor window allows you to define parameter type. Note that creating parameters based on a domain can is only available for Firebird 2.0 and later.

hs21220_Browsing procedure parameters2

See also:

Procedure Editor


Executing procedure

Procedure Editor provides an ability to execute current procedure. Click the Execute item of the navigation bar to execute the procedure. The result of the successfully executed procedure, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Procedure Editor.

See also:

Procedure Editor


Viewing perfomance analysis

This tab displays the perfomance analysis for the query on which the current procedure is based.

See also:

Procedure Editor

Views - Viewing perfomance analysis


Procedure/Trigger Debugger

To fix the errors in the procedure code and to optimize the procedure work you can debug the procedure step-by-step before compilation, using the Stored Procedure Debugger. To activate the debugger open the procedure in the Procedure Editor, then click the Debug Procedure button on the toolbar.

At the top area you can view and edit the procedure text. The blue spots at the left of the window indicate the statements, executed by the procedure; the green arrow indicates the current statement.

To start executing the procedure step-by-step press F8. To reset executing the procedure press Ctrl+F2. To add a breakpoint to the current statement press Ctrl+F8. You can trace into a procedure, which is called from the current procedure by pressing the Trace Into button. Also you can run the current procedure until return to the up-level procedure by pressing the Run Until Return button.

Stored Procedure Debugger Tabs

Parameters and Variables

Displays the list of input and output procedure parameters (indicated by the proper icon) with their values and types.

Results

Displays the list of RETURNS variables. After executing the procedure it also displays their values.

Last Statement

Displays the last executed statement, the statement execution plan and the execution time.

Breakpoints

Displays the procedure breakpoints: the breakpoint line, statement and the number of its passes. You can add a breakpoint to the current statement by pressing Ctrl+F8.

Messages

Displays various Stored Procedure Debugger messages.

Call Stack

Displays the stack (log) of the procedure calls.

Procedures - Stored Procedure Debugger


Modifing variables

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Modifying variables

When debugging a procedure/trigger in some cases you may need to change the value of the variable in order to explore procedure behaviour.


UDFs

An UDF (user-defined function) is a database function written entirely in a host language to perform data manipulation tasks not directly supported by InterBase/Firebird. Executed on the server.

UDFs give you the possibility to create your own functions (like count) and integrate them in the database itself. Each UDF is arranged as a function, belonging to DLL. Thus, one dynamically loaded library consists of one function at least.

Create UDF

To create a new user-defined function:

  • Select the Database | New Object... menu item.
  • Select UDF in the New Object dialog.
  • Edit user-defined function definition within the UDF Editor.

Hint: To create new user-defined function you can also right-click the UDFs node of the explorer tree and select the New UDF... item from the popup menu.

To create a new user-defined function with the same properties as one of the existing user-defined functions has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit UDF

To edit the existing user-defined function:

  • Select the user-defined function for editing in the explorer tree (type the first letters of the user-defined function name for quick search).
  • Right-click and select the Edit UDF <UDF_Name> item from the popup menu or simply double-click the user-defined function.
  • Edit user-defined function definition and description on the appropriate tabs of the UDF Editor.

To change the name of the user-defined function:

  • Select the user-defined function to rename in the explorer tree.
  • Right-click and select the Rename UDF <UDF_Name> item from the popup menu.
  • Edit user-defined function name in the dialog window.

Drop UDF

To drop a user-defined function:

  • Select the user-defined function to drop in the explorer tree.
  • Right-click and select the Drop UDF <UDF_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


UDF Editor

The UDF Editor allows you to define user-defined function properties. It opens when you create a new user-defined function or edit the existing one (see Create UDF and Edit UDF for details).

To open a view in the UDF Editor, double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing user-defined function definition
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a user-defined function for editing within the current window.

General bar:

  • Compile the current user-defined function definition
  • Print metadata of the current user-defined function
  • View Dependency Tree for the user-defined function
  • Perform quicksave / quickload
  • Refresh the content of the active tab
  • Bring the window to its default size

The next bar displays various actions according to the current page of UDF Editor.

hs20480_Using navigation bar


Editing UDF definition

The UDF tab allows you to view and edit the definition for the user-defined function.

Name

Name of the UDF to use in the SQL statements (this name can be different from the name of the function specified as Entry Point).

Entry Point

Name of the UDF in the source code as stored in the UDF library.

Library Name

File name identifying the library that contains the UDF; the library must be placed in ib_install_dir/UDF or the complete pathname to the directory, including a drive letter in the case of a Windows server, must be listed in the InterBase configuration file.

Returns

Return value data type.

By

The way to pass the return value – by value or by reference; if you select 'Reference (FREE IT)', the memory of the return value will be freed after the UDF finishes running.

Input arguments

Data types of the input arguments; click Insert to add an argument, click Delete to remove one.

See also:

UDF Editor


Exceptions

Exceptions are user-defined errors and messages to use in stored procedures and triggers.

When raised by a trigger or a stored procedure, the exception:

terminates the trigger or procedure in which it was raised and undoes any actions performed (directly or indirectly) by it;

returns an error message to the calling application.

Exceptions may be trapped and handled with a WHEN statement in a stored procedure or trigger.

Create exception

To create a new exception:

  • Select the Database | New Object... menu item.
  • Select Exception in the New Object dialog.
  • Edit exception definition within the Exception Editor.

Hint: To create new exception you can also right-click the exceptions node of the explorer tree and select the New Exception... item from the popup menu.

To create a new exception with the same properties as one of the existing exceptions has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit exception

To edit the existing exception:

  • Select the exception for editing in the explorer tree (type the first letters of the exception name for quick search).
  • Right-click and select the Edit Exception <Exception_Name> item from the popup menu or simply double-click the exception.
  • Edit exception definition and data on the appropriate tabs of the Exception Editor.

To change the name of the exception:

  • Select the exception to rename in the explorer tree.
  • Right-click and select the Rename Exception <Exception_Name> item from the popup menu.
  • Edit exception name in the dialog window.

Drop exception

To drop a exception:

  • Select the exception to drop in the explorer tree.
  • Right-click and select the Drop Exception <Exception_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


Exception Editor

The Exception Editor allows you to define exception properties. It opens when you create a new sequence or edit the existing one (see Create Exception and Edit Exception for details).

To open a view in the Exception Editor, double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing exception definition
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a exception for editing within the current window.

General bar:

  • Compile the current exception definition
  • Print metadata of the current exception
  • View Dependency Tree for the exception
  • Perform quicksave / quickload
  • Refresh the content of the active tab
  • Bring the window to its default size

The next bar displays various actions according to the current page of Exception Editor.

hs20490_Using navigation bar


Editing exception definition

The basic exception parameters are set on the Exception tab.

Name

Name of the exception; it must be unique to the database.

Text

Text of the message, displayed when exception is raised. Maximum string length is 78 characters.

See also:

Exception Editor


Generators

A generator is a sequential number that can be automatically inserted in a column with the GEN_ID() function. A generator is often used to ensure a unique value in a PRIMARY KEY, such as an invoice number, that must uniquely identify the associated row.

A database can contain any number of generators. Generators are global to the database, and can be used and updated in any transaction. InterBase does not assign duplicate generator values across transactions.

Create generator

To create a new generator:

  • Select the Database | New Object... menu item.
  • Select Generator in the New Object dialog.
  • Edit generator definition within the Generator Editor.

Hint: To create new generator you can also right-click the Generators node of the explorer tree and select the New Generator... item from the popup menu.

To create a new generator with the same properties as one of the existing generators has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit generator

To edit the existing generator:

  • Select the generator for editing in the explorer tree (type the first letters of the generator name for quick search).
  • Right-click and select the Edit Generator <Generator_Name> item from the popup menu or simply double-click the generator.
  • Edit generator definition and data on the appropriate tabs of the Generator Editor.

To change the name of the generator:

  • Select the generator to rename in the explorer tree.
  • Right-click and select the Rename Generator <Generator_Name> item from the popup menu.
  • Edit generator name in the dialog window.

Drop generator

To drop a generator:

  • Select the generator to drop in the explorer tree.
  • Right-click and select the Drop Generator <Generator_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


Generator Editor

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Generators Editor

The Generator Editor allows you to define generator properties. It opens when you create a new generator or edit the existing one (see Create Generator and Edit Generator for details).

To open a view in the Generator Editor, double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing generator definition
  • Browsing object dependencies
  • Viewing DDL definition

See also:

Trigger Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a generator for editing within the current window.

General bar:

  • Compile the current generator
  • Print metadata of the current generator
  • View Dependency Tree for the generator
  • Perform quicksave/quickload
  • Refresh the content of the active tab
  • Bring the window to its default size

The next bar displays various actions according to the current page of Generator Editor.

hs20510_Using navigation bar


Editing generator definition

Generator Editor allows you to create new generators and to edit the existing ones.

Name

Name of the generator; it must be unique to the database.

Value

Generator starting value; must be Integer from -2exp31 to 2exp31-1.

See also:

Generators


BLOB Filters

A Binary Large Object (or BLOB) is a collection of binary data stored as a single entity in a database management system. BLOBs are typically images, audio or other multimedia objects, though sometimes binary code is stored as a BLOB.

Blob filters are routines for blobs. They translate blob data from one type to another, i.e. they allow the contents of blob subtype X to be displayed as subtype Y or vice versa. These filters are ideal tools for certain binary operations such as the compression and translation of blobs, depending upon the application requirements.

Blob filters are written in the same way that UDFs are written, and are generally part of standard libraries, just as UDFs are.

Create BLOB Filter

To create a new default:

  • Select the Database | New Object... menu item.
  • Select BLOB Filter in the New Object dialog.
  • Edit BLOB Filter definition within the BLOB Filter Editor.

Hint: To create new BLOB Filter you can also right-click the BLOB Filters node of the explorer tree and select the New BLOB Filter... item from the popup menu.

To create a new BLOB Filter with the same properties as one of the existing BLOB Filters has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit BLOB Filter

To edit the existing BLOB Filter:

  • Select the BLOB Filter for editing in the explorer tree (type the first letters of the BLOB Filter name for quick search).
  • Right-click and select the Edit BLOB Filter <BLOB Filter_Name> item from the popup menu or simply double-click the BLOB Filter.
  • Edit BLOB Filter definition and data on the appropriate tabs of the BLOB Filter Editor.

To change the name of the BLOB Filter:

  • Select the BLOB Filter to rename in the explorer tree.
  • Right-click and select the Rename BLOB Filter <BLOB Filter_Name> item from the popup menu.
  • Edit BLOB Filter name in the dialog window.

Drop BLOB Filter

To drop a BLOB Filter:

  • Select the BLOB Filter to drop in the explorer tree.
  • Right-click and select the Drop BLOB Filter <BLOB Filter_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


BLOB Filter Editor

The BLOB Filter Editor allows you to define BLOB Filter properties. It opens when you create a new BLOB Filter or edit the existing one (see Create BLOB Filter and Edit BLOB Filter for details).

To open a view in the BLOB Filter Editor, double-click it in the Explorer Tree.

  • Using navigation bar
  • Editing tablespace definition
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a BLOB Filter for editing within the current window.

General bar:

  • Show SQL help reference
  • Perform quicksave / quickload
  • Refresh the content of the active tab
  • Bring the window to its default size

The next bar displays various actions according to the current page of BLOB Filter Editor.

hs20540_Using navigation bar


Editing BLOB Filter definition

Name

Name of the BLOB filter to use in the SQL statements (this name can be different from the name of the function specified as Entry Point).

Entry Point

Name of the BLOB filter in the source code as stored in the BLOB filter library.

Library Name

File name identifying the library that contains the BLOB filter; the library must be placed in ib_install_dir/UDF or the complete pathname to the directory, including a drive letter in the case of a Windows server, must be listed in the InterBase configuration file.

From subtype and To subtype options together determine the behavior of the BLOB filter.

Each filter declared to the database should have a unique combination of input type and output type integer values. IB/FB Server provides a built-in type of 1, for handling text. User-defined types must be expressed as negative values.

See also:

BLOB Filter Editor


Journals

Journaling means that all transaction changes are safely recorded on durable storage before the transaction is committed. This guarantees the ACID properties of a transaction (the database industry standards for Atomicity, Consistency, Isolation, and Durability). A journal archive is the set of destination directories that will hold the current set of journal files for a particular database. The purpose of the Journal archive is to support long-term database recovery.

Note that creating journals is only implemented in InterBase 2007.

Create Journal

To create a new journal:

  • Select the Database | New Object... menu item.
  • Select Journal in the New Object dialog.
  • Set journal properties within the Journal Editor.

Hint: To create a journal you can also right-click the Journals node of the explorer tree and select the Create Journal item from the popup menu.

Viewing Journal

To view the existing journal:

  • Right-click the Journals node of the explorer tree and select the View Journal item from the popup menu or simply double-click the Journals node.

Drop Journal

To drop the journal:

  • Select the Journals node in the explorer tree.
  • Right-click and select the Drop Journal item from the popup menu.
  • Confirm dropping in the dialog window.


Creating journal

To create a journal you can also right-click the Journals node of the Explorer Tree and select the Create Journal item from the popup menu.

The navigation bar on the left within the Journals window allows you to:

General bar:

  • Compile the current user-defined function definition
  • Show SQL Manager help system
  • Bring the window to its default size

The Journal tab contains several options control the journaling configuration of a database.

Browse for the directory where journal files will be stored and set the journal base file name at the corresponding fields.

Length

Specifies the number of pages that will be written to the journal file before initiating a rollover to a new journal file. A single journal file is limited to 2GB in size.

Page size

Determines the size of a journal page in bytes. A journal page size must be at least twice the size of a database page

size. If a journal page size of less is specified, it will be rounded up to twice the database page size and a warning

will be returned.

Page cache

Determines the number of journal buffers that will be allocated. The size of each buffer is the same as the journal

page size.

Checkpoint length

Determines the number of journal pages to be written before initiating a database checkpoint.

Checkpoint interval

Determines the number of seconds between database checkpoints.

Note: If both Checkpoint length and Checkpoint interval are specified, whichever event occurs first will initiate a database checkpoint.

Use timestamp name

Determines whether or not to append the file creation timestamp to the base journal file name. If this option is on, the base journal file name will be appended with a timestamp of the form: <YYYY>_<MM>_DD>T<hh>_<mm>_ss>Z.<sequence-number>.journal

The DDL tab displays current journal DDL.


Journal management

In the Journals node all archived items are denoted by an archive sequence number that corresponds to the order in which the items were created in the archive.

Dropping the journal disables journal archiving for the database. It causes all journal files and database file dumps to be deleted in all journal archive directories. To drop the journal please select the Journals node in DB Explorer tree and choose the Drop Journal context menu item.

Journals - dropping

If you allow it, the archive will grow in storage size infinitely as the database and the most current journal files are continually archived. To garbage-collect archive items less than an archive sequence number, select the desired archive sequence number and choose the Sweep until context menu item.

journals - sweep

As the number of journal files grows in the archive when you have not created more recent archived database dumps, the time that you will need to recover a database from the archive also grows. Therefore, it is a good practice to periodically create additional database dumps in the archive. To create a new backup you please select the corresponding item from the Journals node context menu.

journals - backup

On selecting the new backup item the Backup Database Wizard window will appear with all the needful parameters set.

journals - backup2


Database Triggers

Use database triggers only for centralized, global operations that should be fired for the triggering statement, regardless of which user or database application issues the statement.

Creating DB Trigger

To create a new DB trigger:

  • select the Database | New Object... main menu item;
  • select DB Trigger in the Create New Object dialog;
  • define DB trigger properties using the appropriate tabs of DB Trigger Editor.

Hint: To create a new DB trigger, you can also right-click the DB Triggers node or any object within this node in the DB Explorer tree and select the New DB Trigger item from the context menu.

To create a new DB trigger with the same properties as one of existing DB triggers has:

  • select the Database | Duplicate Object... main menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a DB trigger in the DB Explorer tree and select the Duplicate DB Trigger <DB trigger_name>... context menu item.

Duplicate Object Wizard allows you to select the database to create a new DB trigger in, and to edit the result SQL statement for creating the DB trigger.

Editing DB Triggers

To edit an existing DB trigger:

  • select the DB trigger for editing in the DB Explorer tree (type the first letters of the DB trigger name for quick search);
  • right-click the object and select the Edit DB Trigger <DB trigger_name> context menu item, or simply double-click the DB trigger;
  • edit DB trigger properties using the appropriate tabs of DB Trigger Editor.

Dropping DB Trigger

To drop a DB trigger:

  • select the DB trigger to drop in the DB Explorer tree;
  • right-click the object and select the Drop DB Trigger <DB trigger_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new DB trigger;

Ctrl+O to edit the selected DB trigger;

Shift+Del to drop the object from the database.


Database Trigger Editor

Database Trigger Editor allows you to define role properties and membership. It opens automatically when you create a new DB trigger and is available on deleting existing one.

To open a DB trigger in Database Trigger Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar
  • Editing DB Trigger definition
  • Browsing object dependencies
  • Editing object description
  • Viewing object operations
  • Viewing DDL definition


Using Navigation bar

The Navigation bar of Database Trigger Editor allows you to:

Object bar:

Select a database and a procedure for editing within the current window.

General bar:

  • Compile current object
  • Execute the current DB trigger
  • Debug the current procedure
  • Print metadata of the current object
  • View Dependency Tree for the object
  • Perform quicksave/quickload
  • Switch between Text and Visual modes of the editor
  • Refresh the content of the active tab
  • Bring the window to its default size.

Variable bar allows you managing DB trigger input parameters.

Role Editor - Using Navigation bar

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the object.

<< Back to Role Editor


Editing DB Trigger definition

Use the Database Trigger Editor to specify current DB trigger properties.

Name

Set the DB trigger name.

On event

Specify the event on occurrence of which the trigger fires:

Connect

Database connection established

A transaction is started

Triggers are fired - uncaught exceptions rollback the transaction, disconnect the attachment and are returned to the client.

Disconnect

A transaction is started

Triggers are fired - uncaught exceptions rollback the transaction, disconnect the attachment and are swallowed

The transaction is committed.

Transaction start

Triggers are fired in the newly user created transaction - uncaught exceptions are returned to the client and the transaction is rolled-back.

Transaction commit

Triggers are fired in the committing transaction - uncaught exceptions rollback the triggers savepoint, the commit command is aborted and the exception is returned to the client.

Transaction rollback

Triggers are fired in the rolling-back transaction - changes done will be rolled-back together with the transaction and exceptions are swallowed.

In the lower part of the Database Trigger Editor you can view and edit the definition for current DB trigger.

The Variables tab provides managing abilities for variables. Use context menu items or corresponding items of the Variables pan (Navigation bar).


Query management tools

When using SQL Manager 2008 for InterBase/Firebird, you are provided with two basic tools you may need to manage your SQL queries: SQL Editor for editing SQL query text directly and Visual Query Builder for building queries visually. Find the list of common SQL query management operations below.

Creating new queries

In order to create a new query in SQL Editor:

  • select the Tools | New SQL Editor main menu item or use the corresponding btnNewSQLEditor toolbar button;
  • click the Add new query item of the Navigation bar;
  • edit the query text within the Edit tab of SQL Editor.

In order to create a new query in Query Builder:

  • select the Tools | New Query Builder main menu item or use the corresponding btnNewQueryBuilder toolbar button;
  • build the query visually within the Builder tab of Visual Query Builder.

Editing queries

In order to open a query in SQL Editor:

  • select the Tools | Show SQL Editor main menu item or use the corresponding btnShowSQLEditor toolbar button;
  • use the numbered tabs at the bottom of the editor window to switch between previously edited queries. The last edited query is displayed automatically on opening the editor;
  • edit the query text within the Edit tab of SQL Editor.

In order to open a query in Query Builder:

  • select the Tools | Show Query Builder main menu item or use the corresponding btnShowQueryBuilder toolbar button;
  • the last edited query is displayed automatically on opening Query Builder;
  • to load a previously saved diagram, click the Load diagram item of the Navigation bar;
  • to load a query from an *.sql file, open the Edit tab and click the Load SQL button of the Navigation bar;
  • edit the query visually within the Builder and/or the Edit tabs of Visual Query Builder.

In order to load a query from an *.sql file:

  • select the Tools | New SQL Editor main menu item or use the corresponding btnNewSQLEditor toolbar button;
  • click the Load from file item of the Navigation bar;
  • browse for the query file using the Open SQL File dialog;
  • edit the query text within the Edit tab of SQL Editor.

Executing queries

In order to execute a query:

  • create a new query or open an existing one;
  • click the btnExecuteQuery Execute item of the Navigation bar or use the F9 hot-key to execute the query;
  • view/edit the returned data within the Results tab of SQL Editor.

Saving queries

In order to save a query:

  • create a new query or open an existing one;
  • click the Save to file Navigation bar item (in SQL Editor) or the Save SQL Navigation bar item (in Query Builder), or use the Ctrl+S shortcut to save the query using the Save as... dialog;
  • click the Save diagram Navigation bar item in Visual Query Builder to save the designed diagram;

or

  • use the Save all Navigation bar item in SQL Editor if you need to save all the queries to one file.

See also:

Getting started

Database Explorer

Database management

Database objects management

Data management

Import/Export tools

Database tools

Server tools

Personalization

External tools


SQL Editor

SQL Editor is the basic tool of SQL Manager 2008 for InterBase/Firebird for creating and executing queries. The tool allows you to create and edit the SQL text of a query, prepare and execute queries and view the results of query execution.

To open SQL Editor, select the Tools | New SQL Editor / Tools | Show SQL Editor main menu items or use the corresponding btnNewSQLEditor / btnShowSQLEditor toolbar buttons. You can also use the Shift + F12 / F12 shortcuts for the same purpose.

  • Using Navigation bar
  • Working with SQL Editor area
  • Using the context menu
  • Viewing query plan
  • Using object links
  • Executing queries and viewing results
  • Viewing query logs
  • Favorites editor
  • Merging queries

See also:

Visual Query Builder

Query parameters


Using Navigation bar

The Navigation bar of SQL Editor allows you to:

  • select a database for the query;
  • execute the current query;
  • view estimated query execution plan;
  • show/hide information messages;
  • add a new query (note that the current query text will NOT be lost);
  • remove the current query;
  • remove all queries from the editor;
  • rename the query;
  • run Visual Query Builder to design the query as a diagram;
  • switch the results representation mode: on Edit tab or on separate tab;
  • configure SQL Editor within the Tools | SQL Editor page of the Environment Options dialog;
  • add the query to the Favorite Queries list using Favorites editor;
  • activate the Find Text dialog;
  • load a query from an *.sql file using the Open SQL File dialog;
  • save the query to an *.sql file using the Save as... dialog;
  • save all the queries to an *.sql file;
  • commit/rollback the transaction;
  • export the returned dataset using Export Data Wizard;
  • export data as SQL Script using the Export as SQL Script wizard;
  • import data into the table using Import Data Wizard.

SQL Editor - Using Navigation bar

See also:

Working with SQL Editor area

Using the context menu

Viewing query plan

Using object links

Executing queries

Viewing query logs

Favorites editor


Working with SQL Editor area

The Editor area of SQL Editor is available within the Edit tab and is provided for working with SQL queries in text mode.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. If necessary, you can enable/disable or customize most of SQL Editor features using the Editor Options dialog.

The example of code completion is illustrated in the picture below. You can set the delay within the Quick code section of the Editor Options dialog or activate the completion list manually by pressing the Ctrl+Space shortcut.

SQL Editor - Working with SQL Editor area

Hint: To paste input parameters of a procedure quickly, use the Ctrl+Shift+P shortcut after the procedure name.

Hint: To use a keyboard template, type the template name and press the Ctrl+J shortcut: the text associated with the template will be inserted automatically.

If necessary, you can print the SQL text of your query using the corresponding item of the context menu.

See also:

Using Navigation bar

Using the context menu

Viewing query plan

Using object links

Executing queries

Viewing query logs

Favorites editor


Using the context menu

The context menu of SQL Editor area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All) and functions for working with the query as a whole, e.g. you can move the cursor to a particular line, change the case of selected text, view the query properties or print the text of the query. Each of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text and the Replace Text dialogs contributes to more efficient work with the SQL code.

Find the complete list of SQL Editor context menu items below. The context menu allows you to:

  • add the selected text to dictionary or correct text (see Spell checking for details);
  • execute the query/selected text/text under cursor, and reset execution point (if necessary);
  • manage markers: Drop Marker, Collect Marker, Swap Marker;
  • toggle bookmarks allowing you to navigate through the query text and jump to a line with a particular number;
  • perform editing operations: Undo/Redo, Cut, Copy, Paste, Select all;
  • perform search and replace operations;
  • save/load a query to/from an external *.sql file;
  • perform preview/print operations;
  • use the Quick code group allowing you to format the selected code using SQL Formatter to make the code easier to read, toggle comments for code fragments, change case of the selected text, indent/unindent code lines;
  • add the query to the Favorite Queries list;
  • open the Editor Options dialog.

SQL Editor - Using the context menu

See also:

Using Navigation bar

Working with SQL Editor area

Viewing query plan

Using object links

Executing queries

Viewing query logs

Favorites editor


Viewing query plan

Using SQL Manager 2008 for InterBase/Firebird, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open the query in SQL Editor and use the btnExplainQuery Show estimated execution plan item of the Navigation bar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution. Note that this tab only appears after you have executed the query.

SQL Editor - Viewing query plan

If necessary, you can specify that the Plan tab appears automatically upon query execution in SQL Editor: select the CheckBox Show actual execution plan on query execution option available within the Tools | SQL Editor section of the Environment Options dialog.

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Using object links

Executing queries

Viewing query logs

Favorites editor


Using object links

Objects that exist in the database are highlighted in the text as hyperlinks. You can open an object in the appropriate editor by clicking the object name in the text with the Ctrl key pressed.

Please note that you can change the way highlighted objects look in the editor: use the Color section of the Editor Options dialog.

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Viewing query plan

Executing queries

Viewing query logs

Favorites editor


Executing queries

When all the query parameters are set, you can immediately execute the query in SQL Editor.

To execute a query, click the btnExecuteQuery Execute item of the Navigation bar. You can also use the context menu or F9 hot key for the same purpose.

If the SQL syntax is correct, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Results tab. The position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the editor window.

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export as SQL Script.

SQL Editor - Viewing results

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Viewing query plan

Using object links

Viewing query logs

Favorites editor


Viewing query logs

This tab allows you to view the query log. The log is available within the Logs tab of SQL Editor.

Using this tab you can view the text of each query, information on the date and time of the query execution, the number of rows fetched, etc. With the help of the context menu the log can be printed, saved to file or cleared. You can also use a number of SQL Editor context menu generic functions.

SQL Editor - Viewing query logs

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Viewing query plan

Using object links

Executing queries

Favorites editor


Favorites editor

For your convenience the Favorite Queries list is implemented in SQL Manager 2008 for InterBase/Firebird. This list is available within the Favorite Queries iconFavoriteQueries node of Database Explorer and allows you to store the most frequently used SQL queries in one location.

To add a query to the Favorite Queries list, use the iconAddToFavoriteQueries Add to Favorite Queries Navigation bar item in SQL Editor. The corresponding item is also available in the context menu of SQL Editor working area.

You can edit any of your Favorite Queries using Favorites editor.

SQL Editor - Favorites editor

Name

Set the name of the Favorite query.

Storage

Specify where the Favorite query will be stored: in Windows Registry or in the Database.

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Viewing query plan

Using object links

Executing queries

Viewing query logs


Merging queries

When editing one query in several copies of SQL Editor on attempt to close the SQL Editor window the Merging a Query dialog will appear like one displayed below.

Merging a  Query

The actions offered are the following:

Save the both changed queries

The query opened in the first copy of SQL editor will be saved under its original name; the query in the current copy will be saved under the name with additional postfix (by default it's '_1')

Use changes in the current copy of SQL Editor

The query will be saved under the original name; the modifications of SQL made within current copy of SQL Editor will be used.

Ignore changes in the current copy of SQL Editor

The query will be saved under its original name; the modifications of SQL made within current copy of SQL Editor will be ignored.

See also:

Using Navigation bar

Working with SQL Editor area

Using the context menu

Viewing query plan

Using object links

Executing queries

Viewing query logs


Visual Query Builder

Visual Query Builder is implemented in SQL Manager 2008 for InterBase/Firebird for building queries visually. The tool allows you to create and edit queries without deep knowledge of SQL. You can also prepare and execute queries, and view the results of their execution.

To open Visual Query Builder, select the Tools | New Query Builder / Tools | Show Query Builder main menu items or use the corresponding btnNewQueryBuilder / btnShowQueryBuilder toolbar buttons.

  • Using Navigation bar
  • Working with diagram area
  • Joining two database objects by fields
  • Setting the selection criteria
  • Setting output fields for selection
  • Setting the grouping criteria
  • Setting parameters of sorting
  • Working with editor area
  • Executing queries and viewing results
  • Viewing query plan

See also:

SQL Editor

Query parameters


Using Navigation bar

The Navigation bar of Visual Query Builder allows you to:

  • select a database for the query;
  • execute the current query;
  • view estimated query execution plan;
  • clear the query;
  • create a view;
  • create a procedure;
  • display SQL help reference
  • configure Query Builder using the Query Builder Options page;
  • restore the default size of the builder window;

Builder bar:

  • load a diagram from a *.vqb file using the Open diagram dialog;
  • save the diagram to a *.vqb file using the Save diagram as... dialog;

Data Management bar:

  • Commit or Rollback current transaction
  • export the returned dataset using Export Data Wizard;
  • export data as SQL Script using the Export as SQL Script wizard;

Objects bar:

  • browse objects of the database; you can also add tables and views to the diagram using drag-and-drop operations.

Query Builder - Using Navigation bar

See also:

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Working with diagram area

The main working area of Visual Query Builder is the diagram area available within the Builder tab. Here you can create a query by placing the database tables and views onto the area, and edit it by selecting the required data fields and setting links between objects.

To add an object to the query, you can simply drag it from the DB Explorer tree to the diagram area.

To include a field in the query, check the corresponding box located to the left from the field name in the list, or just double-click it. To include all fields of the table/view, check the box located to the left of the table/view caption. If you do not check any fields, the SQL statement is generated as SELECT * FROM <table/view_name>, i.e. all the fields are included in the query.

To exclude a field from the query, uncheck the respective box. In order to remove the entire table/view from the query, close it by clicking the corresponding cross-button at the object caption, or select the object and press the Del key.

To edit the alias of a table/view, double-click the object caption and enter the new name.

Query Builder - Working with diagram area

See also:

Using Navigation bar

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Joining two objects

The diagram area allows you to associate two objects by their fields: this operation is performed by dragging a field from one object list to another. This will set a link between these objects by the selected fields. It is indicated by a bidirectional arrow between the linked fields.

You can view the link properties of objects association: set the mouse cursor over the linking arrow, and a hint containing the association condition will popup after a short delay.

hs2150_Joining two objects

To edit the link properties, double-click the linking arrow or right-click it and select the Property popup menu item. The Link properties dialog allows you to change the association condition by choosing it from the drop-down list (=, >, <, >=, <=, <>).

hs2150_Joining two objects_1

For your convenience the CheckBox Include all option is available for each object of the association. Click OK to apply the changes you have made.

To remove a link between objects, right-click the linking arrow and select the Delete link popup menu item.

To add a point to the link line, right-click the linking arrow and select the Insert point popup menu item. Using the point you can move the link line easily. The point does not cause any changes to the query, it is only used for the diagram representation and makes visual building handy and more comprehensible.

See also:

Using Navigation bar

Working with diagram area

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Setting criteria

Use the Criteria tab to set the selection conditions.

To add a condition, click the ellipsis EllipsisButton button on the left, and select the Add condition popup menu item.

Edit the condition by clicking the elements of the condition pattern and setting the necessary values. Clicking the numbered button to the left of the condition string activates the popup menu which allows you to add a new condition of the same enclosure level, add a new enclosure level, delete the current condition, expand or collapse enclosure levels of the condition (if the condition is composite).

A simple condition pattern contains three elements: an argument, a condition operator and a second argument (if required for the condition).

Clicking each element field allows you to set its value. When clicking the argument field, you can edit the argument as a text string: set an object name or a certain value in this field. Right-clicking the field in the edit mode activates the popup menu with the Insert field function (also called by the Shift+Enter shortcut). This function allows you to select a field from the list of all the table fields.

Clicking the condition operator field activates the popup menu where you can specify the condition you need.

The way the conditions are used is set in the upper string of the area (All, Any, None or Not all of the following are met). Click the green link to change it.

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Setting output fields

The Selection tab displays the output fields of the query as a grid.

The grid allows you to edit the names of the query output fields, specify their displaying order and set the aggregate functions (SUM, MIN, MAX, AVG, and COUNT) for each field. To remove a field from the list, right-click the field row and select the Delete current row popup menu item. To change the input query field, double click it and then type the field name on the keyboard or choose it from the drop-down list.

To change the output query field name, set the cursor at the corresponding column and type the required field name.

To set an aggregate function for a field, click the field row within the Aggregate column, and then type in the function name or select one from the drop-down list.

The Grouping column displays the grouping state for each of the output fields.

CheckBox Select only unique records
If you check this option, the duplicate records (if any) are not included into the query result (i.e. the DISTINCT keyword is added to the SQL query text).

hs2170_Setting output fields

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Setting grouping criteria

The Grouping criteria tab allows you to set conditions for grouping query records.

The grouping condition pattern fields are set in the same way as those of the Criteria pattern.

hs2180_Setting grouping criteria

These conditions will be included in the HAVING statement of the generated SQL query.

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting sorting parameters

Working with the editor area

Query execution

Viewing query plan


Setting sorting parameters

The Sorting tab allows you to set sorting parameters for the records returned by the query.

The working area contains the Output fields list (at the left) which represents all the output query fields, and the Sorted fields list (at the right) which contains the fields to sort records by.

To move a field from one list to another, drag the selected field or use the Add and Remove buttons.

To change the sorting order for a sorted field, select the field in the Sorted fields list and move it using the Up and Down buttons.

To change the sorting direction, select the field in the Sorted fields list and switch the direction (Ascending, Descending) using the corresponding A..Z/Z..A button.

hs2190_Setting parameters of sorting

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Working with the editor area

Query execution

Viewing query plan


Working with the editor area

The Editor area of Visual Query Builder is available within the Edit tab and is provided for working directly with the SQL query text which is generated automatically while you build the query visually.

You can edit this text according to the rules of SQL, and all the changes will be displayed within the Builder tab respectively.

To learn more about the SQL Editor features available within the Edit tab, see Working with SQL Editor area.

hs2200_Working with editor area

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Query execution

Viewing query plan


Query execution

When all the query parameters are set, you can immediately execute the query in Visual Query Builder.

To execute a query, click the btnExecuteQuery Execute query item of the Navigation bar. You can also use the F9 hot key for the same purpose.

If the query parameters are specified correctly, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Result tab.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the Builder window.

After executing a query the Performance analysis tab becomes available.

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export As SQL Script.

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Viewing query plan


Viewing query plan

Using SQL Manager 2008 for InterBase/Firebird, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open Query Builder and use the btnExplainQuery Show estimated execution plan item of the Navigation bar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution. Note that this tab only appears after you have executed the query.

Query Builder - Viewing query plan

If necessary, you can specify that the Plan tab appears automatically upon query execution in Query Builder: select the CheckBox Show actual execution plan on query execution option available within the Tools | Query Builder section of the Environment Options dialog.

See also:

Using Navigation bar

Working with diagram area

Joining two objects

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution


Query parameters

Both SQL Editor and Visual Query Builder support parameters usage inside the query text. A parameter is a kind of variable for which a value can be specified just before the query execution. In the query text the parameter should appear as an identifier with a colon (':') at the beginning, e.g.

:param1.

Note: The Allow using of parameters in query text option should be checked on the Options | Environment options | Tools page for this feature to be enabled.

See also:

SQL Editor

Visual Query Builder


Input parameters dialog

The Input Parameters dialog is used to specify the query parameters as well as values of the input parameters of the procedure or function before execution.

Click OK button to apply the values and execute the query or click Cancel button to abort execution.


Data management

Table data and query results are displayed on the Data or Results tab of Table Editor, SQL Editor, Visual Query Builder, etc.

Data can be displayed in one of the following modes: Grid View, Form View, Print Data, BLOB View. See Data View to learn more about these modes. You are also provided with a number of filtering tools when working with your data.

  • Data View
  • Custom Filter
  • Filter Builder dialog

See also:

Getting started

Database Explorer

Database management

Database objects management

Query management tools

Import/Export tools

Database tools

Server tools

Personalization

External tools


Data View

SQL Manager 2008 for InterBase/Firebird provides you with powerful tools for viewing, editing and printing data from tables and queries:

  • table / view data are available within the Data tab of Table Editor / View Editor correspondingly;
  • upon a query execution the returned dataset appears within the Result(s) tab of SQL Editor / Query Builder (in SQL Editor the position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar).

The data can be displayed in one of four available modes: Grid View, Form View, Print Data and BLOB View. The status bar at the bottom displays the number of records in the current dataset, the time the records were fetched by the application and the status of the records (whether the data are read-only or editable).

Please see the succeeding chapters to learn how to work with your data in the simplest and most efficient way.

  • Grid View
  • Form View
  • Print Data
  • BLOB View

See also:

Custom Filter

Filter Builder Dialog


Grid View

By default, data returned by a query are displayed as a grid. It is indicated by the Grid View tab selected on the View mode panel at the bottom of the Results area of the window.

When in the Grid View mode, the columns correspond to the fields and the rows correspond to the records. Clicking the column caption sorts data by the values of this column in the ascending or the descending mode. The navigation pane at the top of the grid allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog.

The Navigation bar of the parent window and the context menu of the grid provide you with a number of data management functions: Export Data, Import Data, Export As SQL Script and more.

  • Grouping data within the grid
  • Filtering records
  • Using the context menu
  • Working in multi-level mode
  • Viewing data in card view
  • Associating columns

Data View - Grid View

See also:

Form View

Print Data

BLOB View


Grouping data

If necessary, you can group the data in grid by any of the columns.

This operation is performed by dragging the column header to the gray "Group by" box area at the top. In order to display this area, select the CheckBox Show "Group by" box option available in the Grid section of the Environment Options dialog.

When grouping by a column is applied to the grid, all the records are displayed as subnodes to the grouping row value as displayed in the screenshot below. To reverse grouping, just drag the column header back.

Data View - Grid View - Grouping data

See also:

Filtering records

Using the context menu

Working in multi-level mode

Create Grid Level wizard

Working in card view mode

Column Summary


Filtering records

A number of filtering facilities are implemented in the grid for your convenience. You can filter records in the grid in either of the following ways:

  • right-click a row and select the Quick Filter context menu item to filter records by the current value of the selected column;

Data View - Grid View - Quick Filter

  • click the Arrow-Down button next to the column caption to display the drop-down list and select any of the column values to filter records by this value of the selected column;

Data View - Grid View - Filtering records

or

  • click the Arrow-Down button next to the column caption to display the drop-down list, then select the Custom item and build a simple filter using the Custom Filter dialog;
  • use the Set filter btnSetFilter button on the navigation pane to invoke the Filter Builder dialog and create a composite filter using the dialog.

After the filter is set, the gray filtering panel becomes visible at the bottom of the grid. This panel allows you to see the active filtering condition and easily enable or disable it using the checkbox on the left. If necessary, you can click the Customize... button on the right to customize your filter and add more complicated filtering conditions within the Filter Builder dialog.

See also:

Grouping data

Using the context menu

Working in multi-level mode

Create Grid Level wizard

Working in card view mode

Column Summary


Using the context menu

The context menu of the grid is aimed at facilitating your work with data: you can perform a variety of operations using the context menu items:

  • copy the selected cell value to Windows clipboard;
  • paste the clipboard content to the currently selected cell;
  • copy/paste multiple records;
  • data manipulation: Export Data from the table, Import Data to the table, Export Data as SQL Script;
  • set/disable Quick Filter;
  • clear sorting;
  • set a value for the selected cell: NULL, Empty string (for string fields), Now (for TIME fields), "Zero" (for DATE fields);
  • edit the BLOB value or save the BLOB to file using BLOB viewer/editor;
  • expand/collapse grid levels and navigate within the tabs;
  • manage grid levels: add a new grid level, delete the current grid level;
  • switch to the Card View mode, if necessary;
  • view Column Summary;
  • select visible/invisible columns of the dataset;
  • fit column width for better representation;
  • specify the grid mode: Load All Rows, Load Visible Rows, Default;
  • view/edit grid properties.

Data View - Grid View - Using the context menu

See also:

Grouping data

Filtering records

Working in multi-level mode

Create Grid Level wizard

Working in card view mode

Column Summary


Working in multi-level mode

One of unique features of SQL Manager 2008 for InterBase/Firebird is the ability to work with data in multi-level mode to view and modify data in several related tables simultaneously.

To manage grid levels, right-click the grid and select the Grid Levels context menu group. Items of this group allow you to:

  • add a new grid level using Create Grid Level Wizard;
  • delete the current grid level;
  • switch between the ordinary Table View and the Card View modes.

Viewing data in multilevel mode

See also:

Grouping data

Filtering records

Using the context menu

Create Grid Level wizard

Working in card view mode

Column Summary


Create Grid Level wizard

Create Grid Level Wizard allows you to add a new detail level to the grid in order to get master-detail representation of your data.

To start the wizard, right-click the grid, select the Grid Levels context menu group and proceed to the Add Grid Level... item within this group.

  • Specifying master level
  • Selecting source table
  • Binding master and detail levels
  • Query parameterization
  • Setting additional parameters

See also:

Grouping data

Filtering records

Using the context menu

Working in multi-level mode

Working in card view mode

Column Summary


Specifying master level

Use the drop-down list to select the table of the master level to which a new level will be added.

Source of new level data

Select the source type of the new level data: RadioButton Table or RadioButton Query.

Create Grid Level - Specifying master level

Click the Next button to proceed to the Defining source for detail level step to select a table for the detail level or input a query, depending on whether the RadioButton Table or the RadioButton Query option has been selected.


Defining source for detail level

If the RadioButton Table option has been selected at the previous step, you should now specify a table for the detail view using the Table name drop-down list. Set the CheckBox Show tables related by foreign keys only option to narrow the list of tables by including only tables linked by Foreign keys.

Add Grid Level - Defining source for detail level - Table

If the RadioButton Query option has been selected at the previous step, you should now enter a query that will be used as the source of the new grid level. If necessary, you can use Query Builder to build the SQL query visually.

Click the Next button to proceed to the Binding master and detail levels step of the wizard.


Binding master and detail levels

Define pairs of fields to link the Master Level and the Detail Level data sources:

  • select a field in the Master Level Key Fields list;
  • select a corresponding field in the Detail Level Key Fields list;
  • click Add to set correspondence between the selected fields.

The newly created correspondences are listed in the Links Between Master and Detail Levels area. If necessary, you can delete any correspondence using the the Remove button.

Add Grid Level - Binding master and detail levels

Click the Next button to proceed to the Setting additional parameters step or to the Query parameterization step of the wizard if RadioButton Query was selected at the Specifying master level step of the wizard.


Query parameterization

If RadioButton Query was selected at the Specifying master level step of the wizard, you should now transform the query to a parameterized form that will be used in the 'Load visible rows' Grid Mode (see the Grid | Data Options section of the Environment Options dialog to get more information about Grid modes offered by SQL Manager).

Add Grid Level - Query parameterization

Click the Next button to proceed to the Setting additional parameters step of the wizard.


Setting additional parameters

Level caption

Set the caption to be used for the new level in the grid.

Level type

Select the type of view you wish to be applied to the grid level: RadioButton Table view or RadioButton Card view.

Add Grid Level - Setting additional parameters

When you are done, click the Finish button to complete the operation.


Working in card view mode

Depending on your preferences, you can represent data in the Table View or in the Card View modes.

To switch to the Card View mode of data representation, right-click the grid, expand the Grid Levels context menu group and select the Card View item within this group.

Data View - Grid View - Working in card view mode

See also:

Grouping data

Filtering records

Using the context menu

Working in multi-level mode

Create Grid Level wizard

Column Summary


Column Summary

If necessary, you can select the Column Summary... context menu item to open the Column Summary dialog which allows you to view and edit the summary for each particular column.

Data View - Grid View - Column Summary

See also:

Grouping data

Filtering records

Using the context menu

Working in multi-level mode

Create Grid Level wizard

Working in card view mode


Associating columns

When pasting records into the grid the program will automatically display the Associate columns dialog where you will be able to set the correspondence between the columns you are trying to paste and the existing ones. Use the Add, Add All, Remove, Remove All buttons to set the column correspondence.

See also:

Grid View


Form View

The Form View tab allows you to view data as a form. To activate this type of data view, select the Form View tab on the View mode panel at the bottom of the Results area of the window.

The form displays the current record: field names on the left and the corresponding values on the right. If the fields are available for editing, you can edit the record directly on this form. The navigation pane at the top of the form allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog.

Data View - Form View

Each field has a CheckBox Null checkbox which allows you to clear the field value and set it to NULL (if the field is nullable).

See also:

Grid View

Print Data

BLOB View


Print Data

Using the Print Data tab you can view data in the way they are printed, in WYSIWYG mode.

When in Print Data mode, you are provided with a powerful toolbar allowing you to design a report, change the view scope, save reports and load previously saved ones, and set a number of page printing parameters.

Data View - Print Data

See also:

Grid View

Form View

BLOB View


BLOB View

SQL Manager 2008 for InterBase/Firebird provides BLOB Viewer/Editor to view and edit BLOB fields content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, SQL Editor, Visual Query Builder, etc.

  • Navigation within the BLOB Viewer/Editor
  • Viewing/Editing BLOB field as Hexadecimal dump
  • Viewing/Editing BLOB field as plain Text
  • Viewing/Editing BLOB field as Rich Text (RTF)
  • Viewing/Editing BLOB field as Image
  • Viewing/Editing BLOB field as HTML
  • Applying changes

See also:

Grid View

Form View

Print Data


Navigation within BLOB Editor

The BLOB Viewer/Editor provides an ability to navigate within the records using DB Navigation buttons on the navigation pane at the top of the viewer window.

Using items of the navigation pane and the drop-down menu you can to browse the data quickly, to insert, update and delete records, set a filter for the records using the Filter Builder dialog, load new BLOB content and save the current content to files.

The toolbar allows you to switch the fields and perform a number of editing operations. The set of toolbar items depends on the current selection and view mode.

hs2470_Navigating with the BLOB Editor

See also:

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Applying changes


Editing as Hexadecimal

The Hexadecimal tab allows you to view/edit the BLOB data as hexadecimal.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSaveAs and the Load from file ExplorerButton toolbar buttons to save the hexadecimal data to a file, or load data from a file.

Use the Ins key to switch between the Insert and Overwrite modes.

hs2470_Navigating with the BLOB Editor

See also:

Navigation within BLOB Editor

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Applying changes


Editing as Text

The Text tab allows you to view/edit the BLOB data as simple text.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSaveAs and the Load from file ExplorerButton toolbar buttons to save the text to a *.txt file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo, Word Wrap context menu items for editing the text efficiently, and the Print context menu item to print the content of the Text tab.

Note that encoding of the text can be selected at the toolbar.

hs2410_Editing as plain text

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Rich Text

Editing as Image

Editing as HTML

Applying changes


Editing as Rich Text

The Rich Text tab allows you to view/edit the BLOB data in Rich Text format (RTF).

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSaveAs and the Load from file ExplorerButton toolbar buttons to save the Rich Text to a *.rtf file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo context menu items for editing the text efficiently, and the Print context menu item to print the content of the Rich Text tab.

hs2420_Editing as rich text (RTF)

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Image

Editing as HTML

Applying changes


Editing as Image

The Image tab allows you to view the BLOB data as image.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSaveAs and the Load from file ExplorerButton toolbar buttons to save the image to a *.bmp, *.wmf, *.ico or *.jpg file, or load an image from a file.

hs2430_Editing as image

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as HTML

Applying changes


Editing as HTML

The HTML tab allows you to view the BLOB data as HTML (Hyper-Text Markup Language format) - in the way this data would be displayed by your Internet browser.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSaveAs and the Load from file ExplorerButton toolbar buttons to save the content as a *.html, or *.htm file, or load content from a file.

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Applying changes


Applying changes

After changes are done, click the Post Edit btnPostEdit button on the navigation pane to apply the changes or the Cancel Edit btnCancelEdit button to discard the changes.

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML


Custom Filter

The Custom Filter dialog is one of the filtering facilities implemented in Data View for your convenience.

To open the dialog, click the Arrow-Down button next to the column caption, and select the Custom item from the drop-down list.

Select a logical operator for checking the column values (like, is less than, is greater than, etc.) and set a value to be checked by this operator in the corresponding box on the right.

Data management - Custom Filter

If necessary, you can set the second condition and specify the relation between the two conditions: whether both of them should be satisfied (AND) or just any of them (OR). Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string.

See also:

Data View

Filter Builder Dialog


Filter Builder dialog

The Filter Builder dialog is a powerful filtering tool implemented in Data View for your convenience.

The dialog is aimed at facilitating the procedure of creating and applying complex filter criteria for data. In addition, the tool allows you to save filter criteria to an external *.flt file for future use.

To open the Filter Builder dialog, use the Set filter btnSetFilter button on the navigation pane available within the Data tab of Table Editor and the Result(s) tabs of SQL Editor and Query Builder.

  • Invoking the Filter Builder dialog
  • Adding a new condition to the filter
  • Setting filter criteria
  • Setting filter operator
  • Setting filter criteria values
  • Adding a new group
  • Setting group operator
  • Applying filter conditions

See also:

Data View

Custom Filter


Invoking the Filter Builder dialog

The Filter Builder dialog can be invoked in either of the following ways:

  • if a simple filter or the Custom Filter is being used, click the Customize... button on the gray filtering panel;

  • use the Set filter btnSetFilter button on the navigation pane and create a composite filter using the dialog.

Data View - Navigation pane

The succeeding pages of this chapter are intended to illustrate usage of the Filter Builder dialog. Please see the instructions below to learn how to perform various operations in the easiest way.

See also:

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Adding a new condition

Suppose we need to select data from the sample table Employee to view the list of male engineers belonging to the Engineering and Tool Design departments that were hired after 10/1/2007. These criteria are applied to the Gender, HireDate, Position and the DepID fields.

Click press the button to add a new condition - this will add a new condition to the criteria. Alternatively, you can click the Filter button and select the Add Condition popup menu item.

hs2320_Adding new condition

See also:

Invoking the Filter Builder dialog

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria

As we need to apply the filter criteria to the HireDate field, we click the column box (next to the ellipsis EllipsisButton button) to open the drop-down list displaying the available column names and select the HireDate item.

hs2330_Setting filter criteria

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter operator

Since we need the list of employees hired after 10/1/2007, we need to select the IS GREATER THAN operator from the corresponding drop-down list.

hs2340_Setting filter operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria values

Next, we need to specify value '10/1/2007' for the IS GREATER THAN operator.

Similarly, if, for example, we need to get the list of employees hired during the 9/1/2007 - 10/1/2007 term, we set the BETWEEN filter operator (this will add two empty value boxes to specify the inclusive range for the BETWEEN condition) and specify the range for the operator, i.e. the '9/1/2007' and the '10/1/2007' values in the corresponding value boxes.

It is possible to set the date value manually by typing it in, or via the date editor which is activated when you click the value box.

hs2350_Setting filter criteria values

Editors used in value boxes are determined by the data type assigned to the corresponding columns.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Adding a new group

Setting group operator

Applying filter conditions


Adding a new group

Since we also need to get the list of male specialists-engineers (i.e. those registered in the Engineering and Tool Design departments and having an engineering-oriented position), we can add a complex filter condition combining simple conditions with the AND operator. (However, in this particular case we can just add them on the same root level as for the existing condition).

If you need to add a group of conditions, click the ellipsis EllipsisButton button for the HIRE_DATE condition and select the Add Group popup menu item.

hs2360_Adding new group

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Setting group operator

Applying filter conditions


Setting group operator

Conditions of complex criteria can be combined with any of the four logical operators used: AND, OR, NOT AND, NOT OR.

In our case it is enough to click the group operator box and select the AND item from the drop-down menu.

hs2370_Setting group operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Applying filter conditions


Applying filter conditions

Suppose we have created a condition within the new group. If we need, we can add more conditions at the same level and specify the required values using the value boxes. When the operation is completed, the Filter Builder dialog will look like in the screenshot below.

Click the Apply button to see the result of the filtering you have made, and click OK or Cancel to close the dialog with or without saving your filter conditions respectively.

hs2380_Applying filter conditions

The Filter Builder dialog allows you to save filter criteria to and load them from external files. Clicking the Save As… or the Open… buttons activates the corresponding dialogs. Filter settings are stored in *.flt files.

Please be informed that a column in the file is referenced by its position within a view, hence filter settings cannot be correctly restored if columns have been deleted from the view after saving the filter to a file.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator


Import/Export Tools

Using SQL Manager 2008 for InterBase/Firebird you are provided with powerful tools to import and export data to/from your InterBase/Firebird database.

  • Export Data Wizard

Exports data to various supported formats including MS Excel, MS Access, RTF, HTML, PDF, CSV, XML, MS Excel 2007 and more.

  • Import Data Wizard

Imports data from any of supported formats: MS Excel, MS Access, DBF, TXT, CSV, XML, MS Excel 2007, MS Word 2007 and more.

  • Export Data as SQL Script

Exports data to an SQL script as a number of INSERT statements.

  • Using templates

Facilitates using import/export wizards.

See also:

Getting started

Database Explorer

Database management

Database objects management

Query management tools

Data management

Database tools

Server tools

Personalization

External tools


Export Data Wizard

Export Data Wizard allows you to export data from a table / view or from a query result to any of supported formats (MS Excel, MS Access, MS Word, RTF, HTML, PDF, TXT, CSV, XML, DBF, MS Excel 2007, MS Word 2007, etc.). You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer, select the Data Manipulation context menu group and proceed to the Export Data... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of SQL Editor / Query Builder, right-click the grid there, then select the Data Manipulation context menu group and proceed to the Export Data of <object_name>... item within this group, or use the Export Data item of the Navigation bar.

  • Setting name and format for the destination file
  • Selecting fields for export
  • Adjusting formats applied to exported data
  • Setting header and footer text for the destination file
  • Setting format-specific options
  • Setting common export options
  • Exporting data
  • Using templates

See also:

Import Data Wizard

Export as SQL Script


Setting destination file name and format

This step of the wizard allows you to select the destination file format you need to export data into.

Destination file name

Type in or use the btnSaveAs button to specify the path to the file using the Save as... dialog. The file name extension changes automatically according to the selected Destination format.

Export Data - Setting destination file name and format

Destination format

Specify the format of the destination file. For details refer to Supported file formats.

Click the Next button to proceed to the Selecting fields for export step of the wizard.


Selecting fields for export

This step of the wizard allows you to select the table field(s) to be exported.

To select a field, you need to move it from the Available fields list to the Selected fields list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.

Export Data - Selecting fields for export

If you leave all the fields in the Available fields list, all fields of the table (except BLOBs) will be exported.

CheckBox Allow captions

Check this option if you need to export the field captions as well.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need: Integer, Float, Date, Time, DateTime, Currency, Boolean True, Boolean False, NULL string, Decimal separator, Thousand separator, Date separator, Time separator.

For more details refer to Format specifiers.

Export Data - Adjusting data formats

Click the Next button to proceed to the Setting header and footer step of the wizard.


Setting header and footer

Set Header text and Footer text for the result file. This text will appear at the beginning and at the end of the result file respectively.

Export Data - Setting header and footer

Click the Next button to proceed to Setting format-specific options.


Setting format-specific options

This step of the wizard allows you to customize Format-specific options:

  • Excel Options
  • Access Options
  • Word / RTF Options
  • HTML Options
  • PDF Options
  • TXT Options
  • CSV Options
  • XML Options
  • MS Excel 2007 options
  • MS Word 2007 options
  • ODF options

To get more information about the file formats, see the Supported file formats page.


Excel options

This step allows you to set options for the target MS Excel (*.xls) file.

You can customize Data format, Extensions and set Advanced options available within the corresponding tabs:

  • Data format
  • Extensions
  • Advanced

Export Data - Setting format-specific options - Excel

When you are done, click the Next button to proceed to Setting common export options.


Data format

The Data Format tab contains general options which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data field, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make the target Excel file striped by columns or rows.

  • Fields
  • Options
  • Styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area on each page of Data Format tab.


Fields

Using the Fields tab you can set font options, border and fill options and select and aggregate functions for all the fields you want to export.

Export Data - Setting format-specific options - Excel - Data Format - Fields

You can reset the changes any time using the Reset Item and the Reset All buttons.


Options

Using the Options tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates and hyperlinks).

Export Data - Setting format-specific options - Excel - Data Format - Options

You can reset the changes any time using the Reset Item and the Reset All buttons.


Styles

Using the Styles tab you can make a style template: set font options, border and fill options and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Setting format-specific options - Excel - Data Format - Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.


Extensions

The Extensions tab provides an ability to add hyperlinks and notes and to any cell of target file, to specify a value of a cell, to create a chart and to merge cells.

Click the Plus iconPlus button to add an element;

click the Minus iconMinus button to delete an element.

  • Hyperlinks
  • Notes
  • Charts
  • Cells
  • Merged Cells


Hyperlinks

If you need to create a hyperlink:

  • set the cell coordinates (Col and Row);
  • specify whether this is a local link or URL;
  • enter the title of the hyperlink;
  • specify the target file location or address.

Export Data - Setting format-specific options - Excel - Extensions - Hyperlinks


Notes

If you need to create a note:

  • set the cell coordinates (Col and Row);
  • enter text of a note for the cell;
  • set the font and fill properties using the corresponding tabs.

Export Data - Setting format-specific options - Excel - Extensions - Notes


Charts

If you need to create a chart:

  • enter the chart title;
  • select the chart style (Column, Column 3D, Bar, Bar 3D, Line, Line Mark, Line 3D, etc.);
  • set the legend position: Bottom, Top, Left, Corner or Right;
  • specify if you want to show the legend;
  • specify if you want to set the chart color automatically;
  • define the chart position and category labels using the corresponding tabs.

Export Data - Setting format-specific options - Excel - Extensions - Charts

If you need to add series for the chart:

  • add one or more series using the iconPlus button;
  • enter the titles;
  • set data ranges (select a column from the drop-down list or set the custom range);
  • define colors for all the graphs.

Export Data - Setting format-specific options - Excel - Extensions - Series


Cells

If you need to add a value in a specific cell:

  • set the cell coordinates (Col and Row);
  • select the cell type: Boolean, DateTime, Numeric or String;
  • enter a value;
  • if you are adding a numeric or a date/time value, you can set the cell format;
  • set the font, borders and fill properties using the corresponding tabs.

Export Data - Setting format-specific options - Excel - Extensions - Cells


Merged Cells

If you want to merge two or more cells, set the range of cell coordinates: First col, Last col, First row, Last row.

Export Data - Setting format-specific options - Excel - Extensions - Merged Cells


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result MS Excel file.

Page header

If necessary, enter some text for the page header.

Page footer

If necessary, enter some text for the page footer.

Sheet title

Specify the sheet title for the target file.

Page background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the page background.

Export Data - Setting format-specific options - Excel - Advanced

CheckBox Calculate column width automatically

This option allows the wizard to determine column width in the target file automatically.


Access options

This step allows you to set options for the target MS Access (*.mdb) file.

Set the name for the target table and specify whether the wizard should create a new table in the MS Access database if it does not exist yet, or use the existing table to export data into.

Export Data - Setting format-specific options - Access

When you are done, click the Next button to proceed to Setting common export options.


Word / RTF options

This step allows you to set options for the target MS Word (*.doc) and Rich Text Format (*.rtf) files.

  • Base Styles
  • Strip Styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Setting format-specific options - Word

When you are done, click the Next button to proceed to Setting common export options.


Base Styles

The Base Styles tab contains the list of target file entities: HEADER, CAPTION, DATA, FOOTER. You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel. You can also switch page orientation for the target Word/RTF file using this tab.

Export Data - Setting format-specific options - Word - Base Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.


Strip Styles

Using the Strip Styles tab you can create a style template: set font, size, background and foreground colors, text alignment, highlight and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Setting format-specific options - Word - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.


HTML options

This step allows you to set options for the target HTML (*.html) file.

  • Preview
  • Basic
  • Multi-file
  • Advanced

Export Data - Setting format-specific options - HTML

When you are done, click the Next button to proceed to Setting common export options.


Preview

The Preview tab allows you to customize the style that will be applied to the target HTML file using a number of built-in templates provided in the Templates combo-box. You can select any of these templates and customize it by clicking objects in the preview panel, and save the settings as a custom template using the Save template... button. Use the Load template... button to load a previously saved custom template from your hard disk. Click on an element of the table to select a color.

Export Data - Setting format-specific options - HTML - Preview


Basic

The Basic tab allows you to specify the basic parameters of target HTML file:

  • specify the title of the result file;
  • select whether the cascade style sheet (CSS) should be internal or external (the Ellipsis EllipsisButton button to browse for a *.css file);
  • determine whether boolean fields of the table should be exported as HTML check boxes.

Export Data - Setting format-specific options - HTML - Basic


Multi-file

The Multi-file tab provides you with an ability to split the target HTML file into several separated files. This tab allows you to specify the record count for a single file, set an option to generate an index HTML file, and add an ability to navigate between the exported files.

Export Data - Setting format-specific options - HTML - Multi-file


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result HTML file.

Page header

Use the drop-down menu to select the font that will be used in the result file by default.

Background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the page background.

You can also set a number of common Table options: cell padding, cell spacing, border, background.

Export Data - Setting format-specific options - HTML - Advanced

It is also possible to define advanced attributes for both the HTML body and table.


PDF options

This step allows you to set options for the target PDF (*.pdf) file.

Fonts

This group of options allows you to customize fonts for the header, caption, data, footer of the result file.

For your convenience the previews illustrating the changes are displayed in the Sample Group area.

Additionally you can customize the page options (page size, width, height, etc.), page margins and Grid options of the result PDF file.

Export Data - Setting format-specific options - PDF

When you are done, click the Next button to proceed to Setting common export options.


TXT options

This step allows you to set options for the target text (*.txt) file.

Set the Calculate column width option on if you want each column of the target file to be adjusted to the maximum number of characters in it. The Spacing option specifies the number of spaces between columns in the target file.

Export Data - Setting format-specific options - TXT

When you are done, click the Next button to proceed to Setting common export options.


CSV options

This step allows you to set options for the target CSV (*.csv) file.

CheckBox Quote strings

Check this option to apply quoting for string values in the target file.

Specify the column separator using the Comma drop-down list and the preferable quote character using the Quote drop-down list.

Export Data - Setting format-specific options - CSV

When you are done, click the Next button to proceed to Setting common export options.


XML options

This step allows you to set options for the target XML (*.xml) file.

Specify XML document encoding in the Encoding edit box and set the Standalone option on if you intend to create a standalone document.

XML type

Select the type of the result XML document: Datapacket 2.0 or Access.

Conversion between generic XML documents and documents of the XML-Datapacket (CDS) format can be performed with the help of XML Mapper by Borland®.

Export Data - Setting format-specific options - XML

When you are done, click the Next button to proceed to Setting common export options.


MS Excel 2007 options

This step allows you to set options for the target MS Excel 2007 (*.xlsx) file.

Using the Base Styles tab you can set font and border options for all elements of the Excel 2007 sheet (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

If necessary, you can also specify the sheet name for the target Excel 2007 file.

Export Data - Setting format-specific options - Excel 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, wrap text options and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Setting format-specific options - Excel 2007 - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.

When you are done, click the Next button to proceed to Setting common export options.


MS Word 2007 options

This step allows you to set options for the target MS Word 2007 (*.docx) file.

Using the Base Styles tab you can set font options for all elements of the Word 2007 document (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, text highlight, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Setting format-specific options - Word 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, highlight options and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Setting format-specific options - Word 2007 - Strip Styles

Using the Border tab you can enable borders in the result Word 2007 document and customize them.

Click the Border Color icon to select a color using the Color dialog where you can specify the required color from the palette.

Border Style

Use the drop-down list to select the preferable style to applied to the border: single, thick, double, hairline, dot, etc.

Export Data - Setting format-specific options - Word 2007 - Border

You can reset the changes any time using the Reset Item and the Reset All buttons.

When you are done, click the Next button to proceed to Setting common export options.


ODF options

This step allows you to set options for the target ODF Spreadsheets (*.ods) and ODF text (*.odt) files.

Using the Base Styles tab you can set font options for all elements of the ODF document (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, highlight, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

If necessary, you can also specify the table name for the target ODF file.

Export Data - Setting format-specific options - ODF - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, highlight options and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Setting format-specific options - ODF - Strip Styles

Using the Border tab you can enable borders in the result ODF document and customize them.

Click the Border Color icon to select a color using the Color dialog where you can specify the required color from the palette.

Border Width

Set a numeric value to indicate the width of the border.

Export Data - Setting format-specific options - ODF - Border

You can reset the changes any time using the Reset Item and the Reset All buttons.

When you are done, click the Next button to proceed to Setting common export options.


Setting common export options

Use this step of the wizard to set common export options. The detailed description of these options is given below.

Export Data - Setting common export options

CheckBox Export empty tables

If checked, you can export the table even if it does not contain any data.

Skip ... record(s)

Specifies the number of records to be skipped before export starts.

RadioButton Export all records

Specifies that all records of the table will be exported.

RadioButton Export only ... record(s)

Specifies the number of records to be exported.

CheckBox Open files after export

If this option is checked, the result file will be opened with the currently associated program after the export operation is completed.

CheckBox Print files after export

If this option is checked, the result file will be sent to the default printer after the export operation is completed.

When you are done, click the Next button to proceed to the last step of the wizard.


Exporting data

This step of the wizard is intended to inform you that all export options have been set, and you can start the export process.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

Export Data - Exporting data

If necessary, you can save a template for future use.

Click the Finish button to start the export process.


Import Data Wizard

Import Data Wizard allows you to import data to a table / view from any of supported formats (MS Excel, MS Access, DBF, XML, TXT, CSV, HTML, MS Excel 2007, MS Word 2007, ODF). You can save your settings as a template any time for future use.

To start the wizard, right-click the table/view in DB Explorer, select the Data Manipulation context menu group and proceed to the Import Data... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor, right-click the grid there, then select the Data Manipulation context menu group and proceed to the Import Data to <object_name>... item within this group, or use the Import Data item of the Navigation bar.

  • Setting source file name and format
  • Selecting the source to import data from
  • Setting correspondence between the source and target fields
  • Adjusting common data formats
  • Setting advanced field formats
  • Setting import mode and data write type
  • Customizing common import options
  • Importing data
  • Using templates

See also:

Export Data Wizard

Export as SQL Script


Selecting source file name and format

This step of the wizard allows you to select the source file format you need to import data from.

Source file name

Type in or use the ExplorerButton button to specify the path to the file using the Open file... dialog. The file name extension changes automatically according to the selected Import Type.

Import Data - Selecting source file name and format

Import Type

Specify the format of the source file. For details refer to Supported file formats.

CSV format parameters

For CSV import you should define Delimiter and Quote settings using the corresponding drop-down lists.

Click the Next button to proceed to the Setting fields correspondence step or to the Selecting data source step of the wizard if you have selected MS Access as the source file format.


Selecting data source

This step of the wizard is only available when you are importing data from MS Access. Select a table from the table list or input a query in the corresponding text boxes to specify the data source.

If you choose a query as the data source, you also can load a SQL query from a *.sql file or save the current query text to a file using the Load from File... and the Save to File... buttons correspondingly.

Import Data - Selecting data source

Click the Next button to proceed to the Setting fields correspondence step of the wizard.


Setting fields correspondence

This step of the wizard allows you to set correspondence between columns of the source file and fields of the target InterBase/Firebird table.

  • MS Excel
  • MS Access
  • DBF
  • XML Datapacket
  • TXT
  • CSV
  • HTML
  • XML Generic
  • MS Excel/Word 2007, ODF

To get more information about the file formats, see the Supported file formats page.


Excel

Specify ranges in the grid for the target and source fields:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • proceed to the Sheet grid: click a column caption to select the whole column or click the row number to select the whole row;
  • the selected column/row of the source file gets green highlight, and a new range indicating the source and target fields correspondence appears in the Ranges list;
  • repeat the operation for all the fields you need to be included in the import process.

If the source Excel file and the destination InterBase/Firebird table have the same order of columns or rows, you can use the iconAutoFillColumns Auto Fill Cols or the iconAutoFillRows Auto Fill Rows buttons to set correspondence between them automatically.

If necessary, you can choose to skip a defined number of the source file columns and/or rows using the Col(s) and Row(s) spin-edits.

Import Data - Setting fields correspondence - Excel

To clear ranges for a field, select the field in the Fields list and press the iconCross Clear Ranges button.

To clear all ranges specified for the target table fields, press the iconClearAllRanges Clear All button.

Right-click a range in the Ranges list to call its popup menu. Using the popup menu you can add or edit ranges manually, as well as remove them or change their order.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Access

Set correspondence between the source MS Access fields and the target InterBase/Firebird table fields:

  • select a field of the target InterBase/Firebird table in the Destination Fields list;
  • select the corresponding field of the source MS Access table in the Source Fields list;
  • click the iconPlus Add button to set correspondence between the selected fields;
  • the pair of fields appears in the list below;
  • repeat the operation for all the fields you need to be included in the import process.

Use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target fields automatically on the basis of their order.

Import Data - Setting fields correspondence - Access

To remove a correspondence, select the pair of fields in the list below and press the iconMinus Remove button.

To remove all correspondences, press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


DBF

Set correspondence between the source DBF columns and the target InterBase/Firebird table fields:

  • select a field of the target InterBase/Firebird table in the Destination Fields list;
  • select the corresponding column of the source DBF table in the Source Fields list;
  • click the iconPlus Add button to set correspondence between the selected fields;
  • the pair of fields appears in the list below;
  • repeat the operation for all the fields you need to be included in the import process.

Use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target fields automatically on the basis of their order.

CheckBox Skip deleted records

Use the option to exclude records marked as deleted.

Import Data - Setting fields correspondence - DBF

To remove a correspondence, select the pair of fields in the list below and press the iconMinus Remove button.

To remove all correspondences, press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


XML Datapacket

Set correspondence between the source XML columns and the target InterBase/Firebird table fields:

  • select a field of the target InterBase/Firebird table in the Destination Fields list;
  • select the corresponding column of the source XML table in the Source Fields list;
  • click the iconPlus Add button to set correspondence between the selected fields;
  • the pair of fields appears in the list below;
  • repeat the operation for all the fields you need to be included in the import process.

Use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target fields automatically on the basis of their order.

Import Data - Setting fields correspondence - XML

To remove a correspondence, select the pair of fields in the list below and press the iconMinus Remove button.

To remove all correspondences, press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


TXT

Set correspondence between the source text file columns and the target InterBase/Firebird table fields:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • double-click in the text viewer area to add vertical separators delimiting the source column bounds;
  • click the area between the separators to assign the column to the selected target table field - the selected source column gets black highlight;
  • repeat the operation for all the fields you need to be included in the import process.

If necessary, you can choose to skip a defined number of the source file lines using the Skip Lines spin-edit.

Import Data - Setting fields correspondence - TXT

To clear all correspondences, press the iconCross Clear button.

Note: if you cannot see the content of the source text file properly, you should select the appropriate Charset to be used for processing data.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


CSV

Set correspondence between the target table fields and the source CSV file columns:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • proceed to the source grid viewer area: click a caption to assign the column to the selected target table field;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the fields you need to be included in the import process.

If the source CSV file and the destination InterBase/Firebird table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

Note that the CSV delimiter is specified at the Selecting source file name and format step of the wizard.

If necessary, you can choose to skip a defined number of the source file rows using the Skip spin-edits.

Import Data - Setting fields correspondence - CSV

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


HTML

Set correspondence between the target table fields and the source HTML file columns:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • proceed to the source grid viewer area: click a column to assign the column to the selected target table field;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the fields you need to be included in the import process.

If the source HTML file and the destination InterBase/Firebird table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

If necessary, you can choose to skip a defined number of the source file rows using the Skip spin-edit.

Import Data - Setting fields correspondence - HTML

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


XML Generic

In order to set mapping of a Generic XML document, you should enter the relative XPath (the path must be specified in the XPath format). Press the iconAutoFillColumns Fill Grid button to get the grid filled with text and attribute values of the selected node.

Note: if the source XML document contains huge amount of data, building the tree may take a long time.

Set correspondence between the source XML file columns and the target InterBase/Firebird table fields:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • proceed to the source grid viewer area: click a column to assign the column to the selected target table field;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the fields you need to be included in the import process.

You can use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target fields automatically according to their order (mapping is started from the first attribute value in this case).

If necessary, you can choose to skip a defined number of the source file lines using the Skip spin-edit.

Import Data - Setting fields correspondence - XML Document

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


MS Excel/Word 2007, ODF

Specify ranges in the grid for the target and source fields:

  • select a field of the target InterBase/Firebird table in the Fields list;
  • proceed to the Sheet grid: click a column to assign the column to the selected target table field;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the fields you need to be included in the import process.

If the source file and the destination InterBase/Firebird table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

If necessary, you can choose to skip a defined number of the source file rows using the Skip spin-edit.

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step of the wizard provides a number of options for setting common formats for all imported data:

Date & Time formats: Short date, Long date, Short time, Long time;

Separators: Decimal, Thousand, Date, Time;

Boolean True;

Boolean False;

NULL values.

For more information refer to the Format specifiers page.

Import Data - Adjusting data formats

Click the Next button to proceed to the Setting advanced field formats step of the wizard.


Setting advanced field formats

This step of the wizard allows you to set formats each field separately.

Select a field in the list and adjust format options that will be applied to this field only: generator value, generator step, constant value, NULL value, default value, left/right quotation, character case, character set.

Import Data - Setting advanced field formats

The Replacements area allows you to set the text you need to be replaced during data import into the selected field. Press the Plus iconPlus button to specify a new replacement options using the Add Replacement dialog.

Import Data - Setting advanced field formats - Add Replacement

When you are done, click the Next button to proceed to the Setting import mode step of the wizard.


Setting import mode

This step of the wizard allows you to define the records processing mode as Insert All, Insert New, Update, Update or Insert, Delete, Delete or Insert mode:

  • Insert all: all records from the source file are inserted into the tables irrespective of whether any records exist in the destination table or not
  • Insert new: already existing records are skipped, and new records are inserted into the destination table
  • Update: all existing records are updated from the source file
  • Update or insert: already existing records are updated and new records are inserted into the destination table
  • Delete: already existing records are deleted
  • Delete or insert: existing records are deleted and new records are inserted into the destination table

Here is an example of some import modes offered by Import Data Wizard:

All import modes (except for the Insert All mode) are based on primary key values information. In order to perform import operations with these modes used you need to have matches between the source file primary key column(s) and the destination table primary key column(s).

For example, your source file contains three rows with the primary key values 1, 2, 3, but your destination table contains only two rows with the primary key values 1, 2.

If you use the Update import mode, then the rows with key values 1, 2 will be updated.

If you use the Update or insert import mode, then rows 1, 2 will be updated and the row with key value 3 will be inserted.

If you use the Insert new import mode, in this case only the row with key value 3 will be inserted into the destination table.

It is applied to all other import modes, except for the Insert all mode. For all these modes (except for the Insert all mode) it is obligatory to select the primary key fields. This field (or fields) is used as key field to identify specific data in the target database.

The key columns for these operations are defined in the Key columns area.

Import Data - Setting import mode

Use Import mode to select whether to insert all records, or to update/delete existing ones. Note that for updating/deleting existing records in the target table you should move its key columns from the Available columns list to the Selected columns list.

The Key columns area allows you to select the fields of the table to be used as the key fields for the import process.

To select a field, you need to move it from the Available columns list to the Selected columns list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.

Click the Next button to proceed to the Customizing common options step.


Customizing common options

Use this step of the wizard to set common import options. The detailed description of these options is given below.

Import Data - Customizing common options

Commit

RadioButton Commit when done

Commits the transaction when all records are imported.

RadioButton Commit after each block

Inserts the COMMIT statement after a defined number of records.

RadioButton Commit changes manually

Select this option if you intend to commit the transaction manually.

Block size

Use the spin-edit box to define the number of records in each committed block.

Record count

RadioButton Import all records

Specifies that all records of the source file will be imported.

RadioButton Import only ... record(s)

Specifies the number of records to be imported.

When you are done, click the Next button to proceed to the last step of the wizard.


Importing data

This step of the wizard is intended to inform you that all import options have been set, and you can start the import process.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the import process is completed.

Import Data - Importing data

If necessary, you can save a template for future use.

Click the Finish button to start the import process.


Export as SQL Script

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Export as SQL Script Wizard

Export as SQL Script Wizard allows you to export data from a table / view or from a query result to SQL script as a number of INSERT statements. You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer, select the Data Manipulation context menu group and proceed to the Export Data as SQL Script... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of SQL Editor / Query Builder, right-click the grid there, then select the Data Manipulation context menu group and proceed to the Export <object_name> as SQL Script... item within this group, or use the Export as SQL Script item of the Navigation bar.

  • Defining the type of destination server
  • Setting destination file name
  • Setting BLOB options
  • Selecting field to export
  • Editing the result table definition
  • Setting export options
  • Exporting as SQL Script
  • Using templates

See also:

Export Data Wizard

Import Data Wizard


Defining the type of destination server

This step of the wizard allows you to define the type of destination server you need to export data for. The result script will be generated in compliance with the specifications of the selected server type:

RadioButton DB2

RadioButton InterBase/Firebird

RadioButton Microsoft® SQL Server™

RadioButton MySQL

RadioButton Oracle

RadioButton PostgreSQL

Export as SQL Script - Defining type of destination server

CheckBox Add CREATE TABLE statement

Check this option to add the CREATE TABLE statement to the result script.

Click the Next button to proceed to the Setting destination file name step of the wizard.


Setting destination file name

Specify whether the result script will be loaded to SQL Script Editor or saved to a file.

File name

Type in or use the btnSaveAs button to specify the path to the file and the file name.

If necessary, select the File charset using the corresponding drop-down list.

Enter the Table name and the Schema name to be included in the result SQL script.

Export as SQL Script - Setting destination file name

Click the Next button to proceed to the Setting BLOB options step of the wizard.


Setting BLOB options

BLOB and arrays options

In this group of options you can determine whether BLOB fields are not to be extracted, extracted as strings, or extracted into a separate file. If the latter is selected, you also need to specify the File name (the *.blo file where the BLOB data will be stored) and the location of the file on your local machine using the btnSaveAs button.

CheckBox Compress file

Check this option if you wish to compress the file containing BLOB data.

Compression

Define the desired compression level to be applied for the file: None, Fastest, Default, Best.

Export as SQL Script - Setting BLOB options

Click the Next button to proceed to the Selecting fields to export step of the wizard.


Selecting fields to export

This step of the wizard allows you to select the table field(s) to be exported to SQL script.

To select a field, you need to move it from the Available fields list to the Selected fields list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.

Export as SQL Script - Selecting fields to export

Click the Next button to proceed to the Editing table definition step of the wizard.


Editing table definition

This step is available only if the Add CREATE TABLE statement option was checked on the Setting destination file name step of the wizard. It allows you to edit the SQL script for creating the table.

Export as SQL Script - Editing table definition

Click the Next button to proceed to the Setting export options step of the wizard.


Setting export options

Specify common export options according to your needs.

If necessary, you can choose to replace non-print characters in strings with spaces.

Records in block

Use the spin-edit box to define the number of records in each committed block.

CheckBox Insert COMMIT after each block

Check this option to add the COMMIT statement after a defined number of records.

Export as SQL Script - Setting export options

Click the Next button to proceed to Exporting as SQL Script.


Exporting as SQL Script

This step of the wizard is intended to inform you that all export options have been set, and you can start the export as SQL script process.

CheckBox Load generated script into Script Editor

Check this option to load the result script to SQL Script Editor.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

The Operations tab allows you to view the log of operations and errors (if any).

Export as SQL Script - Exporting as SQL Script

If necessary, you can save a template for future use.

Click the Finish button to start the export as SQL script process.


Database tools

SQL Manager 2008 for InterBase/Firebird provides a number of powerful tools that allow you to perform various operations over your databases.

  • Common DB Tools
  • Specific DB Tools

See also:

Getting started

Database Explorer

Database management

Database objects management

Query management tools

Data management

Import/Export tools

Personalization

External tools


Common DB Tools

The following common database tools are available in SQL Manager 2008 for InterBase/Firebird:

  • Dependency Tree

Allows you to view all the object dependencies in one diagram.

  • Visual Database Designer

Allows you to lay out your database schema visually.

  • SQL Script Editor

Executes SQL scripts in the database.

  • Extract Database Wizard

Extracts the table metadata and/or data to an SQL script which can be executed later on another machine to restore the database structure and/or data.

  • Print Metadata

Creates powerful metadata reports in the WYSIWYG mode ready for printing.

  • HTML Report

Creates powerful metadata reports in the HTML format.

  • Report Designer

Allows you to build and print database reports.

  • SQL Monitor

Displays all the SQL statements executed while working in SQL Manager 2008 for InterBase/Firebird.

  • Using templates

Facilitates using SQL Manager wizards.

See also:

Specific database tools


Dependency Tree

The Dependency Tree tool allows you to view all the object dependencies in one diagram.

To call the Dependency Tree window, select the Tools | Dependency Tree menu item, or use the Dependency Tree btnDependencyTree button on the main toolbar.

To view dependencies of an object, click the Select object Navigation bar item. Then select the required object in the Select Object dialog window. The dependency tree will appear in the main area of the window.

Database tools - Dependency Tree - Select object

The root object is marked out with a blue frame.

The objects that the root object depends on are situated to the left of the root object.

The objects that depend on the root object are situated to the right of the root object.

You can switch between objects by selecting them in the diagram. The selected object becomes the root object.

To show/hide subobjects click the Show Subobjects / Hide Subobjects link on the Navigation bar.

Database tools - Dependency Tree

The history of selected root objects is available: you can move back and forward through this history using the Previous object and the Next object links on the Navigation bar.

See also:

Visual Database Designer

SQL Script Editor

Extract Database Wizard

Print Metadata

HTML Report Wizard

Reports management

SQL Monitor


Using Navigation bar

The Navigation bar of the Dependency Tree window allows you to:

  • select the database;
  • refresh the currently displayed dependency tree;
  • print the diagram;
  • set printing options using the Print Setup dialog;
  • save the current diagram as a picture;
  • restore the default size of the window;
  • navigate within selected objects;
  • show/hide subobjects;
  • select an object.

Database tools - Dependency Tree - Using Navigation bar

See also:

Dependency Tree


Visual Database Designer

Visual Database Designer is provided for designing your database visually. It allows you to create, edit and drop tables and table fields, set relations between tables and perform other operations you may need to achieve your purpose.

To open the designer, select the Tools | Visual Database Designer main menu item, or use the VDBD btnVDBD button on the main toolbar.

  • Using Navigation bar
  • Diagram navigator
  • Adding objects to diagram
  • Removing objects from diagram
  • Creating new table
  • Creating relationships
  • Working with multiple pages
  • Reverse engineering
  • Printing diagram
  • Saving/Loading diagram
  • Setting diagram options

Powerful visual database designer

See also:

Dependency Tree

SQL Script Editor

Extract Database Wizard

Print Metadata

HTML Report Wizard

Reports management

SQL Monitor


Using Navigation bar and context menu

The Navigation bar of Visual Database Designer allows you to:

  • select the database for the diagram;
  • edit diagram options;
  • restore the default size of the window;
  • refresh the active tab content;
  • perform preview, print and set up diagram print options;
  • manipulate multiple tabs;
  • use Diagram Navigator;
  • add objects to the diagram using the Database Objects group.

Database tools - VDBD - Using Navigation bar

The context menu of Visual Database Designer allows you to:

  • select all objects in the diagram area;
  • adjust diagram zoom for optimal representation;
  • create a new table;
  • create a new relation;
  • create a comment;
  • configure the grid;
  • adjust the diagram style;
  • perform Reverse Engineering;
  • extract metadata of the diagram objects to SQL Script Editor;
  • view/edit diagram options.

Database tools - VDBD - Using context menu

See also:

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Diagram Navigator

To navigate within the large diagram, use the Navigator tool on the Navigation bar. It allows you to see the whole diagram in a reduced size and even to move the objects in the diagram.

The area currently visible in the main diagram area is outlined in red color.

Database tools - VDBD - Diagram navigator

See also:

Using Navigation bar

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Adding objects to diagram

To add an object to the diagram, drag it from the Database Objects group on the Navigation bar into the desired place on the diagram or simply double-click this object.

Database tools - VDBD - Adding objects to diagram

See also:

Using Navigation bar

Diagram Navigator

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Removing objects from diagram

To remove an object(s) from the diagram, select it, then right-click its title and choose the Remove <object_name> menu item or simply press the Del key.

Database tools - VDBD - Removing objects from diagram

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Creating new table

To create a new table using Visual Database Designer:

  • press the Create table button on the toolbar;
  • click the desired point on the diagram to place the new table at;
  • create a new table using the Table Editor.

hs3420_New objects creation

Hint: To create a new table, you can also use the corresponding item of the context menu.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Creating relationships

To establish a new relationship (which is the foreign key in terms of database):

  • press the Create relation button on the toolbar;
  • click the table where the referential constraint should be created;
  • click the referred table;
  • create a new foreign key using Foreign key Editor.

Hint: To create a relation, you can also use the corresponding item of the context menu.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Working with multiple pages

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Working with multiple diagram pages

You can create several pages in one diagram to separate certain subject areas from the database, e.g. for better comprehension.

To manage diagram pages, right-click the tabs at the bottom of the diagram area and select the appropriate popup menu items for adding, deleting or renaming pages.

Database tools - VDBD - Working with multiple pages

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Reverse engineering

Printing diagram

Saving/Loading diagram

Setting diagram options


Reverse engineering

The reverse engineering process builds relationship diagram on the basis of the current database's structure. The objects are arranged automatically within the diagram.

To start the reverse engineering process, press the Reverse Engineer btnReverseEngineer button on the toolbar, or use the corresponding item of the context menu.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Printing diagram

Saving/Loading diagram

Setting diagram options


Printing diagram

Visual Database Designer allows you to print and preview the diagram.

To preview the diagram:

  • press the Print Preview btnPrintPreview button on the toolbar;
  • preview the diagram using the Print Preview dialog.

To setup print options:

  • press the Print Setup btnPrintSetup button on the toolbar, or use the corresponding link on the Navigation bar;
  • set printing options using the Print Setup dialog and press OK.

To print the diagram:

  • press the Print btnPrintMetadata button on the toolbar;
  • set printing options using the Print Setup dialog and press the Print button.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Saving/Loading diagram

Setting diagram options


Print Preview dialog

The Print Preview dialog allows you to see the diagram layout in WYCIWYG mode before it will be printed.

Database tools - VDBD - Printing diagram - Print Preview

See also:

Print Setup dialog


Print Setup dialog

The Print Setup dialog of Visual Database Designer allows you to:

  • choose the printer;
  • specify print layout: print using defined scale factor or arrange diagram at a defined number of pages horizontally and vertically;
  • specify page options: margins, headers and footers;
  • set other print options.

Database tools - VDBD - Printing diagram - Print Setup

See also:

Print Preview dialog


Saving/Loading diagram

Use the Save Diagram btnSave and the Open Diagram ExplorerButton buttons on the toolbar to save the diagram for future use or to load the previously saved diagram.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Setting diagram options


Setting diagram options

Using this dialog you can setup the behavior and look of each diagram page.

See detailed description of each option on the Visual Database Designer page of the Environment Options dialog.

Database tools - VDBD - Setting diagram options

To call this dialog, you can also use the corresponding item of the context menu.

See also:

Using Navigation bar

Diagram Navigator

Adding objects to diagram

Removing objects from diagram

Creating new table

Creating relationships

Working with multiple pages

Reverse engineering

Printing diagram

Saving/Loading diagram


SQL Script Editor

Using SQL Script Editor you can view, edit and execute SQL scripts.

To open SQL Script Editor, select the Tools | New SQL Script / Tools | SQL Script main menu items or use the corresponding btnNewSQLScript / btnShowSQLScript toolbar buttons. You can also use the Shift + Ctrl + S shortcut for the same purpose.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion features are implemented.

  • Using Navigation bar
  • Using the context menu
  • Using Script Explorer

Note: SQL Script Editor does not show results returned upon SELECT queries execution. Please use SQL Editor for that purpose instead.

See also:

Dependency Tree

Visual Database Designer

Extract Database Wizard

Print Metadata

HTML Report Wizard

Reports management

SQL Monitor


Using Navigation bar

The Navigation bar of SQL Script Editor allows you to:

  • select the destination host and database for the script;
  • execute the current script;
  • execute a script from file;
  • create a new script;
  • load a script from an *.sql file using the Open SQL Script dialog;
  • save the current script;
  • save the script to an *.sql file using the Save as... dialog;
  • disable parsing of SQL code;
  • enable result log;
  • configure SQL Script Editor within the Script Options section of the Environment Options dialog;
  • browse the objects used in the script within Script Explorer.

Database tools - SQL Script Editor - Using Navigation bar

See also:

Using the context menu

Using Script Explorer


Using the context menu

The context menu of SQL Script Editor area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All) and functions for working with the script as a whole, e.g. you can move the cursor to a particular line, change the case of selected text, view the script properties or print the text of the script. Each of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text and the Replace Text dialogs contributes to more efficient work with the SQL code.

Database tools - SQL Script Editor - Using the context menu

See also:

Using Navigation bar

Using Script Explorer


Using Script Explorer

The Explorer group on the Navigation bar displays the tree of objects, used in the current script and allows you to get to the required script fragment quickly by clicking the object in the tree.

Database tools - SQL Script Editor - Using Script Explorer

See also:

Using Navigation bar

Using the context menu


Extract Database Wizard

Extract Database Wizard allows you to extract database objects and/or data to an SQL script, e.g. for backup purposes.

To start the wizard, select the Tools | Extract Database... main menu item.

  • Selecting a database for extraction
  • Specifying destination file name
  • Setting extraction mode
  • Setting BLOB options
  • Selecting objects for metadata extraction
  • Selecting objects for data extraction
  • Customizing script options
  • Start of extraction process
  • Using templates

See also:

Dependency Tree

Visual Database Designer

SQL Script Editor

Print Metadata

HTML Report Wizard

Reports management

SQL Monitor


Selecting source database

This step of the wizard allows you to select the source database from which metadata and/or data are to be extracted.

If necessary, check the CheckBox Extract all metadata and data of the database option to simplify the wizard.

Extract Database - Selecting source database

Click the Next button to proceed to the Specifying destination file name step of the wizard.


Specifying destination file name

Script destination

This group of options allows you to specify whether the result SQL script will be automatically loaded to SQL Script Editor or saved into a file.

File name

Set a name for the result *.sql file and type in or use the Save as... btnSaveAs button to specify the path to this file on your local machine or on a machine in the LAN.

File charset

If necessary, use the drop-down list to select the character set to be applied to the output file.

Compression options

Define the desired compression level, if any, to be applied for the file: None, Fastest, Default, Best. Optionally the file may be split into parts (the Split file every field).

Extract Database - Specifying destination file name

Depending on whether you have checked the CheckBox Extract all metadata and data of the database option at the Selecting source database step, upon pressing the Next button you will either proceed to the next step of the wizard, or you will be immediately forwarded to the Setting BLOB options step, and then to the Customizing script options step of the wizard.


Setting extraction mode

This step allows you to specify the extraction mode: choose whether structure only, data only or both are to be extracted.

Extract Database - Setting extraction mode

Click the Next button to proceed to the Setting BLOB options step of the wizard.


Setting BLOB options

BLOB options

In this group of options you can determine whether BLOB fields are not to be extracted, extracted as strings, or extracted into a separate file. If the latter is selected, you also need to specify the File name (the *.blo file where the BLOB data are to be stored) and the location of the file on your local machine using the Save as... btnSaveAs button.

CheckBox Compress file

Check this option if you wish to compress the file containing BLOB data.

Compression

Define the desired compression level to be applied for the file: None, Fastest, Default, Best.

Extract Database - Setting BLOB options

Click the Next button to proceed to Selecting objects for structure extraction.


Selecting objects for structure extraction

This step of the wizard allows you to select objects for metadata extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract all objects

Adds all objects of the database to structure extraction process.

RadioButton Extract all objects of schema...

Adds all objects of a schema to structure extraction process.

Schema name

Use the drop-down list to select the schema to extract all objects from.

RadioButton Extract selected objects

Adds only selected objects to structure extraction process.

Objects to extract

Use the drop-down list to select the type of objects to be extracted.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Extract Database - Selecting objects for structure extraction

Click the Next button to proceed to Selecting objects for data extraction.


Selecting objects for data extraction

This step of the wizard allows you to select tables for data extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract data of the selected tables

Adds only selected tables to data extraction process.

To select a table, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

RadioButton Extract data of all tables

Adds all tables of the database to data extraction process.

RadioButton Extract data of tables selected on the previous step

Adds only the tables selected for metadata extraction.

Extract Database - Selecting objects for data extraction

Click the Next button to proceed to the Customizing script options step of the wizard.


Customizing script options

This step allows you to customize common script options and data options for the extraction process.

Script options

CheckBox Generate "CREATE DATABASE" statement

Check this option to add the CREATE DATABASE statement to the result script.

CheckBox Generate DROP statements

Check the option to add the DROP statements for the extracted objects in the result script.

CheckBox With IF statements

Check this option to add the IF keyword to the DROP statements in the result script.

CheckBox Create empty procedures

This option specifies whether procedures with empty bodies are included in the result script or not.

CheckBox Extract dependent objects

This option determines objects' dependencies usage in the extraction process. Check the option to extract all objects that the selected objects depend on.

Extract Database - Customizing script options

Data options

Records in a block / CheckBox Insert "COMMIT" statement after each block

These controls allow you to define whether the COMMIT statement is added to the script or not, and to specify the number of records in each block to be supplemented with this statement.

CheckBox Abort extraction on error

This option determines whether the extraction process should be stopped or forced to continue if an error occurs.

Click the Next button to proceed to the last step of the wizard.


Start of extraction process

This step of the wizard is intended to inform you that all extraction options have been set, and you can start the extraction process.

CheckBox Load script to Script Editor

Check this option to load the result script to SQL Script Editor.

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the extraction process is completed.

The Operations tab allows you to view the log of operations and errors (if any).

Extract Database - Start of extraction process

If necessary, you can save a template for future use.

Click the Finish button to start the extraction process.


Print Metadata

Print Metadata allows you to generate and print metadata reports of any database object(s).

To open the window, select the Tools | Print Metadata main menu item, or use the Print Metadata btnPrintMetadata button on the main toolbar.

See also:

Dependency Tree

Visual Database Designer

SQL Script Editor

Extract Database Wizard

HTML Report Wizard

Reports management

SQL Monitor


Using Navigation bar

The Navigation bar of the Print Metadata window allows you to:

  • select the database for the printing report;
  • print metadata of the selected object(s);
  • preview the printing report;
  • restore the default size of the window;
  • filter database objects by type.

Database tools - Print Metadata - Using Navigation bar

See also:

Printing options


Printing options

The Print Metadata window allows you to select the database objects for printing metadata.

To select an object, you need to move it from the Available objects list to the Objects for printing list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

After you select one or several objects, the Printing Options pane appears at the bottom.

Printing Options

Select an object in the Objects for printing list and specify items to be included into the printing report: DDL, Description (for all database objects), Fields/Params, Foreign Keys, Checks, Indexes, Triggers (for tables).

Database tools - Print Metadata - Printing options

Note that you can btnPrintPreview make a preview of the printing report and btnPrintMetadata print metadata for objects of the selected type using the corresponding items of the Navigation bar.

Use the btnPreviewExport Export toolbar button to export the preview content to any of the available formats: HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.

Database tools - Print Metadata - Preview

See also:

Using Navigation bar


HTML Report Wizard

HTML Report wizard allows you to generate a detailed HTML report of the selected database objects.

To start HTML Report Wizard, select the Tools | HTML Report main menu item, or use the HTML Report [image] button on the main toolbar.

  • Selecting database and directory
  • Selecting object types
  • Specifying CSS for HTML report
  • Setting additional report options
  • Creating HTML report
  • Using templates

See also:

Dependency Tree

Visual Database Designer

SQL Script Editor

Extract Database Wizard

Print Metadata

Reports management

SQL Monitor


Selecting database and directory

At this step of the wizard you should select the source database for the report.

Output directory

Type in or use the ExplorerButton button to specify the path to the output directory for the result HTML files using the Browse for Folder dialog.

HTML Report - Selecting database and directory

Click the Next button to proceed to the Selecting object types step of the wizard.


Selecting object types

Use this step of the wizard to select the types of objects to be included in the result HTML report.

HTML Report - Selecting object types

For your convenience the Check All and Unckeck All buttons are implemented at the bottom of the objects list area.

Click the Next button to proceed to the Specifying CSS step of the wizard.


Specifying CSS

This step of the wizard allows you to edit the CSS (Cascading Style Sheet) file that will be used by the result HTML report.

HTML Report - Specifying CSS

Click the Next button to proceed to the Setting additional report options step of the wizard.


Setting additional report options

Use this step of the wizard to set additional HTML report options.

Use the Charset drop-down list to select the preferable character set to be applied to the result HTML report.

HTML Report - Setting additional report options

If necessary, you can set optional text to Report header and Report footer of the result HTML report.

Click the Next button to proceed to Creating HTML report.


Creating HTML report

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the process.

CheckBox Show report after generating

This option opens the result report in your default browser after generating.

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the creating HTML report process is completed.

The Operations tab allows you to view the log of operations and errors (if any).

HTML Report - Creating HTML report

Click the Finish button to start the process.


Reports management

SQL Manager 2008 for InterBase/Firebird provides several tools for efficient reports management:

  • Create Report Wizard

This tool is used to simplify the process of creating reports.

  • Report Designer

It is a basic tool for creating powerful reports.

  • Report Viewer

Allows you to view created reports.

Reports can be stored either in the database (table xxxreports will be created to store them) or in a folder on your hard drive specified on the Directories page of the Database Registration Info dialog.

See also:

Dependency Tree

Visual Database Designer

SQL Script Editor

Extract Database Wizard

Print Metadata

HTML Report Wizard

SQL Monitor


Create Report Wizard

Using Create Report Wizard you can create a report containing required datasets, bands and fields on them, with a definite report style applied.

To start the wizard, select the Database | New Object... main menu item, then select Report in the Create New Object dialog. Alternatively, you can right-click the Reports node of the DB Explorer tree and select the New Report... item from the context menu.

  • Specifying report name and options
  • Selecting report bands
  • Selecting report style
  • Specifying paper settings
  • Specifying margins
  • Specifying other page settings

See also:

Report Designer

Report Viewer


Specifying database name and report options

Select the source database for adding a report and choose the action you need to perform: either create a new report or import an existing report from file.

Set the name for the new report and specify the save options for it:

RadioButton Save to database

The report will be created on the server inside the database.

RadioButton Save to file

If this option is selected, the report will be saved as a *.fr3 file. Specify the path to the report on your hard drive using the Save as... dialog.

Create Report - Specifying database name and report options

Click the Next button to proceed to the Selecting report bands step of the wizard.


Selecting report bands

This step of the wizard allows you to select the bands to be included in the report.

To select a band, you need to move it from the Available Bands list to the Report Bands list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.

Use the Edit [image] button to create datasets for 'data' bands using Query Builder.

Create Report - Selecting report bands

Brief information about bands functionality is listed below. See FastReport Help for more information.

Name | Functionality
Report title | Prints once at the beginning of report
Report summary | Prints once at the end of report
Page header | Prints at the top of each page
Page footer | Prints at the bottom of each page
Master header | Prints at the beginning of master list
Master data | Data rows of master list
Master footer | Prints at the end of master list
Detail header | Prints at the beginning of detail list
Detail data | Data rows of detail list
Detail footer | Prints at the end of detail list
Subdetail header | Prints at the beginning of subdetail list
Subdetail data | Data rows of subdetail list
Subdetail footer | Prints at the end of subdetail list
Group header | Prints at the beginning of each group
Group footer | Prints at the end of each group

Click the Next button to proceed to the Selecting report style step of the wizard.


Selecting report style

Select the report style by clicking one of the images illustrating the styled available for the report.

Create Report - Selecting report style

Click the Next button to proceed to the Specifying paper settings step of the wizard.


Specifying paper settings

Specify report options: paper size and orientation, page margins, other settings.

CheckBox Open the report after the wizard has finished

Check this option to edit the generated report with Report Designer.

Create Report - Specifying paper settings

Click the Next button to proceed to the Specifying margins step of the wizard.


Specifying margins

CheckBox Stretch to print area

If this option is checked, the size of report is adjusted to the print area. If this option is unchecked, you can specify the left, right, top and bottom margins (in millimeters).

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened after generating.

Create Report - Specifying margins

Click the Next button to proceed to the Specifying other page settings step of the wizard.


Specifying other page settings

Options

CheckBox Print to previous page

This option allows to use white space on a previous page. This option can be used in case when a report template consists of several pages or when printing batch (composite) reports.

CheckBox Two-pass report

If this option is selected, report's formation will be performed in two steps. During the first pass, a report is formed, and is divided into pages, but the result is not saved anywhere. During the second pass a standard report formation with saving a result in the stream is performed.

CheckBox Page numbering

This option allows to print a page numbers.

Columns

Number

This parameter specifies the number of columns for multi-column reports' printing.

Gap, mm

This parameter specifies the width of the gap between columns.

Create Report - Specifying other page settings

When you are done, click the Finish button to start the report generation process.


Report Designer

Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report.

To edit an already existing project, use the appropriate Navigation bar item of Report Viewer.

This module is provided by FastReport (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find the instructions on how to create a simple report in the Report Designer below:

  • Adding dialog form
  • Adding database and query components
  • Adding report data
  • Viewing the report
  • Saving the report

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.

See also:

Create Report Wizard

Report Viewer


Adding dialog form

To add a dialog form, select the File | New Dialog main menu item in Report Designer.

The new dialog appears within the DialogPage1 tab of the designer. Use the available RAD tools to add necessary interface elements to the dialog.

Report Designer - Adding dialog form

To call the dialog, proceed to the Code tab and supply the corresponding statement (PascalScript), e.g.

begin

DialogPage1.ShowModal;

end.

Using the Language drop-down list you can select the script language to be used for the event handler: PascalScript (by default), C++Script, BasicScript, JScript.

For instance, the following C++ Script code can be used as the handler for the OnClick event of the 'Show' button to open ADOQuery:

{

ADOQuery1.Active = true;

}

See also:

Adding database and query components

Adding report data

Viewing the report

Saving the report


Adding database and query components

Adding database component

In order to add the Database component:

  • proceed to the Data tab of Report Designer;
  • pick the ADO Database [image] component on the toolbar (on the left);
  • click within the working area - the corresponding ADODatabase1 icon appears in the area;
  • set the database connection and authorization parameters using the Properties Inspector or simply double-click the component.

Report Designer - Adding database component

Adding query component

In order to add the Query component:

  • proceed to the Data tab of Report Designer;
  • pick the ADO Query [image] component on the toolbar (on the left);
  • click within the working area - the corresponding ADOQuery1 icon appears in the area;
  • set the database name and authorization parameters within the Properties Inspector;
  • double-click the ADOQuery1 icon to open the SQL window;
  • input the SQL query that returns the required dataset and click the btnPostEdit button;
  • repeat the operation if you wish to add other query components to the report.

Report Designer - Adding query component

Note: The Properties Inspector panel that allows you to edit report object properties can be shown/hidden by pressing the F11 key.

Using the above given steps you can create as many queries as you need. In order to select a dataset returned by a query, select the Report | Data... main menu item of Report Designer to call the Select Report Datasets dialog. Pick the required query within the dialog and press OK.

See also:

Adding dialog form

Adding report data

Viewing the report

Saving the report


Adding report data

Adding bands

In order to add a band to the report:

  • proceed to the Page1 tab of Report Designer;
  • pick the Insert Band [image] component on the toolbar (on the left);
  • select the band to be added to the report;
  • click within the working area - the corresponding element appears in the area;
  • set element properties within the Properties Inspector.

Note: The Properties Inspector panel that allows you to edit report object properties can be shown/hidden by pressing the F11 key.

Report Designer - Adding bands

Adding report data

In order to add data to the report:

  • proceed to the Data tab within the panel on the right side of the window;
  • pick a field within the [image] Data tree and drag it to the working area;
  • add all necessary elements one by one using drag-and-drop operation for each of them.

Report Designer - Adding report data

See also:

Adding dialog form

Adding database and query components

Viewing the report

Saving the report


Viewing the report

Viewing the report

To preview the newly created report, select the File | Preview main menu item or use the corresponding Preview btnPrintPreview toolbar button. You can also use the Ctrl+P shortcut for the same purpose. This mode allows you to view, edit and print the result report.

To print the report, use the Print btnPrint toolbar button or the corresponding context menu item.

Report Designer - Preview

It is also possible to preview/print the report using Report Viewer.

See also:

Adding dialog form

Adding database and query components

Adding report data

Saving the report


Saving the report

When all report parameters are set, you can save the report to an external *.fr3 file on your local machine or in a machine in the LAN.

To save the report, select the File | Save main menu item or use the corresponding Save Report btnSave toolbar button. You can also use the Ctrl+S shortcut for the same purpose.

If necessary, you can add the report to the database using Create Report Wizard and perform preview/print operations using Report Viewer.

See also:

Adding dialog form

Adding database and query components

Adding report data

Viewing the report


Report Viewer

Using Report Viewer you can view, edit, save and print reports.

The main report operations can be found at the Using Navigation bar page.

Database tools - Report Viewer

See also:

Create Report Wizard

Report Designer


Using Navigation bar

The Navigation bar of Report Viewer allows you to:

  • refresh the content of the window;
  • edit report using Report Designer;
  • save the current report;
  • save the report to a *.fr3 file using the Save as... dialog;
  • print the report.

Database tools - Report Viewer - Using Navigation bar

See also:

Report Viewer


SQL Monitor

SQL Monitor allows you to view the log of all operations performed over databases and database objects in SQL Manager 2008 for InterBase/Firebird. The content of the window is read-only.

To open the SQL Monitor window, select the Tools | SQL Monitor main menu item, or use the Shift+Ctrl+M shortcut.

  • Using Navigation bar
  • Working with SQL Monitor

See also:

Dependency Tree

Visual Database Designer

SQL Script Editor

Extract Database Wizard

Print Metadata

HTML Report Wizard

Reports management


Using Navigation bar

The Navigation bar of SQL Monitor allows you to:

  • clear the content of the window;
  • save the content to a *.txt file using the Save as... dialog;
  • search for a string using the Find Text dialog;
  • configure SQL Monitor using the SQL Monitor section of the Environment Options dialog;
  • always show the window on top;
  • restore the default size of the window.

Database tools - SQL Monitor - Using Navigation bar

See also:

Working with SQL Monitor


Working with SQL Monitor

The working area of SQL Monitor lists the log of database operations and SQL queries as items, each consisting of 3 parts: Executed (the date and time of the operation), Operation (SQL statement), Result (the result of the operation).

Items of the context menu of SQL Monitor area provide access to various functions for working with the window content. The context menu contains standard text-processing functions (Copy, Select All, Undo, Redo) and functions for working with the content as a whole, e.g. you can use bookmarks for quick navigation within the text, move the cursor to a particular line, configure the tool using the properties item or print the content. Most of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text dialog contributes to more efficient work with the content of SQL Monitor.

Database tools - SQL Monitor - Working with SQL Monitor

See also:

Using Navigation bar


Specific DB Tools

SQL Manager 2008 for InterBase/Firebird provides graphical interface for all database maintenance operations. The following specific database tools are available in SQL Manager 2008 for InterBase/Firebird:

  • Backup Database Wizard

Creates backup copies of entire databases, transaction logs and files/filegroups.

  • Restore Database Wizard

Restores entire databases, transaction logs and files/filegroups from previously created backups.

  • Database Validation

Validates the database, verifies the integrity of data structures.

  • Database statistics

Retrieves the statistics on the database selected.

  • Start/Stop database

Provides the ability to turn a database to a single-user mode and switch a database back online.

  • Using templates

Facilitates using SQL Manager wizards.

To obtain detailed information concerning specific SQL Server database maintenance services, refer to the official Server™ documentation.

See also:

Common database tools


Backup database

This service allows you to create reserve copies of your databases.

To open the Backup Database Wizard select the Services | Backup Database menu item.

See also:

Restore Database

Specific DB Tools

Using templates

hs21610_Selecting database to backup

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting database to backup

On the first step you are to specify source database the backup type.

Database

Select database for backup from the drop-down list.

Backup type

Full backup

In this case all the data containing in the database are copied.

Incremental Backup (online dump) feature is a physical backup mechanism. It backs up the physical pages of the database to "dump" files. The incremental backup feature ensures that the output dump files represent the on-disk state of the database as of the instant the online dump was started, so transaction and page consistency are maintained in the process.

Note that incremental backup is only available in InterBase 2007 and Firebird 2.1 (for Firebird 2.1 you need set the incremental backup level at the appropriate field).

Backup file name

Set the result file name (disabled when the incremental backup is selected in Backup type).

You also must specify User name and Password in the corresponding boxes.

Optionally you may specify whether the database should be shut down before start and brought online after the service is finished. For more details see Start/Stop Database.

Execution mode

The group defines whether services or local utilities (FB) will be used to perform backup.

Store mode

You can choose your backup to be stored locally (only possible when using local utilities for performing backup).

hs21610_Selecting database to backup


Setting backup options

This step allows you to set basic options for backuping the database.

chbox Ignore check sum

If this option is checked, wrong check sums of the database header pages, where the database connection properties are stored, are ignored in backup.

chbox Ignore transaction in Limbo

If this option is checked, transactions in limbo, i.e. transactions, that can't be defined as executed or aborted, are ignored in backup.

chbox Backup Metadata only

If this option is checked, only database metadata are saved.

chbox Garbage collection

If this option is checked, garbage collection is executed in backup.

chbox Old metadata description

If this option is checked, old metadata descriptions are included into the reserve database.

chbox Convert to Tables

This option converts the database data to tables in backup.

Format

Select the data format for the reserve database (make a transportable backup to move a database from one OS to another).

When you are done, you can return to the previous page by clicking Back or start the process by clicking Finish at the next step. Progress results page will be activated, where the course of the progress will be displayed.

hs21620_Selecting backup type and options


Restore database

SQL Manager 2008 for InterBase/Firebird allows you to restore databases from previously created backup copies.

To open the Restore Database Wizard select the Services | Restore Database menu item.

Select the desired restoration type - Restore from full backup or from incremental backup.

Note that at the moment restore from incremental backup is only available in InterBase 2007 and Firebird 2.1.

See also:

Backup Database

Specific DB Tools

Using templates

selecting backup type

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting destination database

On the first step you are to specify basic parameters for restoring the database.

Source file

Locate the backup file from which the restoration should be performed

Restore into

If you select to restore to a new database on the next step you will need to specify the database and host connection parameters.

Select to restore into the existing database, or to create a new database. If you restore into the existing database, then select it from the list of registered databases. You will also need to proved authentication information: user name and password for connecting to the database.

Execution mode

The group defines whether services or local utilities (FB) will be used to perform restore.

Restore mode

Select whether the database will be restored locally (available if the Execution mode is set to local utilities) or to the server.

hs21690_Selecting destination database


Restore from incremental backup

Note: this step only appears iw you selected Restore from incremental backup at the first step of the wizard.

Restore to...

For restoring into Existing database please select the destination database from the drop-down list. Otherwise you need to browse for a new database or type in its name manually.

Restore source

In case of selecting specifying backup files manual you will need to browse for the Level 0 backup (and for level N, if any, optionally).

Click the Next button to proceed to the Starting process/Viewing results step of the wizard.

Incremental backup options


Restoring DB on a new host

Note: this step is skipped if you chose Database is located on a new host in the beginning.

Set the connection properties in the corresponding boxes: protocol, host name, user name, password and misc.

The Detect Automatically button allows you to locate path to client library and security database automatically.

Restoring DB on a new host

On the next step you will be asked to enter SSH settings. If you do not use tunneling please proceed to the next step.

chbox Use Secure Shell (SSH) tunneling

The use of this option allows you to connect to hosts over a Secure Shell Tunnel. The traffic is encrypted to protect individual and corporate data. See SSH tunneling options for details.


Setting restore options

This step allows you to set basic options for restoring the database.

chbox Deactivate indices

If this option is checked, database indices are deactivated while restoring.

chbox Don't recreate shadow files

If this option is checked, shadow files are not recreated while restoring.

chbox Don't enforce validity conditions

If this option is checked, database validity conditions are not restored.

chbox Commit after each table

If this option is checked, SQL Manager commits work after restoring each table.

chbox Replace existing database

If this option is checked, the restored database replaces the existing one.

chbox Use all space

Restores database with 100% fill ratio on every data page, instead of the default 80% fill ratio.

Page size

Database page size in bytes.

Click the Next button to proceed to the Starting process/Viewing results step of the wizard.

hs21730_Setting up advanced restore options


Database validation

The Database Validation Wizard allows you to validate the database for verifying the integrity of data structures. To activate the wizard choose the menu item Services | Database Validation.

You should validate a database:

  • Whenever a database backup is unsuccessful.
  • Whenever an applcation receives a "corrupt database" error.
  • Periodically, to monitor for corrupt data structures or missallocated space.
  • Any time you suspect data corruption.

Note: As a rule, database validation requires exqlusive access to the database.

See also:

Shutdown database

Specific DB Tools

Using templates

hs21750_DB Validtion - select

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting database for validation

The Database Validation Wizard guides you through all the process.

On the first step you are to choose the database for validation. To do that, use the apropriate drop-down list.

Optionally you can select to shutdown the target database before start and bring it online after the process is finished.

Database

Select the database to validate.

Execution mode

Define the means of validation. It can be standard services or local utilities(only available for Firebird).

Click Next to go to the Validation Options page.

hs21750_DB Validtion - select


Validation options

Step two: set the database validation options to retrieve and press the Finish button.

chbox Return a list of limbo transactions

If this option is checked, the database is checked on transactions in limbo, i.e. transactions, that can't be defined as executed or aborted.

chbox Validate the database, but don't repair it

"Read Only" mode of validation. By default, validating a database updates it, if necessary. Check this option to prevent updating.

chbox Ignore Checksum

A checksum is a page-by-page analysis of data to verify its integrity. A bad checksum means that a database page has been randomly overwritten (for example, due to a system crash).

chbox Kill all unavailable shadow files

If this option is checked, server drops the shadows which cannot be used.

chbox Prepare a corrupt database for backup

Performs total cleaning of the corrupt database, preparing the database for backup.

chbox Perform a database sweep

Removes all outdated records.

chbox Validate the database structure

Repairs corrupt or misallocated structures.

chbox Validate record fragments

Releases unassigned record fragments.

hs21840_DB Validation - options

When you are done, you can return to the previous page by clicking Back or start the process by clicking Finish at the next step. Progress results page will be activated, where the course of the progress will be displayed.


Database statistics

The Database Statistics Wizard allows you to retrieve the database statistics. To activate the wizard choose the Services | Database Statistics menu item.

See also:

Specific DB Tools

Using templates

hs_21760 Selecting database for statistics

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting database for statistics

The Database Statistics Wizard guides you through all the process. On the first step you are to choose the database for retrieving statistics. To do that, use the apropriate drop-down list.

Database

Select the database for displaying statistics.

hs_21760 Selecting database for statistics


Database statistics options

Step two: set the database statistics options to retrieve and press the Finish button.

Select to retrieve

  • all the database statistics
  • stop retrieving after header page statistics,
  • log pages statistics,
  • user indices statistics,
  • data tables statistics or
  • system tables and indices statistics

by selecting the one of the appropriate Options items.

When you are done, you can return to the previous page by clicking Back or start the process by clicking Finish at the next step. Progress results page will be activated, where the course of the progress will be displayed.

hs21770_Database statistics options


Start/Stop database

The Start/Stop Database wizard allows you to shutdown (sometimes you may need to switch to the one-user database connection mode) and to bring database online back again. To call the wizard, choose the Services | Start/Stop Database menu item.

Operations

Select the desired activity - shutdown database or bring it online.

Execution mode

Define the means of validation. It can be standard services or local utilities(only available for Firebird).

See also:

Specific DB Tools

Using templates

Availability:
Windows Professional | Yes
Windows Lite | No


Shutdown database options

The Shutdown Database window allows you to switch to the one-user database connection mode.

Forced

In this mode all the transactions, still active by the stated time, are forcedly aborted and all the users are forcedly disconnected.

Deny new transactions

In this mode all the transactions must be executed by the stated time. Starting of any new transactions is blocked. If there are some transactions still active by the stated time, database shutdown are not executed.

Deny new attachments

In this mode all the active user attachments must finish their work by the stated time. If there are some attachments still active by the stated time, database shutdown are not executed.

Wait(seconds)

Time to wait the shutdown to execute.

When you are done, you can return to the previous page by clicking Back or start the process by clicking Finish at the next step. Progress results page will be activated, where the course of the progress will be displayed.


Bring database online

SQL Manager 2008 for InterBase/Firebird
  • Index
  • « Prev
  • Next »

Start/Stop Database

To bring database online back again select the Start database at the first step of the Start/Stop Database wizard.

hs21780_Bring database online

When you are done, you can return to the previous page by clicking Back or start the process by clicking Finish at the next step. Progress results page will be activated, where the course of the progress will be displayed.

Availability:
Windows Professional | Yes
Windows Lite | No


Rebuild indices

Highly fragmented indices may considerably decrease query performance. Index fragmentation is remedied by either reorganizing or by rebuilding an index.

SQL Manager 2008 for InterBase/Firebird allows you to recompute or rebuild indices.

To run the wizard, select the Services | Rebuild Indices main menu item, or right-click the database alias in the DB Explorer tree and select the corresponding item.

  • Selecting database for indices management
  • Selecting the action for indices
  • Selecting indices
  • Starting process/Viewing results
  • Using templates

Selecting database for indices management

See also:

Specific DB Tools


Selecting database for indices management

Database

Use the drop-down list of all registered databases on the selected host to specify the database to manage indexes in.

Optionally you may set that the database should be switched into a single-user mode before indices management and select it to be brought back online on finishing the operation with the help of appropriate options.

Execution mode

The group defines whether services or local utilities (FB) will be used to perform backup.

Selecting database for indices management


Selecting the action for indices

Options

Recompute indices

Recompute the selectivity of all indices.

Rebuild indices

Rebuild all the indices and reset the statistics for each. This usually will increase performance significantly.

Optionally you may select to deactivate indices and activate them again.

Selecting the action for indices


Selecting indices

This step of the wizard allows you to select indeces for management.

To select an inex, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the indices from one list to another.

Click the Next button to proceed to the Starting process/Viewing results step of the wizard.


Server Tools

SQL Manager 2008 for InterBase/Firebird provides graphical interface for all operations concerned with granting permissions, managing database users and roles. The following specific server tools are available in SQL Manager 2008 for InterBase/Firebird:

  • User Manager

Provides adding, deleting users, and editing global user privileges.

  • Role Manager

Allows you to define user properties and its members.

  • Grant Manager

Granting privileges on the selected databases, tables and fields.

  • Server Messages Editor

Allows you to view an edit system messages of InterBase/Firebird server.

  • Table Altering Monitor

Allows you to view the number of changes in table and view metadata.

  • Search in Metadata

Allows you to find the needed database metadata quickly.

  • Event Monitor

Allows you to see the notifications made by event alerters.

  • Database Monitor

Displays various statistics on database in general and database activities.

See also:

Specific DB Tools


Users

A database user is a security principal enabling object access permission control at the finest level of granularity. A user represents a single server login within the scope of the database in which the user is defined.

Create user

To create a new user:

  • Select the Database | New Object... menu item.
  • Select User in the New Object Dialog.
  • Edit user definition within the User Manager.

Hint: To create new user you can also right-click the Users node of the explorer tree and select the New User... item from the popup menu.

To create a new user with the same properties as one of the existing users has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit user

To edit the existing user:

  • Select the user for editing in the explorer tree (type the first letters of the user name for quick search).
  • Right-click and select the Edit User <User_Name> item from the popup menu or simply double-click the user.
  • Edit user definition and data on the appropriate tabs of the User Manager.

To change the name of the user:

  • Select the user to rename in the explorer tree.
  • Right-click and select the Rename User <User_Name> item from the popup menu.
  • Edit user name in the dialog window.

Drop user

To drop a user:

  • Select the user to drop in the explorer tree.
  • Right-click and select the Drop User <User_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


User Manager

The User Manager allows you to define user properties and membership. It opens when you create a new user or edit the existing one (see Create User and Edit User for details).

  • Using navigation bar
  • Editing user info

See also:

Grant Manager

Role Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a host and a user for editing within the current window.

General bar:

  • Refresh the content of the active tab
  • Add new user
  • Edit existing one
  • Delete user
  • Bring the window to its default size

The next bar displays various actions according to the current page of User Editor.

hs21140_Using navigation bar


Editing user info

The User Editor window allows you to edit user information. Use Add/Edit user item of the General bar or simply double-click the user to edit.

You should specify password and personal info for existing users.

If you want to add current user to any of existing role please proceed to the Roles tab of the User Editor.


Roles

All users interact with a IB/FB server within the context of a role. A user can belong to multiple groups and have multiple roles, and the operations that are permitted by each role determine the actions that a user can perform.

Create role

To create a new role:

  • Select the Database | New Object... menu item.
  • Select Role in the New Object Dialog.
  • Edit role definition within the Role Manager.

Hint: To create new role you can also right-click the Roles node of the explorer tree and select the New Role... item from the popup menu.

To create a new role with the same properties as one of the existing roles has:

  • Select the Database | Duplicate Object... menu item.
  • Follow the instructions of the Duplicate Object Wizard.

Edit role

To edit the existing role:

  • Select the role for editing in the explorer tree (type the first letters of the role name for quick search).
  • Right-click and select the Edit Role <Role_Name> item from the popup menu or simply double-click the role.
  • Edit role definition and data on the appropriate tabs of the Role Manager.

To change the name of the role:

  • Select the role to rename in the explorer tree.
  • Right-click and select the Rename Role <Role_Name> item from the popup menu.
  • Edit role name in the dialog window.

Drop role

To drop a role:

  • Select the role to drop in the explorer tree.
  • Right-click and select the Drop Role <Role_Name> item from the popup menu.
  • Confirm dropping in the dialog window.


Role Manager

The Role Editor allows you to define user properties and its members. It opens when you create a new role or edit the existing one (see Create Role and Edit Role for details).

  • Using navigation bar
  • Defining role members

See also:

User Manager

Grant Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:

  • Select a database and a role for editing within the current window.

General bar:

  • Refresh the content of the active tab
  • Add new role
  • Edit existing one
  • Edite role members
  • Delete role

The next bar displays various actions according to the current page of Role Editor.

hs21150_Using navigation bar


Defining role members

On this page you can assign the necessary roles to the users. Select the user name in the left part of the window (Available Users) and move it to the Selected Users list at the right using buttons >, <, >>, <<, by double-clicking or dragging it. That will assign the members of current role.

Note: To create, edit and delete users and roles you should have the rights of server administrator.


Grant Manager

Grant Manager allows you to set the user access grants for certain database objects.

'Global' user privileges define the user access rights to all the database objects on the server. Granting privileges on the selected database objects allows a user to perform the defined operation over the selected objects.

To open Grant Manager, select the Tools | Grant Manager main menu item.

  • Using Navigation bar and context menu
  • Managing database-specific privileges
  • Managing column permissions

Managing grants

To define grants on database objects:

  • select the Tools | Grant Manager main menu item, or use the corresponding btnGrantManager toolbar button to open Grant Manager;
  • select the object type using the drop-down list on the toolbar;
  • select a User or Role from the Privileges for pane of the Navigation bar;
  • edit user/role privileges using Grant Manager.


Using Navigation bar and context menu

The Navigation bar of Grant Manager allows you to:

  • select the database for grants management;
  • refresh the content of the window;
  • grant all privileges on all objects
  • revoke all privileges on all objects
  • select an existing database user/role to grant privileges for;
  • view the legend;
  • restore the default size of the window.

Grant Manager - Using Navigation bar

The context menu is aimed at facilitating your work: you can perform a variety of operations using context menu items.

The context menu of Grant Manager allows you to:

  • grant a permission on a securable to the selected principal;
  • grant a permission (with Grant Option) on a securable to the selected principal;
  • revoke a previously granted or denied permission;
  • grant all permissions on a securable to the selected principal;
  • grant all permissions (with Grant Option) on a securable to the selected principal;
  • revoke all previously granted or denied permissions on a securable;
  • grant a permission on all objects to the selected principal;
  • grant a permission (with Grant Option) on all objects to the selected principal;
  • revoke a previously granted or denied permission on all objects;
  • apply sorting of objects in grid (by type);
  • apply sorting of objects in grid (by name).

Grant Manager - Using context menu

See also:

Managing database-specific privileges

Managing column permissions


Managing database-specific privileges

This window allows you to define privileges on database objects and grant privileges to a user or role.

To edit the privileges of a user/role on an object of a database, select the database using the Database pane of the Navigation bar, then select a user or role from the Privileges for list available within the Navigation bar. Then select the type of objects to be displayed in the main working window using the combo-box at the top.

The Object Name column contains the list of the objects of the selected type; each subsequent column corresponds to the permission which can be granted on the selected object: Select, Insert, Update, Delete, Execute, References.

The list of the objects displayed can be configured in several ways: you can specify that only granted objects are displayed in the grid, or define an object name to filter the objects by that name.

Right-click a cell to grant a specific permission on a certain object. To grant a permission on an object, you should find the object in the Object Name list and the column with the corresponding permission. The context menu of a cell contains possible permissions that can be granted:

  • Grant
  • Grant with Grant Option
  • Revoke (removes a previously granted or denied permission)
  • Grant All
  • Grant All with Grant Option
  • Revoke All
  • Grant on All
  • Grant on All with Grant Option
  • Revoke on All

Grant Manager - Managing database-specific privileges

Check the CheckBox Granted only option to display objects with at least one granted operation.

See also:

Using Navigation bar and context menu

Managing column permissions


Managing column permissions

The Column permissions of user/role area displays the grid with table columns and the privileges that can be granted to the selected user or role.

Use items of the context menu to grant/deny/revoke permissions on columns.

Grant Manager - Managing column permissions

If permissions on a column have been defined (for a table or view), the corresponding permission cell of the table/view contains a specific icon iconHasGrantedColumn .

See also:

Using Navigation bar and context menu

Managing database-specific privileges


Server Messages Editor

IB Messages Editor allows you to view an edit system messages of InterBase/Firebird server. It may be useful for finding the exact message you need, editing standart server message to you likings or simply translating it messages into your native language.

To open it you are to select Tools | IB Messages Editor item from the main menu.

Using navigation bar

Go to message dialog

Editing Server Messages

IB Messages Editor


Using navigation bar

The navigation bar on the left allows you to:

  • Open messages file
  • Find text in the messages file loaded
  • jump to a certain message by number
  • Perform export/import operations
  • Bring the window to its default size

The next bar displays various actions according to the current page of IB Messages Editor.

IB Messages Editor - navbar


Go to message dialog

The dialog allows to jump straight to the message with a certain number (decimal or hexadecimal). The Go To Message Number dialog can be called by selecting corresponding items either Server Messages navigation bar or context menu.

go to message

See also:

Server Messages Editor


Editing Server Messages

IB Messages Editor allows you to view an edit system messages of InterBase/Firebird server. It may be useful for finding the exact message you need, editing standart server message to you likings or simply translating it messages into your native language.

IB messages editor - editing

See also:

Server Messages Editor


Table Altering Monitor

Table Altering Monitor allows you to view the number of changes in table and view metadata. InterBase allows editing table or view metadata up to 255 times, after reaching this limit backup and restoring the database is recommended.

To call this window select the Tools | Table Altering Monitor menu item.

See also:

Table Editor

View Editor

Server Tools

Monitor of Tables Altering...


Search in Metadata

Search in Metadata dialog allows you to find the needed database metadata quickly.

To call this dialog select the Tools | Search in Metadata menu item.

Text to Find

Set the text to search for.

Database

Select the database to search in. Unavailable if Search in all active databases checked.

chbox Case Sensitive

Differentiates uppercase from lowercase when performing a search.

chbox Whole words only

Searches for words only. (With this option off, the search string might be found within longer words.)

chbox Regular Expressions

Recognizes regular expressions in the search string.

When all the options are set, click OK. If the required text was found, the report window Search in Metadata [text to find] appears. It contains the tree of current database objects, where the given text is met. Select an object to view its DDL. The enclosed object branches allow you to go to the needed fragment quickly.

Search in Metadata

After the search is complete you will see the result window. On the left the list of objects is available; click any of them to view its definition which contains the text you looked for.

search in metadata - results

See also:

Server Tools


Event Monitor

Event Monitor allows you to see the notifications made by event alerters. Event alerters are messages passed from the database to an application; enables applications to recieve asynchronous notification of database changes.

To call this window select the Tools | Event Monitor menu item.

For example: you need to get notification when some event takes place. You can use inside the procedure or trigger body the instruction like POST_EVENT 'Null_field_met' in the example below.

BEGIN

/* Statements... */

POST_EVENT 'Null_field_met';

/* Statements... */

END

When the statements are executed the notifications will appear in the Events Monitor window..

You can set event alerter by selecting the Event options... item of the main menu.

See also:

Defining Events

Server Tools


Database Monitor

Database Monitor displays various statistics on database in general and database activities.

To call the Database Monitor window please select the Tools | Event Monitor main menu item.

The Navigation bar at the left allows you to:

  • select a desired database at the Database bar;
  • set monitoring options;
  • pause/resume monitoring.

The information collected is split into sections and can be obtained at the corresponding tabs.

See also:

Server Tools


Plugins options

On this tab the installed plugins are displayed. They are divided into the Common tools, that are plugins, performed for working with the program as a whole, and Tools for objects, performed for working with database objects. At the bottom of the window the description of the selected plugin is displayed. To install a new plugin, click button Add plugin and select a file, where the plugin is stored. Using button Remove plugin you can uninstall the selected plugin. Using buttons at the right of the window you can also create, rename, delete and change the order of subfolders in Plugins tree to access the plugins easier.

Plugin Options Tab

On this tab the information about the selected plugin is displayed.

chbox Plugin is a common tool

The selected plugin is performed for working with the program as a whole.

chbox Plugin is built in object editor

The selected plugin is built-in to the database object editor (table, procedure, view, etc.).

chbox Plugin has options dialog

The options of the selected plugin are available for editing when you will work with this plugin.

chbox Unload plugin after executing

The selected plugin will be automatically unloaded after executing.

At the right of the window the list of object editors is displayed, where those, available for the selected plugin, are checked.

At the bottom of the window you can edit the menu item and define a hot key for faster access to the plugin or to the plugin option window.

chbox Place button on toolbar

This option places a button for activating plugin to the control panel.

See also:

Server Tools


Personalization

SQL Manager 2008 for InterBase/Firebird provides you with capabilities for flexible personalization of the application.

Please see the chapters below to learn how to use personalization tools effectively.

  • SQL Manager Options
  • Localization
  • Keyboard templates
  • Object templates

See also:

Getting started

Database Explorer

Database management

Database objects management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

External tools


SQL Manager Options

SQL Manager 2008 for InterBase/Firebird provides full customization of the program interface, windows behavior, various options of all tools and more. This chapter informs you how to use these options.

The following list contains the three basic groups of options available in SQL Manager 2008 for InterBase/Firebird.

Environment Options

General SQL Manager options: environment style, confirmations, window restrictions, DB Explorer, SQL Editor, SQL Monitor, Visual Query Builder options, and more.

Editor Options

Customizing of all the SQL editing tools - SQL Editor, SQL Script, and more.

Visual Options

Customizing program interface - bars, trees, menus, etc.

Besides, the Options dialog allows you to export all program settings to a *.reg file for future use, e.g. when you need to move the settings to another machine (see Save Settings for details).

See also:

Localization

Keyboard Templates

Find Option dialog


Environment Options

Environment Options allow you to customize general options of the SQL Manager application.

To open the Environment Options window, select the Options | Environment Options... main menu item, or use the Environment Options btnEnvironmentOptions button on the main toolbar.

  • Preferences
  • Full mode activation
  • Confirmations
  • Windows
  • Tools
  • DB Explorer
  • Object Editors
  • SQL Editor
  • SQL Monitor
  • SQL Script
  • Query Builder
  • Visual Database Designer
  • Print Metadata
  • Data Export
  • Database Monitor
  • Dependencies
  • Transactions
  • Fonts
  • Grid

Data Options

Print Data

Color & Formats

Advanced

Column Options

  • Localization
  • Find Option

See also:

Editor Options

Visual Options

Save Settings


Preferences

CheckBox Show splash screen at startup

Displays the splash screen of SQL Manager 2008 for InterBase/Firebird at the application startup.

CheckBox Restore desktop on connect

This option determines whether the previously opened windows and their positions should be restored upon connection to the database.

CheckBox Disable multiple instances

Checking this option prevents one from running multiple instances of SQL Manager 2008 for InterBase/Firebird.

CheckBox Encrypted passwords

Encrypts passwords for connecting to databases in Windows registry.

CheckBox Show desktop panel (for MDI Environment style only)

Displays Desktop Panel when no child windows are open.

CheckBox Show Full Version features

This option is available in the Lite version of SQL Manager. When selected, a 30-day period of fully-functional usage is activated.

Environment Options - Preferences

See also:

Full mode activation

Confirmations

Windows

Tools

Fonts

Grid

Localization

Find Option


Full mode activation

Note that when using the FREE Lite version of SQL Manager 2008 for InterBase/Firebird (which contains functional limitations) you can activate a 30-day period of fully-functional usage. During this period you will get the splash screen displaying the number of days left every time you start the application. After the period expires, you will be able to continue using the Lite version.

To activate the 30-day Full version mode, please enable the CheckBox Show Full Version features option of the Preferences dialog.

Environment Options - Full mode activation

See also:

Preferences

Confirmations

Windows

Tools

Fonts

Grid

Localization

Find Option


Confirmations

CheckBox Confirm saving the object (or document) upon closing the editor

If this option is on, the program requires confirmation each time you want to save changes in a database object or document.

CheckBox Confirm dropping of object

If this option is checked, the program requires confirmation of dropping a database object.

CheckBox Confirm exit from SQL Manager

If this option is set, you are prompted for confirmation each time when you exit the application.

CheckBox Confirm deleting records

This option enables/disables a confirmation dialog for deleting records.

CheckBox Confirm metadata changing (Changing Metadata Window)

This option enables/disables the Changing Metadata window.

CheckBox Confirm addition into spell checking dictionary

Check this option if you wish to be prompted for adding a word to the dictionary which is used for checking words spelling.

CheckBox Confirm transformation of misprint into substitution

If this option is checked, you need to confirm replacing a misprinted word with a corresponding substitution word.

CheckBox Confirm transaction commit

If this option is checked, the program requires confirmation on attempt to commit a transaction.

CheckBox Confirm transaction rollback

If this option is checked, the program requires confirmation on attempt to rollback a transaction.

CheckBox Confirm transaction commit on closing data in object editors

If this option is checked, the program prompts to commit the transaction upon closing the 'Data' tab in object editors.

Environment Options - Confirmations

Transaction confirmation in SQL Editor and Query Builder

CheckBox Disable transaction confirmation on closing the editor

If this option is checked, no transaction confirmation will be required on closing SQL Editor and Query Builder. Specify the default action (Commit or Rollback) and this action will be performed automatically each time when you exit Query Builder or SQL Editor.

See also:

Preferences

Full mode activation

Windows

Tools

Fonts

Grid

Localization

Find Option


Windows

Environment style

This switch allows you to define the basic window environment - RadioButton MDI (like Microsoft® Office) or RadioButton Floating windows (like Borland® Delphi IDE).

Windows restrictions

This option allows you to set the number of editors (Table Editor, SQL Editor, etc.) that can be opened at the same time.

Zoom options

This group of options is only available if Environment Style is set to Floating windows environment. It allows you to set maximization size for child windows:

RadioButton Full screen

RadioButton Restricted by Main Form

RadioButton Restricted by Main Form and DB Explorer

RadioButton Justified my Main Form and DB Explorer.

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

If necessary, you can also CheckBox Enable floating toolbars for your application.

Environment Options - Windows

See also:

Preferences

Full mode activation

Confirmations

Tools

Fonts

Grid

Localization

Find Option


Tools

CheckBox Show only connected databases in drop-down menu

If this option is checked, only connected databases are displayed in drop-down menus of such tools as Query Builder, SQL Script, etc.

CheckBox Don't fill server lists in connection forms

If this option is checked, the server list will be filled up with the names of most recently used servers that are stored locally in the Windows registry. Otherwise, SQL Manager will scan the network to fill in the server lists in connection forms.

CheckBox Allow using parameters in query text

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.

CheckBox Asynchronous query execution

Check this option to allow executing queries in background mode (asynchronously).

Environment Options - Tools

See also:

Preferences

Full mode activation

Confirmations

Windows

Fonts

Grid

Localization

Find Option


DB Explorer

CheckBox Show hosts in DB Explorer

Shows/hides database hosts in the DB Explorer tree.

CheckBox Show table subobjects

Shows/hides table subobjects (fields, indexes, etc.) in the DB Explorer tree.

CheckBox Show procedure subobjects

Toggles displaying stored procedure subobjects (input/output parameters) in the DB Explorer tree.

CheckBox Show view subobjects

Shows/hides view subobjects (fields, triggers, etc.) in the DB Explorer tree.

CheckBox Show UDF subobjects

Toggles displaying UDF subobjects in the DB Explorer tree.

CheckBox Sort by aliases

Use this option to apply sorting registered databases by their aliases in the DB Explorer tree.

CheckBox Show system objects

Shows/hides system objects (starting with RDB$) in the DB Explorer tree.

CheckBox Search by categories

This option determines the search scope when the Find Item feature is used: if this option is selected, the search is performed within the currently selected category (node in the tree) only.

CheckBox Use Case Sensitive search

This option determines the search scope when the Find Item feature is used: if this option is selected, the search performed is CASE Sensitive.

CheckBox Detect erroneous objects

Toggles displaying the objects with "broken" DDL.

CheckBox Rename objects by editing in place

Allows you to edit object names in DB Explorer by selecting any object and clicking its alias one more time.

CheckBox Refresh objects on showing in SQL Assistant

This option enables/disables refreshing objects each time they are displayed in SQL Assistant.

Recent objects count

Defines the number of objects displayed within the Recent tab of the DB Explorer.

Environment Options - Tools - DB Explorer


SQL Assistant

Tables' Details in SQL Assistant

Switches the SQL Assistant mode for displaying table fields, indices, foreign keys, table status, definition or description. Also you can set the mode for displaying views, UDF's, procedures, exceptions and generators.


Object Editors

CheckBox Set grants when compiling (triggers, stored procedures)

Allows to set grants on the object automatically when compiling its definition.

CheckBox Show privileges in objects' DDL

Toggles displaying the script fragment for setting grants at the DDL tab of the object editor.

CheckBox Show description in objects' DDL

Toggles displaying the script fragment for setting description at the DDL tab of the object editor.

CheckBox Show Trigger Messages in triggers' DDL

Toggles displaying the script fragment for setting trigger messages at the DDL tab of the trigger editor.

CheckBox Automatically show Object Explorer (tables, stored subobjects)

Enables/disables the Object Explorer panel within the Navigation bar of Table Editor.

CheckBox Word wrap of objects' description

Toggles word wrapping at the Description tab in object editors.

CheckBox Always open the Edit tab

If this option is checked, the Edit tab is activated by default on opening an object table in the object editor.

Environment Options - Tools - Object Editors

Object list style

These options allow you to define the style of the combo-boxes used to select database objects (e.g. Table or view in Trigger Editor). Objects can be represented as a tree, a list sorted by namespace or a list sorted by name. Use the CheckBox Ignore case option to enable/disable case sensitive sorting.


Table Editor

chbox Always open the Fields tab

Always opens the Fields tab default on activating the Table Editor.

chbox Change tab from Object Explorer

If checked, allows switching between Table Editor tabs by cliking on the corredsponding item in the Object Explorer.


Procedure Editor

chbox Recompile dependencies

Recompiles the definition of objects that refer to the current procedure.


SQL Editor

CheckBox Fetch all data

If this option is checked, all the records according to the query are extracted from the tables, otherwise - only those displayed within the Results tab of SQL Editor.

CheckBox Explain query on execution

If this option is checked, the query plan is displayed at the bottom of the SQL Editor window.

CheckBox Show result for each query

With this option checked, when you execute two or more queries (divided by "GO"), the result of each query will be displayed. Otherwise, only the result of the last query will be displayed.

CheckBox Show results on Edit tab

If this option is checked, the Results tab is displayed as a separate tab.

CheckBox Execute selected text separately

Check this option to allow execution of the selected statement separately.

CheckBox Write only successfully executed queries to database SQL log file

If this option is checked, unsuccessful queries will not be saved to the SQL Editor log file (see Setting log options in the Database Registration Info dialog).

Environment Options - Tools - SQL Editor

CheckBox Always save changes in Favorite Queries before closing

This option enables/disables saving changes in SQL queries marked as Favorite automatically upon closing the editor.

CheckBox Refresh DB Explorer upon successful DDL statement execution

If this option is selected, the content of DB Explorer is refreshed each time a DDL statement is executed successfully in SQL Editor.

Transaction confirmation

CheckBox Disable transaction confirmation

If this option is checked, no transaction confirmation will be required on closing Visual Query Builder and SQL Editor. Specify the default action (Commit or Rollback) and this action will be performed automatically each time when you close the editor.


SQL Monitor

SQL log

This group of options allows you to enable logging of all SQL Monitor events to a file. Check the Log SQL Monitor events to file option, specify the path to the log file using the btnSaveAs button, and enter a name for the *.sql file. To clear the log file after it reaches some definite size, check the Clear log file when it is greater than... option and set the maximum file size (in Kilobytes).

Environment Options - Tools - SQL Monitor

CheckBox Show time of operation

If this option is checked, the execution time of logged operations is added.

CheckBox Always show on top

Displays the SQL Monitor window always on top.


SQL Script

CheckBox Abort script on error

If this option is checked, script execution is aborted if an error occurs.

CheckBox Rollback on abort

This option is only available if the Abort script on error option is checked. This option evokes automatic rollback when script execution is aborted.

CheckBox Enable parsing

With this option checked, SQL Script Editor parses the loaded script to enable fast navigation in the Script Explorer tool.

CheckBox Show message when done

Displays a message box on finishing script execution.

CheckBox Show info messages

Select this option to enable information messages when working with scripts.

CheckBox Don't clear error list on selected text execution

If this option is checked, the error list is not cleared upon execution of the selected statement.

Environment Options - Tools - SQL Script


Query Builder

General options

CheckBox Allow SELECT queries only

When this option is checked, the INSERT, UPDATE and DELETE statements are not allowed in Query Builder.

CheckBox Select condition row

Displays the selected condition in different rows on the Criteria and Grouping Criteria tabs of Query Builder.

CheckBox Drag field name

Displays the dragged field name in the Builder area.

CheckBox Hide selection when inactive

Hides the selection when the Query Builder window is inactive.

CheckBox Show field types

Displays the field type next to the field name in the Table box.

CheckBox Union all by default

Check this option to use the UNION ALL expression in Query Builder by default.

The UNION keyword allows you to include the results of two SELECT statements in one resulting table.

The ALL parameter incorporates all rows into the results, including duplicates. If not specified, duplicate rows are removed.

Environment Options - Tools - Query Builder

Visible tabs

These options specify which Query Builder tabs are available and which are not. Use the check boxes to make the corresponding tabs visible/invisible.

Script format

These options specify case formatting of keywords and functions in query text within the Edit tab: As is keeps the original case, Uppercase sets all the keywords/functions to the upper case, Lowercase sets all the keywords/functions to the lower case, and First upper sets the first letters of all keywords/functions to the upper case.

Additionally, you can set styles and color for all Query Builder objects by using Style and Color Palette.


Style & Color Palette

Style
These options specify the way various Query Builder elements look: the Condition button: Flat, 3DLook, Raised; object borders: Bump, Etched, Raised, Sunken. If necessary, you can also specify flatness for objects and buttons using the corresponding options.

CheckBox XP tables style
This option determines the appearance of non-client areas of tables in Query Builder.

CheckBox Show icons on tabs
With this option selected, you can see icons next to the tab names in Query Builder.

Environment Options - Tools - Query Builder - Style & Color

Color palette

These options define the colors of various Query Builder elements: active condition row, condition text, condition item text, table client area, etc. Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.


Visual Database Designer

Model notation

When you work in Visual Database Designer, you can choose one of the following modeling notations:

  • Integration DEFinition for Information Modeling (IDEF1X);
  • Information Engineering (IE).

The IDEF1X and IE notations use different symbols to represent relationships between entities (and tables).

CheckBox Draw PRIMARY KEY fields separately

Separates Primary key fields from other fields with a horizontal line.

CheckBox Draw entities icons

Displays icons at the left of each entity header according to its type.

CheckBox Draw attributes icons

Displays icons at the left of each attribute according to its type (Primary key, Foreign key, ordinary field).

CheckBox Draw only names of entities

Enables highlight for entity names only.

CheckBox Draw FOREIGN KEY fields separately

Enables highlight for Foreign key fields.

Environment Options - Tools - VDBD

CheckBox Show grid

Displays dots in the diagram area to make the grid visible.

CheckBox Snap to grid

Automatically aligns entities on the form with the nearest grid line. You cannot place an entity in between grid lines.

Grid size

Sets grid spacing in pixels along the x- and y-axes. Specify a higher number to increase grid spacing.

Entity header font

Select a font type and size to display entity headers.

Attributes font

Select a font type and size to display attributes.

Additionally, you can set color for all VDBD diagram objects using Color Palette.


Color Palette

These options define the colors of various Visual Database Designer elements: work area, work area text, entity, entity caption text, attribute text, etc. Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.

Environment Options - Tools - VDBD - Color Palette


Extract Database

Current tab allows you to customize settings of the Extract Database Wizard.

Automaticaly load template on run

Browse for the template you need to be started automatically with Extract Database Wizard.

Environment Options - Tools - Extract


Print Metadata

Default Paper Size

Define the default paper size for reports created with the Print Metadata tool used:

RadioButton A4 (210 x 297 mm)

RadioButton Letter (8 1/2 x 11 ")

Environment Options - Tools - Print Metadata


Data Export

This page allows you to customize formats applied to exported data.

Edit the format masks to adjust the result format in the way you need, or click the Set defaults button if you wish to apply default data formats.

See Format specifiers for details.

Environment Options - Tools - Data Export


Database Monitor

Current tab allows you to set the refresh interval for the Database Monitor tool.

Environment Options - Tools - DB Monitor


Dependencies

chbox Automatically expand dependencies

Expands/collapses tree nodes when opening the tab with object dependencies.

chbox Don't show empty object categories in dependencies

Hides/shows empty object categories in dependencies.

Max number of history items in Dependency Tree

Sets the number of history items browsing with the help of Previous/Next object items in Dependency Tree.


Transactions

Here you can set the isolation level for data and metadata.

Isolation level determines how a transaction interacts with other simultaneous transactions accessing the same tables.

Snapshot

Provides a repeatable-read view of the database at the moment the transaction starts. Changes made by other simultaneous transactions are not visible.

Snapshot table stability provides a repeatable read of the database by ensuring that transactions cannot write to tables, though they may still be able to read from them.

Read commited

Enables a transaction to see the most recently committed changes made by other simultaneous transactions. It can also update rows as long as no update conflict occurs. Uncommitted changes made by other transactions remain invisible until committed.

EnvOptions - Transactions


Fonts

This section of the Environment Options dialog allows you to specify fonts used in the application.

The box below displays the sample text with the selected font applied.

Environment Options - Fonts

System font name
Defines the font used by SQL Manager 2008 for InterBase/Firebird. Select the font name from the drop-down list of available system fonts.

System font size
Defines the font size used by SQL Manager 2008 for InterBase/Firebird. Type in or use the drop-down list to select the required value.

See also:

Preferences

Full mode activation

Confirmations

Windows

Tools

Grid

Localization

Find Option


Grid

General options

CheckBox Striped grids

Displays the odd grid rows in a different color defined by the Strip option available on the Color & Formats page.

CheckBox Show editor immediately

Allows editing the cell value right after the cell is clicked.

CheckBox Always show editor

Set this option to make the cell editors always active.

CheckBox Enable auto-search in grid

If this option is checked, the cursor is automatically forwarded to the closest match when you start typing.

CheckBox Row multi-selection

With this option set, multiple rows can be selected in grid.

CheckBox Invert selection

Determines whether a single cell within the focused row or the entire row is highlighted when focused.

CheckBox Column auto-width

With this option set, column widths are changed in order to display all columns without using the horizontal scroll bar. If the content a column is still too large to display without a need to resize the grid, then the column values are truncated and the hidden characters are replaced with an ellipsis at the end.

CheckBox Cell auto-height

If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this. If this option is set, the cell content is displayed in multiple lines where necessary. You can set the number of lines to display using the Cell max line count option.

Environment Options - Grid

Grid layout preference

RadioButton Autofit column widths

Use this option to shrink the grid columns so that the longest visible column value fits.

RadioButton Save and restore layout

Use this option to keep the original grid width. Check the Restore sorting option to apply defaults to sorting (except for SQL sorting) as well.

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

CheckBox Show "Group by" box

Displays the gray area above the column caption allowing to group data in the grid.

CheckBox Show indicator

Displays the row indicator.

CheckBox Show navigator

Activates/deactivates the data navigator. The navigator pane is available at the top within the Data tab of a view.

CheckBox Show "New item row"

Displays an empty row at the bottom of a view which is a convenient way for adding data to the grid.

CheckBox Hide tabs for single detail

This option is useful when only one view is present on the detail level. When checked, the view tab is hidden.

See also:

Preferences

Full mode activation

Confirmations

Windows

Tools

Fonts

Localization

Find Option


Data Options

Limit options in table and view editors

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor:

RadioButton Select all records from a table

RadioButton Select only ... records (you should set the number of records using the corresponding spin editor)

Advanced

chbox Use shared connection for each data view within a database

Check this option to disable creation of the separated connection for each data view. Using it is recommended if maximum allowed number of connections is too low.

CheckBox Use SQL sorting in data view

If the option is checked, the data will be sorted according to SQL sorting parameters.

CheckBox Use SQL filter in data view

Check/uncheck this option to enable/disable SQL filter in data view of Table Editor and View Editor.

With the Use SQL Sorting in data view option enabled a click on the column header for sorting causes reloading all table data with the selected field in ORDER BY expression of the SELECT statement. Otherwise the sorting is performed by means of the grid.

Load visible rows mode if records more than...

Set this option to switch to the Load visible rows mode when the number of records in the dataset exceeds the specified value.

String fields width (chars)

Using this option you can limit string fields width that may improve performance on large datasets.

Environment Options - Grid - Data Options

Default grid mode

RadioButton Load all rows

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

RadioButton Load visible rows

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. Automatic sorting, filtering, summary calculations are not available in this mode.

The Default grid mode options allow you to define the grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a considerable amount of time. But in this case you can make use of some advantages: in the filter drop-down list the column headers are displayed with the values for quick filtering; it is possible to open several sub-levels at the same time when viewing data in master-detail view, etc.

In case opening and other operations with an object consisting of many records takes sufficient time, the Load visible rows mode should be used instead. It can be set individually for each table and saved between sessions (can be set via the context menu of the grid).


Print Data

Save/restore following print data properties

These options specify which Print Data properties will be saved between work sessions (e.g. if you tick off the Page settings item, those settings will be saved and stored between the sessions).

You can save/restore the following Print Data properties: Card view representation, Detail view representation, Expanding, Formatting, Level options, "On every page" options, Pagination, Preview options, Image options, Selection options, Report size options, Showing grid elements, Page number format, Page settings, Report title.

Environment Options - Grid - print Data Options


Color & Formats

Display formats

Integer fields

Defines the format for displaying TINYINT, SMALLINT, INTEGER and BIGINT fields.

Float fields

Defines the format for displaying FLOAT, DOUBLE and DECIMAL fields.

Datetime fields

Defines the format for displaying DATETIME fields.

Date fields

Defines the format for displaying DATE fields.

Time fields

Defines the format for displaying TIME fields.

For more information refer to the Format specifiers page.

Environment Options - Grid - Color & Formats

Colors

Options of this group allow you to set colors for basic grid elements. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.

Grid
Defines the background color of the data grid.

Row
Defines the color of the selected row in the data grid.

Strip
Defines the color of the odd rows (applied if the Striped grids option is set).

NULL values

Text
Defines the text that stands for NULL values in grid.

Font color
Defines the font color for displaying NULL values in the grid. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.


Advanced

Advanced options

CheckBox Cell hints for clipped text

Indicates whether a hint box is displayed when hovering over a cell containing clipped text.

CheckBox Focus cell on cycle

Determines whether the focus moves to the next row after it reaches the right-most cell within the current row.

CheckBox Focus first cell on new record

Determines whether the focus moves to the first cell of a newly created row.

CheckBox Next cell on pressing Enter

Determines whether the current view columns can be navigated by using the Enter key.

CheckBox Show navigator hints

Indicates whether a hint box is displayed when hovering over navigation buttons.

CheckBox MRU list in column filter

Enables showing of Most Recently Used items when filtering columns

CheckBox Expand buttons for empty details

Specifies whether to display expand buttons within master rows that do not have associated details.

Card width

Defines the width of the card used in Card View mode.

Environment Options - Grid - Advanced

Form view

CheckBox Large memo editor

Sets the number of lines for text-typed fields when viewing data in Form view.

CheckBox Word wrap in memo editor

Determines whether long strings are wrapped within the memo editor area.

CheckBox Word wrap in string editor

Determines whether long strings are wrapped within the string editor area.

Grid lines

Determines whether to display vertical and horizontal lines between cells.

Detail tabs position

Specifies the position of the tabs in detail level views: top or left.

Card layout direction

Specifies the direction of cards in Card View mode: horizontal or vertical.

Show edit buttons

Indicates when the edit buttons are displayed: never, for focused record or always.


Column Options

Common options

CheckBox Auto-select text

Determines whether all text within an editor is automatically selected when the editor gets focus.

CheckBox Hide selection on losing focus

Determines whether the visual indication of the selected text remains when the editor loses focus.

Memo editor options

CheckBox Inserting Return characters

Specifies whether a user can insert return characters into text.

CheckBox Inserting Tab characters

Specifies whether a user can insert tab characters into text.

CheckBox Word wrap in grid

Determines whether long strings are wrapped in grid.

CheckBox Popup memo editors

Turns on popup memo editors for text BLOB type fields.

Environment Options - Grid - Column Options

Spin editor options

CheckBox Use Ctrl+Up instead of Up to increase value

Allows you to use Ctrl+Up and Ctrl+Down key combinations for editing spin values (for INTEGER field values).

CheckBox Show large increment buttons

Determines whether fast buttons (for large increment) are visible within the editor.

Increment

Specifies the increment value for the spin editor.

Large increment

Specifies the fast increment value for the spin editor.

Spin editor buttons' position

Specifies the position of spin editor buttons: vertical, horizontal / left and right or horizontal / right.


Localization

The Localization section of the Environment Options dialog is provided for managing the localization files of SQL Manager 2008 for InterBase/Firebird.

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Default directory

Use the Explorer ExplorerButton button to specify the directory where the *.lng files are to be stored by default.

Choose program language

Use the drop-down list of available languages to select the interface language to be applied to the application.

CheckBox Auto scan languages on startup

When checked, the directory with localization files will be scanned automatically at the application startup; all the languages found will be added to the list of available languages.

Available Languages

Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or the *.lng file.

Add Defaults

This button is used to search for *.lng files in the Default directory and add all of them to the Available Languages list.

Add

Opens the Add language dialog where you can specify your own localization file and set the language name.

Edit

Opens the Edit language dialog where you can change the language name or select another localization file for the specified language.

Delete

Removes the selected language from the Available languages list (without confirmation).

Environment Options - Localization

See also:

Preferences

Full mode activation

Confirmations

Windows

Tools

Fonts

Grid

Find Option


Find Option

The Find Option section allows you to search for options available within the Environment Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Environment Options.

Environment Options - Find Option

The Available options area lists all options of the Environment Options category according to the specified name. Select the required option in the list and click Show Option to open the corresponding dialog where you can view/edit the value of this option.

See also:

Preferences

Full mode activation

Confirmations

Windows

Tools

Fonts

Grid

Localization


Editor Options

Editor Options allow you to set the parameters of viewing and editing SQL statements within the SQL Editor tool of the SQL Manager application.

To open the Editor Options window, select the Options | Editor Options... main menu item, or use the Editor Options btnEditorOptions button on the main toolbar.

  • General
  • Display
  • Color
  • Quick Code
  • SQL Formatter
  • Key Mapping
  • Spell Checking
  • Find Option

See also:

Environment Options

Visual Options

Save Settings


General

CheckBox Auto indent

If this option is checked, each new indention is the same as the previous one when editing SQL text.

Indents and outdents are used in the process of text editing to make the source code easier to read.

CheckBox Insert mode

If this option is checked, the insert symbols mode is on by default.

CheckBox Find text at cursor

If this option is checked, the Text to find field in the Find Text dialog is automatically filled with the text on which the cursor is set.

CheckBox Always show hyperlinks

If this option is checked, hyperlinks are displayed in the editor window. To open a link, click it with the Ctrl key pressed.

CheckBox Double click line

If this option is checked, double-clicking the line on which the cursor is set selects the whole line.

CheckBox Trim trailing spaces

If this option is checked, all spaces after the last symbol in line will be trimmed.

CheckBox Fixed line height

Prevents line height calculation. If this option is checked, the default line height is taken.

CheckBox Persistent blocks

Keeps marked blocks selected even when the cursor is moved with the arrow keys used, unless a new block is selected.

CheckBox Fixed column move

If this option is checked, the caret keeps its horizontal position when moved between lines.

CheckBox Optimal fill

Check this option to enable optimal algorithm of filling text content in the working area of the editor.

CheckBox Unindent keep align

Keeps align for the lines that are not indented.

CheckBox Smart caret

This option determines the caret movement (up, down, line start, line end). The caret is moved to the nearest position on the screen.

Editor Options - General

CheckBox Overwrite blocks

Replaces a marked block of text with whatever is typed next. If Persistent Blocks is also selected, the text you enter is appended to the currently selected block.

CheckBox Show caret in read only mode

Displays/hides the caret in read-only mode.

CheckBox Copy to clipboard as RTF

If this option is checked, the selected text is copied in RTF format.

CheckBox Drag and drop text

This option allows to drag and drop selected text.

CheckBox Group undo

This option allows you to undo multiple actions of the same kind.

CheckBox Group redo

This option allows you to redo multiple actions of the same kind.

CheckBox Keep caret horizontal position

If this option is checked, the horizontal position of a cursor is kept. If you move the cursor (using the Up and Down arrow keys) onto a line having length less than the current cursor horizontal position, it will be positioned after the last symbol of the line.

CheckBox Enable column selection

Enables/disables column selection mode.

CheckBox Hide cursor on type

Hides/displays mouse cursor within the working area while a user is typing some text.

CheckBox Hide dynamic (no focus)

Hides dynamic highlights when an editor is not focused.

CheckBox Collapse empty lines

Collapses empty lines after a text range when this range has been collapsed.

CheckBox Scroll to past line

When the option is enabled, you can scroll to the last line of the text only, otherwise you can scroll to the end of the page.

CheckBox Word wrap

When on, text is wrapped at the right margin of the editor area to fit in the visible area.

CheckBox Variable horizontal scrollbar

If this option is checked, the horizontal scrollbar varies according to the current content of the editor.

CheckBox Float markers

When enabled, markers are linked to the text, and they will move with the text while the text is being edited; otherwise the markers are linked to the caret position, and stay unchanged while the text is being edited.

CheckBox Undo after save

Keeps undo buffer unchanged after saving.

CheckBox Disable selection

Disables any selection when editing.

CheckBox Draw current line focus

Draws the focus rectangle around the current line when the editor has focus.

CheckBox Hide selection (no focus)

Hides the selection when the editor loses focus.

CheckBox Greedy selection

Selects an extra column/line in column/line selection modes.

CheckBox Keep selection mode

Enables selection for caret movement commands (like in BRIEF).

CheckBox Select search result

Determines whether the search result should be selected.

CheckBox Smart paste

When this option is enabled, the editor gets both Unicode and ANSI content from the clipboard, converts them using the selected character set and selects the best text to be pasted. This allows getting correct text copied from both ANSI and Unicode applications disregarding the currently selected keyboard language.

CheckBox Disable all code features

This option disables code completion, code folding, highlight and all options that are set on the Quick Code page. For options that are set on the Color page, the defaults will be applied.

Collapse level

Specifies the level of text ranges that will be affected by the "Collapse all" command.

Undo limit

Defines the maximum number of changes possible to be undone.

Tab mode

Specifies the way the TAB key is processed. Possible values are: Use tab character (inserts a tab character); Insert spaces (inserts space characters); Dialog behaviour (when the edit control is in a dialog, the focus is switched to the next control); Smart tab (tabs to the first non-white space character in the preceding line).

Tab stops

Defines the tab length used when editing a text.

Comment symbols

Defines the symbols which will be used to comment code fragments.

Block indent

Specify the number of spaces to indent a marked block.

See also:

Display

Color

Quick Code

SQL Formatter

Key Mapping

Spell Checking

Find Option


Display

Gutter

CheckBox Show line numbers

If this option is checked, line numbers are displayed in the SQL text editor window.

CheckBox Gutter auto width

Enable this option to specify that the gutter width will be adjusted automatically.

CheckBox Display line state

If this option is checked, a colored line indicating the state of all altered lines in the text is displayed at the gutter of the editor window.

CheckBox Use code folding

Check this option to enable to code folding feature of SQL Editor.

Width

Defines the gutter width in the editor window.

Color

Defines the gutter color in the editor window. Select an item from the drop-down list or click the ellipsis EllipsisButton button to select a color using the Color dialog where you can specify the required color from the palette.

Right margin

CheckBox Visible

Makes the right text margin visible.

CheckBox Word break

Allows breaking the words at the right margin.

Position

Defines the position of the right text margin in the editor window.

Color

Defines the color of the right margin in the editor window. Select an item from the drop-down list or click the ellipsis EllipsisButton button to select a color using the Color dialog where you can specify the required color from the palette.

Editor Options - Display

Code staples

CheckBox Visible

Makes the code staples visible in the editor window.

CheckBox Single color

Check the option to apply a single color for code staples.

CheckBox Offset

Specify the offset value for code staples.

Color

Defines the code staples color in the editor window (if the Single color option is deselected). Select an item from the drop-down list or click the ellipsis EllipsisButton button to select a color using the Color dialog where you can specify the required color from the palette.

Fonts

Use these options to set the fonts, style, size and color used in the editor. If the Show only fixed-width fonts option is checked, only fonts with fixed width are displayed in the Font dialog.

See also:

General

Color

Quick Code

SQL Formatter

Key Mapping

Spell Checking

Find Option


Color

The Color section of the Editor Options dialog allows you to specify the fonts, styles, foreground and background colors, borders and other attributes of the text used by the editor to mark out various text fragments: strings, numbers, SQL keywords, symbols, comments, identifier links, highlighted links, table aliases, SQL datatypes, SQL variables, SQL functions, wrong symbols, exceptions, parenthesis match, current lines, selected text, search marks.

Editor Options - Color

When setting colors, select an item from the drop-down list or click the ellipsis EllipsisButton button to select a color using the Color dialog where you can specify the required color from the palette.

See also:

General

Display

Quick Code

SQL Formatter

Key Mapping

Spell Checking

Find Option


Quick Code

Select an object in the Completion list of objects and set quick code parameters for the selected object. For your convenience the preview area (to the right of the Completion list) illustrates the changes being made to each of the objects.

Repeat this procedure for each of the objects.

CheckBox Code completion

If this option is checked, then on typing the first word characters in the SQL text editor you will be offered some variants for the word completion in a popup list (an analogue of the Code Insight feature in Delphi IDE). The popup list will appear after a period of time defined by the Delay option.

Sensitivity

This option allows you to set the number of characters to be typed before code completion is activated.

Specify whether items of the code completion list should be sorted RadioButton by type or RadioButton by name, and check the CheckBox Sort field names option to apply sorting for field names as well.

CheckBox Code parameters

If this option is checked, the Delphi-like hint for functions is enabled.

Delay

Using this option you can change the time after which completion variants popup.

CheckBox Auto launch keyboard templates

Allows you to use keyboard templates for faster typing frequently used expressions (see Keyboard Templates).

Editor Options - Quick Code

Select the style to be applied to the words inserted automatically (Custom font, Font style and colors, Back and foreground or Background only). Then, depending on the style selection, set custom font, Font style, Foreground color, Background color, Borders.

Vertical alignment

Allows you to set the vertical alignment of the words inserted automatically. Possible values are: Top, Center, Bottom.

Capitalization

Allows you to change the case of the words inserted automatically. Possible values are: Unchanged, Upper case, Lower case, Toggle case, Initial caps.

See also:

General

Display

Color

SQL Formatter

Key Mapping

Spell Checking

Find Option


SQL Formatter

SQL Formatter is a feature implemented in SQL Editor and is a useful tool for formatting SQL queries, making SQL statements easy to read.

The Settings tab of the SQL Formatter section allows you to enable this feature and apply SQL formatting to subqueries, if necessary.

CheckBox Format SQL query

Check this option to enable SQL formatting.

CheckBox Format subquery

Allows to format subqueries

Editor Options - SQL Formatter - Settings

The SQL words tab of the SQL Formatter section allows you to select the key words for each action of SQL formatter and to set formatting parameters.

Wrap first element

Wraps the selected text at a specific column. Select the SQL key words after which formatting should be applied.

Params in line/list

Allows you to display the parameters followed by the defined key words in list or in line.

Editor Options - SQL Formatter - SQL Words

OR - AND

Set the placement of the AND an OR operators according to the operands followed by them. See the example below.

Left

WHERE

AND ...

AND ...

AND ...

Separate

WHERE

...

AND

...

AND

Right

WHERE

... AND

... AND

... AND

The Keywords case / Identifiers case options allow you to define the case of the corresponding items.

You can choose UPPER, lower, Capitalize.

Default case means that the name of the identifier/keyword remains "AS IS".

CheckBox Space before bracket

Adds a "space" character before the opening bracket and after the closing one.

CheckBox Space into brackets

Adds a "space" character after the opening bracket and before the closing one.

Indent in list

Sets the size of indent relatively to the previous string.

See also:

General

Display

Color

Quick Code

Key Mapping

Spell Checking

Find Option


Key Mapping

For your convenience key mapping is provided in SQL Manager 2008 for InterBase/Firebird. On this page you can set the shortcuts for various commands/operations according to your needs.

Use the Commands list on the right to select the command for which you need to make a shortcut, then place cursor into the Key editor and press the key combination you find useful (use Ctrl Alt Shift buttons). After setting the shortcut, press the New button to add it to the list of existing Key combinations.

Editor Options - Key Mapping

Note: it is possible to set more that one key combination for the same command/operation (e.g. Ctrl-K, Ctrl-H) using the Add button.

If necessary, you can export the current Key mapping list to an external file by pressing the Export button.

Manage the shortcuts within the Key combinations list using the Delete (to remove the selected item) and the Clear (to remove all shortcuts for this command/operation) buttons.

It is also possible to save a custom Key mapping scheme, if necessary:

  • set the shortcuts for the appropriate commands/operations;
  • click the Save As... button;
  • input the new scheme name in the corresponding dialog.

To delete a scheme, select it in the Scheme name drop-down list and press the Delete button.

See also:

General

Display

Color

Quick Code

SQL Formatter

Spell Checking

Find Option


Spell Checking

Spell checking is a new feature implemented in SQL Manager 2008 for InterBase/Firebird for your convenience.

Set the necessary Spell checker mode:

RadioButton Highlighting

In this mode incorrectly spelled and misprinted words are highlighted in the editor.

RadioButton Autocorrection

In this mode incorrectly spelled and misprinted words are replaced with the corresponding words from the Substitutions list automatically.

RadioButton None

In this mode the spelling checker is disabled.

Use the Add... button to add a new item to the Substitutions list, the Edit... button to alter the selected substitution, and the Delete button to remove the selected substitution from the spelling checker vocabulary.

Editor Options - Spell Checking

Case sensitivity

CheckBox Support case consistency with substitution

If this option is selected, the spelling checker uses the case of words-substitutions when performing a replacement.

CheckBox Ignore case while spell checking

Check this option to disable case checking.

CheckBox Keep the misprint case when replacing

Check this option if you do not wish to change the case of the replaced word.

Misprints

Controls of this group allow you to manage the spelling checker vocabulary: use the Add... button to add a new misprint to the vocabulary, the Auto button to use the default list of misprints, the Edit... button to change the selected misprint, the Delete button to remove the selected misprint from the vocabulary, and the Clear button to empty the list of misprints for the currently selected substitution.

It is also possible to exclude a misprint from spell checking without deleting the misprint. This misprint will therefore remain in the vocabulary, but it will be ignored by the spelling checker.

To mark a misprint as excluded, you need to move it from the Check list to the Ignore list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the misprints from one list to another.

See also:

General

Display

Color

Quick Code

SQL Formatter

Key Mapping

Find Option


Find Option

The Find Option section allows you to search for options available within the Editor Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Editor Options.

Editor Options - Find Option

The Available options area lists all options of the Editor Options category according to the specified name. Select the required option in the list and click Show Option to open the corresponding dialog where you can view/edit the value of this option.

See also:

General

Display

Color

Quick Code

SQL Formatter

Key Mapping

Spell Checking


Visual Options

Visual Options allow you to customize the application interface style to your liking.

To open the Visual Options window, select the Options | Visual Options... main menu item, or use the Visual Options btnVisualOptions button on the main toolbar.

Use the Scheme name box to select the interface scheme you would like to be applied: MS Office 11 style, MS Office XP style, MS Office 2000 style, Windows XP native style or Classic style.

  • Bars and menus
  • Trees and lists
  • Edit controls
  • Check boxes
  • Buttons
  • Page controls
  • Group boxes
  • Splitters
  • Navigation bar
  • Find Option

For your convenience the previews illustrating the changes are displayed in the Sample Group area at the bottom of each section within the Visual options dialog.

It is also possible to create one's own interface scheme, if necessary:

  • set your preferences within the available sections of the Visual Options dialog (Bars and menus, Trees and lists, Edit Controls, Check boxes, Buttons, etc.);
  • click the Save As... button;
  • specify the new scheme name in the Save Visual Scheme dialog.

Save visual scheme

See also:

Environment Options

Editor Options

Save Settings


Bars and menus

Use the Bars and menus section of the Visual options dialog to customize SQL Manager bars style, menus animation and a number of general options concerning toolbars and menus usage.

Visual Options - Bars and menus

See also:

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters

Navigation bar

Find Option


Trees and lists

Use the Trees and lists section of the Visual options dialog to view and edit the corresponding options.

Visual Options - Trees and lists

See also:

Bars and menus

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters

Navigation bar

Find Option


Edit controls

Use the Edit controls section of the Visual options dialog to customize the appearance of various SQL Manager 2008 for InterBase/Firebird edit controls: Border style, Button style, Button transparency, etc.

Visual Options - Edit controls

See also:

Bars and menus

Trees and lists

Check boxes

Buttons

Page controls

Group boxes

Splitters

Navigation bar

Find Option


Check boxes

Use the Check boxes section of the Visual options dialog to customize the border style and the appearance of check boxes and radio buttons.

Visual Options - Check boxes

See also:

Bars and menus

Trees and lists

Edit controls

Buttons

Page controls

Group boxes

Splitters

Navigation bar

Find Option


Buttons

Use the Buttons section of the Visual options dialog to customize SQL Manager buttons.

Visual Options - Buttons

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Page controls

Group boxes

Splitters

Navigation bar

Find Option


Page controls

Use the Page controls section of the Visual options dialog to customize the style of all SQL Manager page controls.

Visual Options - Page controls

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Group boxes

Splitters

Navigation bar

Find Option


Group boxes

Use the Group boxes section of the Visual options dialog to customize all SQL Manager group boxes to your liking.

Visual Options - Group boxes

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Splitters

Navigation bar

Find Option


Splitters

Use the Splitters section of the Visual options dialog to customize all SQL Manager splitters to your liking.

Visual Options - Splitters

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Navigation bar

Find Option


Navigation bar

Use the Navigation bar section of the Visual options dialog to customize the Navigation bars of all SQL Manager tools according to your preferences.

Visual Options - Navigation bar

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters

Find Option


Find Option

The Find Option section allows you to search for options available within the Visual Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Visual Options.

Visual Options - Find Option

The Available options area lists all options of the Visual Options category according to the specified name. Select the required option in the list and click Show Option to open the corresponding dialog where you can view/edit the value of this option.

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters

Navigation bar


Save Settings

Save Settings Wizard allows you to export the settings of SQL Manager 2008 for InterBase/Firebird - wholly or partially - to a single *.reg file which can be applied afterwards to SQL Manager 2008 for InterBase/Firebird installed on another machine, or it can be used to backup previous settings.

To start the wizard, select the Options | Save Settings main menu item.

  • Specifying destination file
  • Selecting settings
  • Selecting databases
  • Saving settings

See also:

Environment Options

Editor Options

Visual Options


Specifying destination file

This step of the wizard allows you to specify the location of the destination file.

Filename

Use the btnSaveAs button to set the path to the *.reg file where the application settings are to be saved.

Save Settings - Specifying destination file

Press the Next button to proceed to the next step of the wizard.


Selecting settings

This step of the wizard allows you to specify the information you need to be saved to the result file: Nodes registration info, Database registration info, Database projects, Tabs, Environment options, Editor options, Visual options, Keyboard templates, External tools list, Form placements, MRU lists.

Save Settings - Selecting settings

Press the Next button to proceed to the next step of the wizard.


Selecting databases

This step of the wizard allows you to select the database(s) to save the registration settings.

To select a database, you need to move its alias from the Available Databases list to the Selected Databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Save Settings - Selecting databases

Click the Finish button to start the saving settings process.


Saving settings

After the saving settings operation has been configured, you can immediately start the process.

When all the settings are saved correctly, you will get the following message:

Save Settings - Saving settings - Completed

If necessary, you can click Details to display/hide extended information about the operation.


Localization

When using SQL Manager 2008 for InterBase/Firebird, your are provided with multi-language interface support. You can change the program language, specify the directories for your localization files easily, edit existing localizations and create your own localization files.

Changing program language

In order to select the program interface language:

  • select the Options | Select Program Language... main menu item;
  • select the interface language in the Select Language dialog;
  • click OK to apply the language and close the dialog.

Editing program localization

In order to edit the interface localization:

  • open one of the program windows (e.g. Table Editor, SQL Editor) where you wish to edit the localization of captions and hints;
  • use the Shift+Ctrl+L keyboard shortcut to open the Localization Editor window;
  • edit window captions and hints as necessary;
  • click the Save btnSaveAs button on the toolbar.

Note that the Localization Editor window is only available if the currently selected language is different from the default.

Creating new localization files

In order to create a new localization file:

  • create a new localization file similar to those located in the %program_directory%\Languages folder;
  • select the Options | Environment Options main menu item;
  • proceed to the Localization section of the Environment Options dialog;
  • click the Add button;
  • set the language name and the path to the new *.lng file within the Language Info Editor dialog.

The new language is added to the list of available languages. Now you can set it as the interface language using the Select Program Language dialog or the Localization section of the Environment Options dialog.

See also:

SQL Manager Options

Keyboard Templates

Find Option dialog


Localization Editor

The Localization Editor window allows you to edit the captions and hints of any SQL Manager window, if the selected program language is different from the default one.

To call this window, use the Shift+Ctrl+L shortcut in any child window of SQL Manager 2008 for InterBase/Firebird.

The working area of the window contains the element names and the corresponding strings divided by the "=" character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Be careful and do not edit the identifiers that stand before the "=" character - this will not produce any effect.

For your convenience the Find and Replace features are provided - the corresponding btnFindText btnReplaceText toolbar buttons are used to call the Find Text dialog or the Replace Text dialog respectively. The Search Again btnSearchAgain button enables the repeated search for the text that was last searched.

When you are done with editing, click the Save btnSaveAs button on the toolbar to apply the changes you have made.

See also:

Select Program Language

Localization


Select Program Language

The Select Language dialog allows you to select a language for SQL Manager 2008 for InterBase/Firebird localization.

To open this dialog, select the Options | Select Program Language... main menu item.

The dialog displays the list of available languages configured on the Environment Options | Localization page. Select a language from the list and click OK to confirm your choice and close the dialog.

Localization - Select Program Language

See also:

Localization Editor

Localization


Keyboard Templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly used expressions and to edit the existing ones.

To open this window, select the Options | Keyboard Templates... main menu item.

To add a new keyboard template, click the Add Template... button, set the template name and define the template expression. In the upper right area of the window you can change the case of the template expression.

You can deactivate an existing template by selecting it from the list on the left and removing the Active flag of the template.

If necessary, you can also edit the template name using the Edit Template... button, delete the template using the Delete Template button or edit the template expression within the Expansion area of the window. For faster editing you can use the Cursor, Author, Time, Date, Clipboard, Marker buttons.

Once you have defined the templates, you can use them in SQL Editor. First of all, make sure that the CheckBox Auto launch keyboard templates option is selected on the Quick Code page of the Editor Options dialog. When editing SQL text in SQL Editor, type a template name and use the Ctrl+J shortcut: the text associated with the template (Expansion) will be inserted automatically.

See also:

SQL Manager Options

Localization

Find Option dialog


Find Option dialog

The Find Option dialog allows you to search for SQL Manager options easily.

To open this dialog, select the Options | Find Option main menu item.

Option

In this field you can enter the name of the option to search for within the specified category.

Find Option dialog

The Available options area lists all options of the specified category according to the specified name. Select the required option in the list and click Show option to open the corresponding dialog where you can view/edit the value of this option.

See also:

SQL Manager Options

Localization

Keyboard Templates


External tools

When using SQL Manager 2008 for InterBase/Firebird, you can add external Windows applications to make your work more efficient.

Adding External Tools

In order to add an external program:

  • select the Options | External Tools... main menu item;
  • click the Add... button in the External Tools dialog;
  • specify parameters of the new external tool within the External Tool Info editor;
  • confirm adding the new external tool by clicking OK in the External Tool Info editor and the External Tools dialog.

This adds the icon and the title of the application you have selected to the Tools | External Tools submenu. Now you can run this tool quickly without closing SQL Manager.

Removing External Tools

In order to remove an external program:

  • select the Options | External Tools main menu item;
  • select the tool to be removed in the Tools list of the External Tools dialog;
  • press the Del key or click the Delete button within the dialog;
  • click OK to confirm removing the tool and closing the dialog.

The selected tool has been removed and is no longer accessible from the Tools | External Tools submenu.

See also:

Getting started

Database Explorer

Database management

Database objects management

Query management tools

Data management

Import/Export tools

Database tools

Server tools

Personalization


External Tools dialog

The External Tools dialog allows you to manage the list of external applications which can be easily run from SQL Manager environment.

To open this dialog, select the Options | External Tools... main menu item.

Tools

Lists all added external applications.

Add...

Opens the External Tool Info editor for adding a new tool to the Tools | External Tools submenu.

Edit...

Opens the External Tool Info editor for editing the title, the hot key, the path to the executable file, the working directory and execution parameters of the tool currently selected in the Tools list.

Delete

Removes the selected tool from the list of SQL Manager 2008 for InterBase/Firebird external tools.

External tool manager

To change the order of tools in the list, use the [image] [image] arrow buttons at the bottom area of the dialog, or use the Ctrl+Shift+Up / Ctrl+Shift+Down shortcuts. You can also drag-and-drop items within the list box to change their positions.

See also:

External Tool Info editor


External Tool Info editor

The External Tool Info editor allows you to set common parameters of running added external programs from SQL Manager environment. This dialog is used both when adding external tools and editing their parameters (see Add External Tool and External Tools).

Title

Enter the title to be displayed in the Tools | External Tools submenu of SQL Manager.

Hot Key

Press a key or a key combination to set it as a hot key for running the tool.

Program

Use the Explorer ExplorerButton button to specify the path to the *.exe file of the external program.

Working Dir

Set the default working directory of the program.

Parameters

This box stores parameters for the program execution (if required).

See also:

External Tools dialog


Viewing object DDL structure

The DDL (Data Definition Language) tab displays the SQL statement for creating the object with all its subobjects, if any. This text is read-only. If you want to change the object definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

Appendix - Viewing DDL structure

Hint: If more convenient, you can use the Save DDL to file and Open DDL in SQL Editor items available on the DDL pane within the Navigation bar of object editors.


Editing object description

The Description tab allows you to view and edit the comment for the object (optional).

Appendix - Editing object description


Browsing object dependencies

The Dependencies tab allows you to view objects that depend on the object being edited, and the objects that the edited object depends on.

Appendix - Browsing object dependencies

Hint: To open a dependent object or a depending object in its editor, you can simply double-click the object alias in the Objects that <object_name> depends on and Objects that depend on <object_name> lists.


Setting object permissions

The Permissions tab allows you to view the permissions currently allocated for this object, and to grant permissions on the object to any of the existing principals.

Appendix - Setting object permissions

For details see Grant Manager.


Viewing object operations

The Viewing object operations tab displays operations (DML only) to be done for current procedure/trigger. On clicking an operation you get its definition displayed at the lower part of the window.

Viewing object operations


Changing Metadata window

The Changing Metadata window is used to trace the errors and edit SQL statements during their compilation. The compilation window appears each time metadata is changed, both when the compilation is successful and when there are compilation errors. To hide this window for successful metadata changes, select the CheckBox Don't show this window on success option.

Compile SQL

This area displays the SQL statement pending to be executed to perform metadata changing. In this area you can view and edit the SQL statement.

In case of a compilation error the Error tab also becomes visible - here you can view the error description returned by the server.

Commit

This button starts execution of the statement(s). Click it to commit the current transaction. This button is available only if there were no errors in compilation.

Rollback

This button cancels the script execution and allows you to return to the previous stage (editor window or DB Explorer).

Rollback and Recompile

This button calls for recompilation with the changes you made in the Compile SQL area. Use this button after correcting the SQL statement.

Appendix - Changing Metadata window

If necessary, you can copy information to clipboard and save it in a text editor afterwards (the button is only enabled when a compilation error occurs).

If you want this window to appear only in case of an error, uncheck the CheckBox Confirm metadata changing (Changing Metadata Window) option (checked by default) available within the Confirmations section of the Environment Options dialog.


Tip of the Day

This window allows you to see short messages notifying you about interesting particularities and useful features of SQL Manager 2008 for InterBase/Firebird.

To open this window, select the Help | Tip of the Day main menu item.

If you check the CheckBox Show tips at startup option, this window will popup each time you start SQL Manager 2008 for InterBase/Firebird.


Find Text dialog

The Find Text dialog is provided for quick and flexible searching for specified text within the working area of SQL Manager editors.

Text to find
Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Options

CheckBox Case Sensitive
This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only
Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular Expressions
Recognizes regular expressions in the search string.

Direction

RadioButton Forward
Searches from the current position to the end of the working area.

RadioButton Backward
Searches from the current position to the beginning of the working area.

Scope

RadioButton Global
Searches within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text
Searches only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope
The search covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.


Replace Text dialog

The Replace Text dialog is provided for searching and replacing text within the working area of SQL Manager editors.

Text to find
Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Text to replace
This box allows you to enter a string to replace the search string. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered strings. To replace the search string with an empty string, leave this input box blank.

Options

CheckBox Case Sensitive
This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only
Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular Expressions
Recognizes regular expressions in the search string.

CheckBox Prompt on replace
Check this option if you wish to be prompted before replacing upon each occurrence of the search string. When this option is off, the search string is replaced automatically.

Direction

RadioButton Forward
Searches and replaces from the current position to the end of the working area.

RadioButton Backward
Searches and replaces from the current position to the beginning of the working area.

Scope

RadioButton Global
Searches and replaces within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text
Searches and replaces only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor
The search and replace process starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope
The search and replace process covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

Click the Replace All button to replace every occurrence of the search string. If you have checked the Prompt on replace option, the confirmation dialog box appears upon each occurrence of the search string.

Mark search result with stack marker

Toggles marking search results.


Format specifiers

The following format specifiers are supported in the format string:

Float/Integer format

0

Digit place holder. If the value being formatted has a digit in the position where the '0' appears in the format string, then that digit is copied to the output string. Otherwise, a '0' is stored in that position in the output string.

#

Digit placeholder. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.

.

Decimal point. The first '.' character in the format string determines the location of the decimal separator in the formatted value; any additional '.' characters are ignored.

,

Thousand separator. If the format string contains one or more ',' characters, the output will have thousand separators inserted between each group of three digits to the left of the decimal point. The placement and number of ',' characters in the format string does not affect the output, except to indicate that thousand separators are wanted.

E+

Scientific notation. If any of the strings 'E+', 'E-', 'e+', or 'e-' are contained in the format string, the number is formatted using scientific notation. A group of up to four '0' characters can immediately follow the 'E+', 'E-', 'e+', or 'e-' to determine the minimum number of digits in the exponent. The 'E+' and 'e+' formats cause a plus sign to be output for positive exponents and a minus sign to be output for negative exponents. The 'E-' and 'e-' formats output a sign character only for negative exponents.

Date/Time format

c

Displays the date using the format using the Short Date Format, followed by the time using the Long Time Format. The time is not displayed if the date-time value indicates midnight precisely.

d

Displays the day as a number without a leading zero (1-31).

dd

Displays the day as a number with a leading zero (01-31).

ddd

Displays the day as an abbreviation (Sun-Sat) using the strings of the Short Day Names.

dddd

Displays the day as a full name (Sunday-Saturday) using the strings of the Long Day Names.

ddddd

Displays the date using the Short Date Format.

dddddd

Displays the date using the Long Date Format.

e

Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).

ee

Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).

g

Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).

gg

Displays the period/era as a full name. (Japanese and Taiwanese locales only).

m

Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mm

Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmm

Displays the month as an abbreviation (Jan-Dec) using the strings given of the Short Month Names.

mmmm

Displays the month as a full name (January-December) using the strings of the Long Month Names.

yy

Displays the year as a two-digit number (00-99).

yyyy

Displays the year as a four-digit number (0000-9999).

h

Displays the hour without a leading zero (0-23).

hh

Displays the hour with a leading zero (00-23).

n

Displays the minute without a leading zero (0-59).

nn

Displays the minute with a leading zero (00-59).

s

Displays the second without a leading zero (0-59).

ss

Displays the second with a leading zero (00-59).

z

Displays the millisecond without a leading zero (0-999).

zzz

Displays the millisecond with a leading zero (000-999).

t

Displays the time using the Short Time Format.

tt

Displays the time using the Long Time Format.

am/pm

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampm

Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/

Displays the date separator character using the Date Separator.

:

Displays the time separator character using the Time Separator.

'xx'/"xx"

Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Language Info Editor

The Language Info Editor dialog allows you to set the language name and specify the corresponding *.lng localization file. This dialog is opened when you add or edit a language (see Environment Options | Localization).

Language Name

The name of the language that is displayed in the Select Program Language dialog and within the Available Languages list of the Environment Options | Localization section.

Language File

The *.lng file containing the translated string resources. See the %program_directory%\Languages folder to find already existing localization files.

Adding a language

The Add language dialog allows you to specify your own localization file and set the language name.

Editing a language

The Edit language dialog allows you to change the language name or select another localization file for the specified language.


Using templates

For your convenience the ability to use templates is provided by SQL Manager 2008 for InterBase/Firebird.

Instead of performing a long chain of routine steps all the time you can save all the options of the wizard for future use as a template file. Select the Templates | Save Template drop-down menu item, specify the template file name and set an optional comment for the template file.

When starting the wizard next time, you can load the template by selecting the Templates | Load Template drop-down menu item.

Note that saving/loading of templates is possible at any step of the wizard.


Supported file formats

RadioButton MS Excel

The most popular e-table format used by Microsoft® Excel (*.xls). The result files are fully compatible with Microsoft® Excel versions 97-2000, 2003 and XP.

RadioButton MS Access

File of Microsoft® Access format (*.mdb) with an ADO connection used.

RadioButton MS Word

One of the most popular text processing formats used by Microsoft® Word (*.doc). The result files are fully compatible with Microsoft® Word versions 97-2000, 2003 and XP.

RadioButton RTF

Rich Text Format (*.rtf) supported by many text processing programs (e.g. WordPad).

RadioButton HTML

Hyper Text Markup Language file format (*.html, *.htm), complete compatibility with HTML 4.0 specification.

RadioButton PDF

A standard format in electronic publishing (*.pdf).

RadioButton Text file

Plain text file format (*.txt).

RadioButton CSV file

Comma-Separated Value file format (*.csv).

RadioButton DIF file

Data Interchange File (*.dif) format.

RadioButton SYLK

Symbolic Links (*.slk) file format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

RadioButton LaTeX

A specific file format (*.tex) which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D.Knut.

RadioButton XML

A markup language for documents containing structured information (*.xml).

RadioButton DBF

Database file format (*.dbf)used by dBASE and a number of xBASE applications.

RadioButton MS Excel 2007

The contemporary e-table format used by Microsoft® Excel 2007 (*.xlsx). The result files are fully compatible with Microsoft® Excel 2007.

RadioButton MS Word 2007

The contemporary text processing format used by Microsoft® Word 2007 (*.docx). The result files are fully compatible with Microsoft® Word 2007.

RadioButton ODF Spreadsheets

OASIS Open Document Format for Office Applications - open document file format for spreadsheets (*.ods) used by a number of applications including OpenOffice.org and KOffice.

RadioButton ODF text

OASIS Open Document Format for Office Applications - open document file format for word processing (*.odt) documents used by a number of applications including OpenOffice.org and KOffice.


To-Do List

The To-Do List window allows you to make up a list of tasks for the database.

To call this window, select the View | To-Do List main menu item, or use the Shift+Ctrl+T shortcut.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Clicking the column caption to sort the task list by the current parameter or change the sorting direction.

Database

Select the database to apply the task list to. When switching between the databases you can view different task lists.

To add a task to this list, click the Add Item link of the Navigation bar, or select Add Item in the context menu. You can also use the Ins key for the same purpose. Define the task parameters and click OK to add the new task to the list.

Appendix - To-Do List

Text

Optional text to describe the task.

Priority

Set a numeric value to indicate the priority of the task.

User Name

The database User name this task is applied to.

Category

Set a category for the task. Using categories may be useful for grouping tasks.

To modify a task, select the task in the list and click the Edit Item link of the Navigation bar, or select Edit Item in the context menu. You can also use the Enter key for the same purpose.

To remove a task, select the task in the list and click the Delete Item link of the Navigation bar, or select Delete Item in the context menu. You can also use the Del key for the same purpose.

To remove all tasks from To-Do List, click the Delete all link of the Navigation bar, or select Delete all in the context menu. You can also use the Ctrl+Del shortcut for the same purpose.


Starting process/Viewing results

At the last step of the Wizard when all necessary options are set, press Finish to begin the process. The progress and its results will be displayed on screen and, if needed, can be copied to the clipboard.


Quick save/Quick load

Quick saving/loading available at the navigation bar in some object editors allows you to save/load object DDL bypassing standard Save/load dialogs.

Quick saveQuick load


Connection Lost window

When connection loss is detected by SQL Manager 2008 for InterBase/Firebird the window like one displayed below appears. You may choose

  • whether the program should try to reconnect to the server

or

  • just close the database so that it will not be displayed at the explorer tree.


Customize Toolbars

The Customize Toolbars window allows you to select the buttons displayed on the SQL Manager 2008 for InterBase/Firebird toolbars and change their positions.

To call this window, click the down-arrow button at the right-side of any toolbar, then click Add or Remove Buttons and select Customize.

Appendix - Customize Toolbars

Toolbars

Toolbars

The toolbars of the window from which the Customize was called. Click a box near the toolbar name to show or hide the toolbar.

New

Adds a new toolbar to the toolbar list and to the parent window.

Rename

Renames a user-created toolbar.

Delete

Deletes a user-created toolbar.

Commands

This tab allows you to view the list of all the commands available within toolbars of the parent window. Selecting categories in the Categories list box displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list box. You can pick a command and drag it on any parent window toolbar to create a button for this command.

Options

Menus show recently used commands first

With this option on the parent window menus drop-down containing only several items available, which have been used recently. To display full menus unselect this option.

Show full menus after a short delay

This option is available only if Menus show recently used commands first is on. It displays full menus after a few seconds of showing only recent items.

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Large Icons

Displays larger icons on the parent window toolbars.

Show ToolTips on toolbars

Shows tips on navigating to the toolbar button.

Show shortcut keys in ToolTips

Shows shortcuts for faster activating the corresponding commands in the button tips.

Menu animations

Select how menus appear in the parent window.


Login database window

This window appears if authentication information for the database or SSH tunnel was not entered in the corresponding dialogs or the Login prompt before connection option is enabled in the Database Registration Info dialog.

Fill all necessary fields and press OK to connect.

Note: if you don't use SSH for connecting to a database current window will look different from the one displayed below; it won't include the SSH login info group.

See also:

Database Registration Info

Host Registration Info | SSH tunneling

Login database window